2013-04-23  David Grogan  <dgrogan@chromium.org>

        Unreviewed. Remove myself from watchlist.

        * Scripts/webkitpy/common/config/watchlist:

2013-04-23  Jessie Berlin  <jberlin@apple.com>

        NRWT: confusing warning about a line being in a Skipped file when it is really just listed
        in _missing_symbol_to_skipped_tests in base.py
        https://bugs.webkit.org/show_bug.cgi?id=108884

        Reviewed by Tim Horton.

        Remove symbol-based skipped list detection.

        * Scripts/webkitpy/port/base.py:
        (Port._missing_feature_to_skipped_tests):
        (Port._skipped_tests_for_unsupported_features):
        * Scripts/webkitpy/port/port_testcase.py:
        (PortTestCase.test_path_to_test_expectations_file):

2013-04-23  Benjamin Poulain  <bpoulain@apple.com>

        Remove wxWebKit support from the Tools
        https://bugs.webkit.org/show_bug.cgi?id=115005

        Reviewed by Andreas Kling.

        The wxWebKit port is no longer actively maintained by Kevin
        on webkit.org. Remove the code until new maintainers resume the work.

        * DumpRenderTree/DumpRenderTree.h:
        * DumpRenderTree/config.h:
        * DumpRenderTree/wscript: Removed.
        * DumpRenderTree/wx/DumpRenderTreeWx.cpp: Removed.
        * DumpRenderTree/wx/DumpRenderTreeWx.h: Removed.
        * DumpRenderTree/wx/GCControllerWx.cpp: Removed.
        * DumpRenderTree/wx/TestRunnerWx.cpp: Removed.
        * DumpRenderTree/wx/WorkQueueItemWx.cpp: Removed.
        * Scripts/build-dumprendertree:
        * Scripts/build-jsc:
        (buildMyProject):
        * Scripts/build-webkit:
        * Scripts/old-run-webkit-tests:
        * Scripts/run-launcher:
        * Scripts/webkitdirs.pm:
        (argumentsForConfiguration):
        (determineConfigurationProductDir):
        (determinePassedArchitecture):
        (builtDylibPathForName):
        (determineIsQt):
        (isAppleWebKit):
        (launcherPath):
        (launcherName):
        (checkRequiredSystemConfig):
        * Scripts/webkitpy/common/config/contributionareas.py:
        * waf/build/build_utils.py: Removed.
        * waf/build/settings.py: Removed.
        * waf/build/waf_extensions.py: Removed.
        * waf/build/wxpresets.py: Removed.
        * wx/browser/browser.cpp: Removed.
        * wx/browser/wscript: Removed.
        * wx/install-unix-extras: Removed.
        * wx/packaging/build-debian-installer.py: Removed.
        * wx/packaging/build-mac-installer.py: Removed.
        * wx/packaging/build-win-installer.py: Removed.
        * wx/packaging/debian/changelog: Removed.
        * wx/packaging/debian/compat: Removed.
        * wx/packaging/debian/control: Removed.
        * wx/packaging/debian/copyright: Removed.
        * wx/packaging/debian/python-webkitwx.install: Removed.
        * wx/packaging/debian/rules: Removed.
        * wx/packaging/wxWebKitInstaller.iss.in: Removed.

2013-04-23  Zeno Albisser  <zeno@webkit.org>

        [Qt] Fix test_build_check for Qt on Mac after r148075.
        https://bugs.webkit.org/show_bug.cgi?id=115038

        Reviewed by Csaba Osztrogonác.

        * Scripts/webkitpy/layout_tests/run_webkit_tests_integrationtest.py:
        (RunTest.test_build_check):
            run-webkit-tests is supposed to fail, if it is run on a different
            platform than specified on the command line.
            However, Qt allows exactly this for Qt-platforms to allow comparing
            of test results of different baselines.
            Before r148075 "chromium-linux-x86" was used for testing.
            This patch changes the port_name to gtk when running the test on mac.

2013-04-23  Xan Lopez  <xlopez@igalia.com>

        [BlackBerry] Do not access BackForwardListImpl from DRT
        https://bugs.webkit.org/show_bug.cgi?id=115041

        Reviewed by Carlos Garcia Campos.

        Use the right class to access the bflist functionality.

        * DumpRenderTree/blackberry/DumpRenderTree.cpp:
        (BlackBerry::WebKit::dumpBackForwardListForWebView):

2013-04-23  Carlos Garcia Campos  <cgarcia@igalia.com>

        [GTK] Add webkit_uri_request_get_http_headers to WebKit2 GTK+ API
        https://bugs.webkit.org/show_bug.cgi?id=112160

        Reviewed by Andreas Kling.

        * MiniBrowser/gtk/GNUmakefile.am: Add missing libsoup flags to
        CPPFLAGS.

2013-04-23  Mikhail Pozdnyakov  <mikhail.pozdnyakov@intel.com>

        [WK2] Make EFL WKView API shareable between ports
        https://bugs.webkit.org/show_bug.cgi?id=114734

        Reviewed by Anders Carlsson.

        * TestWebKitAPI/PlatformEfl.cmake:
        * WebKitTestRunner/efl/PlatformWebViewEfl.cpp:

            Updated project files accordingly to updated WKView API files
            structure.

2013-04-23  Andreas Kling  <akling@apple.com>

        Add Benjamin Poulain's @apple.com address to his entry. Unreviewed.

        * Scripts/webkitpy/common/config/contributors.json:

2013-04-23  Allan Sandfeld Jensen  <allan.jensen@digia.com>

        Respect image-rendering setting for determing image-rendering quality
        https://bugs.webkit.org/show_bug.cgi?id=113405

        Reviewed by Benjamin Poulain.

        Remove CSS4 Images option. It is not ready for implementation.

        * Scripts/webkitperl/FeatureList.pm:

2013-04-22  Mark Rowe  <mrowe@apple.com>

        <http://webkit.org/b/114989> Add a user default to allow use of the Safari binary rather than SafariForWebKitDevelopment

        Reviewed by Anders Carlsson.

        * Scripts/webkitdirs.pm:
        (skipSafariExecutableEntitlementChecks): Look for the SkipSafariExecutableEntitlementChecks default in the
        /Library/Preferences/org.webkit.BuildConfiguration preference domain.
        (safariPathFromSafariBundle): If the user default is set asking us to skip the entitlement checks, return
        the path to the regular Safari binary.

2013-04-22  Ryuan Choi  <ryuan.choi@samsung.com>

       Unreviewed Efl build fix after r148921

        * TestWebKitAPI/CMakeLists.txt:

2013-04-22  Benjamin Poulain  <benjamin@webkit.org>

        Remove the memory instrumentation code
        https://bugs.webkit.org/show_bug.cgi?id=114931

        Reviewed by Andreas Kling.

        * TestWebKitAPI/TestWebKitAPI.xcodeproj/project.pbxproj:
        * TestWebKitAPI/Tests/WTF/MemoryInstrumentationTest.cpp: Removed.

2013-04-22  Martin Robinson  <mrobinson@igalia.com>

        [GTK] Enable introspection always for developer builds
        https://bugs.webkit.org/show_bug.cgi?id=114983

        Reviewed by Gustavo Noronha Silva.

        * Scripts/webkitdirs.pm:
        (runAutogenForAutotoolsProjectIfNecessary): Always enable introspection
        when using build-webkit.
        * gtk/jhbuildrc: Enable documentation for all jhbuild modules and explicitly
        choose the memory gsettings backend while in the jhbuild. This eliminates
        warnings from programs that fall back to the memory backend.

2013-04-22  Zan Dobersek  <zdobersek@igalia.com>

        [GTK] Set up libPlatform.la
        https://bugs.webkit.org/show_bug.cgi?id=114168

        Reviewed by Martin Robinson.

        * GNUmakefile.am: Link the DumpRenderTree executable against both libPlatform.la and libPlatformGtk.la libraries.

2013-04-22  Xuefei Ren  <xren@blackberry.com>

        fix build warning(unused parameter)
        https://bugs.webkit.org/show_bug.cgi?id=114855

        Reviewed by Rob Buis.

        remove warning(unused parameter) in
        Tools/DumpRenderTree/blackberry/EventSender.cpp

        * DumpRenderTree/blackberry/EventSender.cpp:
        (getDragModeCallback):

2013-04-22  Alberto Garcia  <agarcia@igalia.com>

        [BlackBerry] Add dummy implementation of AccessibilityController::accessibleElementById()
        https://bugs.webkit.org/show_bug.cgi?id=114939

        Reviewed by Carlos Garcia Campos.

        This was added in r129308.

        * DumpRenderTree/blackberry/AccessibilityControllerBlackBerry.cpp:
        (AccessibilityController::accessibleElementById):

2013-04-21  Christophe Dumez  <ch.dumez@sisa.samsung.com>

        Unreviewed EFL build fix after r148855.

        * TestWebKitAPI/PlatformEfl.cmake:

2013-04-21  Christophe Dumez  <ch.dumez@sisa.samsung.com>

        [EFL][WK2] Mark WKViewClientWebProcessCallbacks API test as failing
        https://bugs.webkit.org/show_bug.cgi?id=114922

        Reviewed by Gyuyoung Kim.

        Mark WKViewClientWebProcessCallbacks API test as failing on WK2 EFL.

        * TestWebKitAPI/PlatformEfl.cmake:

2013-04-20  Zan Dobersek  <zdobersek@igalia.com>

        [GTK] Fix baseline positioning issue by updating Freetype
        https://bugs.webkit.org/show_bug.cgi?id=106775

        Reviewed by Martin Robinson.

        * gtk/jhbuild.modules: Bump the Freetype Jhbuild dependency to 2.4.11.
        * gtk/patches/freetype6-2.4.11-truetype-font-height-fix.patch: Added. This is the Freetype
        patch (committed as e0469372) that fixes rounding issues for smaller fonts. It is bound to be included
        in the 2.4.12 release of Freetype (not released yet) but is provided here as its effect on baselines is
        considered positive and will reduce the amout of future rebaselining.

2013-04-20  Manuel Rego Casasnovas  <rego@igalia.com>

        [GTK] Fix unit test webkit2/WebKitFindController/hide
        https://bugs.webkit.org/show_bug.cgi?id=89810

        Reviewed by Carlos Garcia Campos.

        * Scripts/run-gtk-tests:
        (TestRunner): Unskip test webkit2/WebKitFindController/hide.

2013-04-19  Ryosuke Niwa  <rniwa@webkit.org>

        Build fixes for the flakiness dashboard.

        * TestResultServer/static-dashboards/flakiness_dashboard.js:

2013-04-17  Gustavo Noronha Silva  <gns@gnome.org>

        [GTK] Make the 32 bits bot only build and run API tests
        https://bugs.webkit.org/show_bug.cgi?id=113532

        Reviewed by Martin Robinson.

        * BuildSlaveSupport/build.webkit.org-config/config.json: make the 32 bits bot use the new BuildAndAPITest type
        * BuildSlaveSupport/build.webkit.org-config/master.cfg:
        (BuildAndAPITestFactory): new factory that builds and runs API tests, only used by the GTK+ 32 bits bot at the
        moment;
        (BuildAndAPITestFactory.__init__): add API tests step for platforms that have it.

2013-04-19  Andras Becsi  <andras.becsi@digia.com>

        [Qt] Only use thin archives on Linux

        Rubber-stamped by Jocelyn Turcotte.

        Since "thin archive" is a feature of GNU's ar
        we limit the usage to Linux to avoid problems
        with other configurations (eg. macx-g++).

        * qmake/mkspecs/features/default_pre.prf:

2013-04-19  Krzysztof Czech  <k.czech@samsung.com>

        [GTK][WK2] accessibility/language-attribute.html is failing
        https://bugs.webkit.org/show_bug.cgi?id=106342

        Reviewed by Gyuyoung Kim.

        Adds support for getting language information.

        * WebKitTestRunner/InjectedBundle/atk/AccessibilityUIElementAtk.cpp:
        (WTR::AccessibilityUIElement::language):

2013-04-19  Zan Dobersek  <zdobersek@igalia.com>

        [Dashboard] Remove the isToTWebKit member variable from the BuilderGroup interface
        https://bugs.webkit.org/show_bug.cgi?id=114805

        Reviewed by Benjamin Poulain.

        Remove the isToTWebKit member variable from the BuilderGroup and all its usages as it now defaults to true for every
        builder group. The isTipOfTreeWebKitBuilder method now returns true by default but should be removed in a follow-up patch.
        The BuilderGroup constructor does not accept the isToTWebKit parameter anymore so all the callsites are adjusted accordingly.

        * TestResultServer/static-dashboards/builders.js:
        (BuilderGroup):
        (loadBuildersList):
        * TestResultServer/static-dashboards/dashboard_base.js:
        (isTipOfTreeWebKitBuilder):
        (expectationsMap):
        * TestResultServer/static-dashboards/flakiness_dashboard_unittests.js:
        (test):

2013-04-19  Zan Dobersek  <zdobersek@igalia.com>

        [Dashboard] htmlForIndividualTests unit test should include its dummy builder under the webkit.org builder master
        https://bugs.webkit.org/show_bug.cgi?id=114804

        Reviewed by Benjamin Poulain.

        The htmlForIndividualTests unit test should include its dummy builder under the sole supported webkit.org builder master
        just so the unit tests properly functions.

        * TestResultServer/static-dashboards/flakiness_dashboard_unittests.js:

2013-04-19  Zan Dobersek  <zdobersek@igalia.com>

        [Dashboard] Remove Chromium-specific helper functions that were used in the builder-loading code
        https://bugs.webkit.org/show_bug.cgi?id=114803

        Reviewed by Benjamin Poulain.

        Remove three Chromium-specific helper functions that were used to determine Chromium DEPS, Content Shell and WebKit ToT
        test runners. These are not required anymore and thus removed along with a couple of unit tests that were testing these
        methods' correct behavior.

        * TestResultServer/static-dashboards/builders.js:
        * TestResultServer/static-dashboards/flakiness_dashboard_unittests.js:

2013-04-19  Zan Dobersek  <zdobersek@igalia.com>

        [Dashboard] Remove the Chromium-specific builder masters
        https://bugs.webkit.org/show_bug.cgi?id=114802

        Reviewed by Benjamin Poulain.

        Remove all the Chromium-specific builder masters, the webkit.org builder master is the only one currently supported.

        * TestResultServer/static-dashboards/builders.js:

2013-04-19  Zan Dobersek  <zdobersek@igalia.com>

        [Dashboard] Remove all the Chromium-specific builder groups
        https://bugs.webkit.org/show_bug.cgi?id=114801

        Reviewed by Benjamin Poulain.

        Remove all the Chromium-specific builder groups, all of these are not supported anymore.

        * TestResultServer/static-dashboards/builders.js:

2013-04-19  Zan Dobersek  <zdobersek@igalia.com>

        [Dashboard] Only accept the 'group' parameter if present in the layout tests builders group
        https://bugs.webkit.org/show_bug.cgi?id=114799

        Reviewed by Benjamin Poulain.

        The layout tests builder group is the only one supported, all the other Chromium-specific builder groups are
        bound to be removed.

        * TestResultServer/static-dashboards/history.js:
        (.):

2013-04-19  Zan Dobersek  <zdobersek@igalia.com>

        [Dashboard] Remove Chromium-specific builder loading code from loadBuildersList
        https://bugs.webkit.org/show_bug.cgi?id=114797

        Reviewed by Benjamin Poulain.

        Remove anything Chromium-specific from the builder-loading code, specifically removing support for loading builder data
        for anything other that the layout-tests type and removing support for loading builder data from builders connected
        to the Chromium-specific builder groups which are no longer supported.

        * TestResultServer/static-dashboards/builders.js:

2013-04-19  Zan Dobersek  <zdobersek@igalia.com>

        [Dashboard] The currentBuilderGroupCategory method should return the layout tests builder groups by default
        https://bugs.webkit.org/show_bug.cgi?id=114796

        Reviewed by Benjamin Poulain.

        With the Chromium builders no longer uploading results and the layout-tests test type the only one supported by the
        WebKit's dashboard, the currentBuilderGroupCategory can now return LAYOUT_TESTS_BUILDER_GROUPS as the default builder
        group category.

        * TestResultServer/static-dashboards/dashboard_base.js:
        (currentBuilderGroupCategory):

2013-04-19  Zan Dobersek  <zdobersek@igalia.com>

        [Dashboard] Narrow down the test types list to only layout-tests
        https://bugs.webkit.org/show_bug.cgi?id=114795

        Reviewed by Ryosuke Niwa.

        Remove all the redundant test types that the webkit.org builders do not upload results for. All of the removed
        test types were specific to the Chromium builders.

        * TestResultServer/static-dashboards/dashboard_base.js:

2013-04-19  Zan Dobersek  <zdobersek@igalia.com>

        [Dashboard] The revision rows for aggregate results should no longer include Chromium revisions
        https://bugs.webkit.org/show_bug.cgi?id=114760

        Reviewed by Benjamin Poulain.

        With the Chromium builders no longer present there's no need to display the Chromium revision range under the
        aggregate results. Only the first half of the htmlForRevisionRows method (the one returning the table row listing the
        WebKit revisions) is now relevant - the method is therefor removed and its callsites updated to directly call the
        htmlForTableRow method that returns the table row containing all the relevant WebKit revisions.

        * TestResultServer/static-dashboards/aggregate_results.js:
        (htmlForSummaryTable):
        (htmlForTestType):

2013-04-19  Zan Dobersek  <zdobersek@igalia.com>

        [Dashboard] Remove Chromium-specific cases from the construction of the chart HTML for aggregate results
        https://bugs.webkit.org/show_bug.cgi?id=114759

        Reviewed by Benjamin Poulain.

        Aggregate results are not viewable for Chromium builders anymore, meaning the WebKit revisions are shown by default.
        This means the code in the chartHTML method can be simplified, defaulting the revision key to WEBKIT_REVISIONS_KEY
        and the revision label to 'WebKit Revision'.

        * TestResultServer/static-dashboards/aggregate_results.js:
        (chartHTML):

2013-04-18  Xuefei Ren  <xren@blackberry.com>

        remove build warning(unused parameter)
        https://bugs.webkit.org/show_bug.cgi?id=114670

        Reviewed by Rob Buis.

        remove builde warning (unused parameter) in
        Tools/DumpRenderTree/blackberry

        * DumpRenderTree/blackberry/AccessibilityUIElementBlackBerry.cpp:
        (AccessibilityUIElement::scrollToMakeVisibleWithSubFocus):
        (AccessibilityUIElement::scrollToGlobalPoint):
        * DumpRenderTree/blackberry/DumpRenderTree.cpp:
        (BlackBerry::WebKit::DumpRenderTree::addMessageToConsole):
        (BlackBerry::WebKit::DumpRenderTree::didReceiveResponseForFrame):
        * DumpRenderTree/blackberry/EventSender.cpp:
        (getDragModeCallback):
        (setDragModeCallback):
        (mouseWheelToCallback):
        (contextClickCallback):
        (mouseDownCallback):
        (mouseUpCallback):
        (mouseMoveToCallback):
        (beginDragWithFilesCallback):
        (leapForwardCallback):
        (keyDownCallback):
        (textZoomInCallback):
        (textZoomOutCallback):
        (zoomPageInCallback):
        (zoomPageOutCallback):
        (addTouchPointCallback):
        (updateTouchPointCallback):
        (setTouchModifierCallback):
        (touchStartCallback):
        (touchCancelCallback):
        (touchMoveCallback):
        (touchEndCallback):
        (clearTouchPointsCallback):
        (cancelTouchPointCallback):
        (releaseTouchPointCallback):
        (scalePageByCallback):
        * DumpRenderTree/blackberry/TestRunnerBlackBerry.cpp:
        (TestRunner::authenticateSession):
        (TestRunner::setSpatialNavigationEnabled):
        (TestRunner::apiTestNewWindowDataLoadBaseURL):
        (TestRunner::setPluginsEnabled):
        (TestRunner::setApplicationCacheOriginQuota):
        (TestRunner::addMockSpeechInputResult):
        (TestRunner::setViewModeMediaFeature):
        (TestRunner::deleteLocalStorageForOrigin):
        (TestRunner::applicationCacheDiskUsageForOrigin):
        (TestRunner::grantWebNotificationPermission):
        (TestRunner::denyWebNotificationPermission):
        (TestRunner::simulateWebNotificationClick):
        (TestRunner::simulateLegacyWebNotificationClick):

2013-04-18  Grzegorz Czajkowski  <g.czajkowski@samsung.com>

        [WK2][EFL] Text Checker's settings refactor
        https://bugs.webkit.org/show_bug.cgi?id=111713

        Reviewed by Andreas Kling.

        * MiniBrowser/efl/main.c:
        (window_create):
        Use a new text checker API to enable spell checking.

2013-04-18  Seokju Kwon  <seokju.kwon@gmail.com>

        [EFL] Add a newline to the end of log message
        https://bugs.webkit.org/show_bug.cgi?id=114659

        Reviewed by Gyuyoung Kim.

        Move a newline to info() definition.

        * EWebLauncher/main.c:
        (on_load_finished):
        (on_tooltip_text_set):
        (on_tooltip_text_unset):
        (on_inputmethod_changed):
        (on_focus_out):
        (on_focus_in):
        (on_key_down):
        (windowCreate):
        * MiniBrowser/efl/main.c:
        (on_key_down):
        (on_download_request):
        (on_download_finished):
        (on_download_failed):
        (on_refresh_button_clicked):
        (on_popup_menu_discarded):
        (on_popup_menu_item_clicked):
        (popup_menu_populate):
        (on_popup_menu_show):
        (on_window_create):
        (context_popup_item_selected_cb):
        (on_context_menu_show):
        (on_context_menu_hide):
        (window_create):

2013-04-17  Zan Dobersek  <zandobersek@gmail.com>

        [Dashboard] Remove code for showing 'WebKit roll' annotations in timelines for Chromium builders
        https://bugs.webkit.org/show_bug.cgi?id=114755

        Reviewed by Ryosuke Niwa.

        The Chromium builders are no longer available to inspect so there's no need for the code that used to show
        the 'WebKit roll' annotations in the Chromium builders' timeline.

        * TestResultServer/static-dashboards/timeline_explorer.js:

2013-04-17  Zan Dobersek  <zandobersek@gmail.com>

        [Dashboard] Clean up the timeline updating code, removing Chromium-specific cases
        https://bugs.webkit.org/show_bug.cgi?id=114756

        Reviewed by Ryosuke Niwa.

        Clean up the updating of the timeline in the timeline explorer, defaulting to the webkit.org build master when
        constructing the results URL and removing the possible row addition containing the Chromium commit range that
        only applied to Chromium builders in the first place. Also removes the now-redundant shouldShowWebKitRevisionsOnly
        method.

        * TestResultServer/static-dashboards/timeline_explorer.js:

2013-04-17  Alberto Garcia  <agarcia@igalia.com>

        media-stream and xslt are no longer configurable options in the GTK+ port
        https://bugs.webkit.org/show_bug.cgi?id=114736

        Reviewed by Martin Robinson.

        media-stream support was removed in r145199 and XSLT is a hard
        requirement since r145859. Attempting to pass those options to the
        configure script, only results in a warning.

        * Scripts/webkitdirs.pm:
        (buildAutotoolsProject):

2013-04-17  Michał Pakuła vel Rutka  <m.pakula@samsung.com>

        [EFL][WK2] Implement context menu in MiniBrowser
        https://bugs.webkit.org/show_bug.cgi?id=102932

        Reviewed by Gyuyoung Kim.

        Added context menu support for EFL port using Elementary context popup.

        * MiniBrowser/efl/main.c:
        (_Browser_Window):
        (context_popup_item_selected_cb):
        (context_popup_populate):
        (on_context_menu_show):
        (on_context_menu_hide):
        (window_create):

2013-04-17  Csaba Osztrogonác  <ossy@webkit.org>

        REGRESSION(r148588): It broke the Qt WK2 EWS
        https://bugs.webkit.org/show_bug.cgi?id=114737

        Reviewed by Jocelyn Turcotte.

        * Scripts/webkitpy/common/config/ews.json: "Qt WK2 EWS" should use qt-wk2 port.
        * Scripts/webkitpy/common/config/ports.py:
        (DeprecatedPort.port):
        (QtPort.build_webkit_command): qt port shouldn't build WebKit2.
        (QtPort.run_webkit_tests_command): qt port runs WK1 tests.
        (QtWK2Port): Added.
        (QtWK2Port.build_webkit_command): qt-wk2 port builds WK1 and WK2 too.
        (QtWK2Port.run_webkit_tests_command): qt-wk2 port runs WK2 tests.
        * Scripts/webkitpy/common/config/ports_unittest.py:
        (DeprecatedPortTest.test_qt_port):
        (DeprecatedPortTest):
        (DeprecatedPortTest.test_qt_wk2_port):

2013-04-17  Zan Dobersek  <zdobersek@igalia.com>

        Unreviewed.

        * Scripts/webkitpy/common/config/ports_unittest.py:
        (DeprecatedPortTest.test_efl_port): Adjusting the expected outcome of the EFL build-webkit command after r148589.

2013-04-17  Allan Sandfeld Jensen  <allan.jensen@digia.com>

        [Qt] Enable sub-pixel layout.
        https://bugs.webkit.org/show_bug.cgi?id=113199

        Reviewed by Jocelyn Turcotte.

        * qmake/mkspecs/features/features.pri:

2013-04-16  Gyuyoung Kim  <gyuyoung.kim@samsung.com>

        Add Efl WebKit2 EWS bot
        https://bugs.webkit.org/show_bug.cgi?id=114564

        Reviewed by Ryosuke Niwa.

        Added EflWK2EWS, and add myself a watcher for EflWK2EWS.
        Also add a deprecated EflWK2Port class.

        Besides clean up eflews watchers.

        * QueueStatusServer/config/queues.py:
        * Scripts/webkitpy/common/config/ews.json:
        * Scripts/webkitpy/common/config/ports.py:
        (DeprecatedPort.port):
        (EflPort.build_webkit_command):
        (EflWK2Port):
        (EflWK2Port.build_webkit_command):

2013-04-16  Ryosuke Niwa  <rniwa@webkit.org>

        Isolate Early Warning System definitions into a JSON
        https://bugs.webkit.org/show_bug.cgi?id=114558

        Reviewed by Benjamin Poulain.

        Added ews.json to common/config, and made tool/commands/__init__.py call
        AbstractEarlyWarningSystem.load_ews_classes to instantiate classes based on ews.json.

        Reland the patch since the EWS failure was a false positive.

        * Scripts/webkitpy/common/config/ews.json: Extracted from earlywarningsystem.py.
        * Scripts/webkitpy/tool/commands/__init__.py:
        * Scripts/webkitpy/tool/commands/earlywarningsystem.py:
        (AbstractEarlyWarningSystem):
        (AbstractEarlyWarningSystem.__init__):
        (AbstractEarlyWarningSystem.load_ews_classes): Added. Loads ews.json.
        * Scripts/webkitpy/tool/commands/earlywarningsystem_unittest.py:
        (EarlyWarningSystemTest._default_expected_logs):
        (_test_ews):
        (test_ewses):

2013-04-16  Sam Weinig  <sam@webkit.org>

        Fix fallout after r148545.

        * WebKitTestRunner/TestController.cpp:
        (WTR::TestController::resetStateToConsistentValues):
        Remove calls to non-existent API functions.

2013-04-13  Roger Fong  <roger_fong@apple.com>

        Unreviewed. Disable WinEWS tests, simply not enough bots.

        All bots are running consistently now but the queue still keeps growing.
        Until we get more bots or make the tests faster, it doesn't seem wise to keep running tests.

        * Scripts/webkitpy/tool/commands/earlywarningsystem.py:
        (WinEWS):

2013-04-16  Ryosuke Niwa  <rniwa@webkit.org>

        The list of contributors in committers.py should be a separate JSON
        https://bugs.webkit.org/show_bug.cgi?id=114673

        Reviewed by Anders Carlsson.

        Added webkitpy/common/config/contributors.json, made CommitterList load it.

        * EWSTools/start-queue-mac.sh:
        * EWSTools/start-queue.sh:
        * Scripts/webkitpy/common/checkout/commitinfo.py:
        (CommitInfo.committer):
        * Scripts/webkitpy/common/config/contributors.json: Added.
        * Scripts/webkitpy/common/config/committers.py:
        (Reviewer.__init__):
        (CommitterList.__init__):
        (CommitterList.load_json): Added.
        (CommitterList.load_json.emails):
        (CommitterList.load_json.nicks):
        * Scripts/webkitpy/tool/bot/flakytestreporter_unittest.py:
        (MockCommitInfo.author):

2013-04-16  Manuel Rego Casasnovas  <rego@igalia.com>

        [EFL] Bump libsoup dependency to 2.42.0
        https://bugs.webkit.org/show_bug.cgi?id=113927

        Reviewed by Gyuyoung Kim.

        Update libsoup required version to v2.42.0 and GLib to v2.36.0 as
        required by libsoup for EFL port.

        * efl/jhbuild.modules:
        * efl/patches/libsoup-2.40-auth-fix.patch: Removed as it's already
        included in v2.42.0.

2013-04-16  Ryosuke Niwa  <rniwa@webkit.org>

        Remove Account class from committers.py
        https://bugs.webkit.org/show_bug.cgi?id=114671

        Reviewed by Csaba Osztrogonác.

        Account class was added to support watch list email addresses that are not associated with
        a particular contributor but nobody uses these email address since Chromium port forked.

        Remove it.

        Also removed account_by_login from CommitterList since it was never called except its unittests.

        * Scripts/webkitpy/common/checkout/changelog.py:
        * Scripts/webkitpy/common/config/committers.py:
        (Contributor):
        (Contributor.matches_glob):
        (Reviewer.__init__):
        (CommitterList.__init__):
        (CommitterList._email_to_account_map):
        (CommitterList._login_to_account_map):
        (CommitterList.contributors_by_fuzzy_match):
        (CommitterList.contributor_by_email):
        (CommitterList.contributor_by_name):
        (CommitterList.committer_by_email):
        (CommitterList.reviewer_by_email):
        * Scripts/webkitpy/common/config/committers_unittest.py:
        (CommittersTest.test_committer_lookup):
        * Scripts/webkitpy/common/net/bugzilla/bugzilla.py:
        (Bugzilla._commit_queue_flag):
        * Scripts/webkitpy/common/net/bugzilla/bugzilla_unittest.py:
        (test_commit_queue_flag):
        * Scripts/webkitpy/common/watchlist/watchlistparser.py:
        (WatchListParser._validate):

2013-04-16  Mike West  <mkwst@chromium.org>

        Unreviewed update to the watchlist.

        Removing 'mkwst+watchlist@chromium.org' from committers.py and the
        watchist file; moving to 'mkwst@chromium.org' instead.

        * Scripts/webkitpy/common/config/committers.py:
        * Scripts/webkitpy/common/config/watchlist:

2013-04-16  Ryosuke Niwa  <rniwa@webkit.org>

        Move webkitpy.layout_tests.port to webkitpy.port
        https://bugs.webkit.org/show_bug.cgi?id=114668

        Reviewed by Maciej Stachowiak.

        Moved. Port objects knows a lot more than just layout_tests. They doesn't belong down in layout_tests.

        * Scripts/webkitpy/common/host.py:
        * Scripts/webkitpy/common/host_mock.py:
        * Scripts/webkitpy/layout_tests/controllers/layout_test_runner_unittest.py:
        * Scripts/webkitpy/layout_tests/controllers/single_test_runner.py:
        * Scripts/webkitpy/layout_tests/controllers/test_result_writer_unittest.py:
        * Scripts/webkitpy/layout_tests/layout_package/json_results_generator_unittest.py:
        * Scripts/webkitpy/layout_tests/lint_test_expectations.py:
        * Scripts/webkitpy/layout_tests/port: Removed.
        * Scripts/webkitpy/layout_tests/run_webkit_tests.py:
        * Scripts/webkitpy/layout_tests/run_webkit_tests_integrationtest.py:
        * Scripts/webkitpy/layout_tests/servers/apache_http_server_unittest.py:
        * Scripts/webkitpy/layout_tests/servers/http_server_base_unittest.py:
        * Scripts/webkitpy/layout_tests/servers/http_server_unittest.py:
        * Scripts/webkitpy/layout_tests/views/printing_unittest.py:
        * Scripts/webkitpy/performance_tests/perftest.py:
        * Scripts/webkitpy/performance_tests/perftest_unittest.py:
        * Scripts/webkitpy/performance_tests/perftestsrunner_integrationtest.py:
        * Scripts/webkitpy/performance_tests/perftestsrunner_unittest.py:
        * Scripts/webkitpy/port: Copied from Tools/Scripts/webkitpy/layout_tests/port.
        * Scripts/webkitpy/port/apple.py:
        * Scripts/webkitpy/port/base.py:
        * Scripts/webkitpy/port/base_unittest.py:
        * Scripts/webkitpy/port/config_unittest.py:
        (ConfigTest.test_default_configuration__standalone):
        * Scripts/webkitpy/port/driver_unittest.py:
        * Scripts/webkitpy/port/efl.py:
        * Scripts/webkitpy/port/efl_unittest.py:
        * Scripts/webkitpy/port/factory.py:
        * Scripts/webkitpy/port/factory_unittest.py:
        * Scripts/webkitpy/port/gtk.py:
        * Scripts/webkitpy/port/gtk_unittest.py:
        * Scripts/webkitpy/port/image_diff.py:
        * Scripts/webkitpy/port/image_diff_unittest.py:
        * Scripts/webkitpy/port/leakdetector_unittest.py:
        * Scripts/webkitpy/port/mac.py:
        * Scripts/webkitpy/port/mac_unittest.py:
        * Scripts/webkitpy/port/mock_drt.py:
        * Scripts/webkitpy/port/mock_drt_unittest.py:
        * Scripts/webkitpy/port/port_testcase.py:
        * Scripts/webkitpy/port/qt.py:
        * Scripts/webkitpy/port/qt_unittest.py:
        * Scripts/webkitpy/port/server_process_unittest.py:
        * Scripts/webkitpy/port/test.py:
        * Scripts/webkitpy/port/win.py:
        * Scripts/webkitpy/port/win_unittest.py:
        * Scripts/webkitpy/port/xvfbdriver.py:
        * Scripts/webkitpy/port/xvfbdriver_unittest.py:
        * Scripts/webkitpy/tool/bot/botinfo_unittest.py:
        * Scripts/webkitpy/tool/commands/gardenomatic.py:
        * Scripts/webkitpy/tool/commands/perfalizer_unittest.py:
        * Scripts/webkitpy/tool/commands/queries.py:
        * Scripts/webkitpy/tool/commands/queries_unittest.py:
        * Scripts/webkitpy/tool/commands/rebaseline.py:
        * Scripts/webkitpy/tool/servers/gardeningserver.py:
        * Scripts/webkitpy/tool/servers/gardeningserver_unittest.py:
        * Scripts/webkitpy/tool/servers/rebaselineserver.py:
        * Scripts/webkitpy/tool/servers/rebaselineserver_unittest.py:

2013-04-16  Commit Queue  <rniwa@webkit.org>

        Unreviewed, rolling out r148498.
        http://trac.webkit.org/changeset/148498
        https://bugs.webkit.org/show_bug.cgi?id=114669

        Appears to have broken EWS (Requested by rniwa on #webkit).

        * Scripts/webkitpy/common/config/ews.json: Removed.
        * Scripts/webkitpy/tool/commands/__init__.py:
        * Scripts/webkitpy/tool/commands/earlywarningsystem.py:
        (AbstractEarlyWarningSystem):
        (AbstractEarlyWarningSystem.__init__):
        (AbstractEarlyWarningSystem.handle_script_error.does):
        (GtkEWS):
        (GtkWK2EWS):
        (EflEWS):
        (QtEWS):
        (QtWK2EWS):
        (WinEWS):
        (MacEWS):
        (MacWK2EWS):
        * Scripts/webkitpy/tool/commands/earlywarningsystem_unittest.py:
        (EarlyWarningSystemTest._default_expected_logs):
        (_test_ews):
        (test_ewses):

2013-04-13  Ryosuke Niwa  <rniwa@webkit.org>

        Isolate Early Warning System definitions into a JSON
        https://bugs.webkit.org/show_bug.cgi?id=114558

        Reviewed by Benjamin Poulain.

        Added ews.json to common/config, and made tool/commands/__init__.py call
        AbstractEarlyWarningSystem.load_ews_classes to instantiate classes based on ews.json.

        * Scripts/webkitpy/common/config/ews.json: Extracted from earlywarningsystem.py.
        * Scripts/webkitpy/tool/commands/__init__.py:
        * Scripts/webkitpy/tool/commands/earlywarningsystem.py:
        (AbstractEarlyWarningSystem):
        (AbstractEarlyWarningSystem.__init__):
        (AbstractEarlyWarningSystem.load_ews_classes): Added. Loads ews.json.
        * Scripts/webkitpy/tool/commands/earlywarningsystem_unittest.py:
        (EarlyWarningSystemTest._default_expected_logs):
        (_test_ews):
        (test_ewses):

2013-04-15  Ryosuke Niwa  <rniwa@webkit.org>

        WKR gets stuck when there are many merges
        https://bugs.webkit.org/show_bug.cgi?id=114632

        Reviewed by Andreas Kling.

        Move the last revision forward when it exists in a branch.
        Otherwise, we'll be stuck looping over revisions made to merge patches.

        * Scripts/webkitpy/tool/commands/newcommitbot.py:
        (NewCommitBot.next_work_item):

2013-04-15  Gustavo Noronha Silva  <gns@gnome.org>

        [GTK] Missing a few packages for building on stock Fedora
        https://bugs.webkit.org/show_bug.cgi?id=113916

        Reviewed by Philippe Normand.

        * gtk/install-dependencies: add packages that are missing.

2013-04-15  Zan Dobersek  <zdobersek@igalia.com>

        REGRESSION (r148360): Failure in webkitpy.tool.multicommandtool_unittest.MultiCommandToolTest.test_command_help
        https://bugs.webkit.org/show_bug.cgi?id=114602

        Reviewed by Ryosuke Niwa.

        * Scripts/webkitpy/tool/multicommandtool_unittest.py:
        (CommandTest.test_required_arguments): Reset the static argument_names variable on the TrivialCommand
        interface so its value doesn't leak into the following tests.

2013-04-15  Zan Dobersek  <zandobersek@gmail.com>

        Deprecate land-cowboy in favor of land-cowhand
        https://bugs.webkit.org/show_bug.cgi?id=104470

        Reviewed by Darin Adler.

        Move the LandCowboy command implementation under the LandCowhand command and deprecate the former.

        * Scripts/webkitpy/tool/commands/download.py:
        (LandCowhand):
        (LandCowboy):
        (LandCowboy._prepare_state):
        * Scripts/webkitpy/tool/commands/download_unittest.py:
        (test_land_cowhand): Adjust the unit tests by testing both LandCowhand and LandCowboy,
        also checking the deprecation message in the output of the latter.

2013-04-15  Jonathan Liu  <net147@gmail.com>

        Improve Windows cmd.exe detection
        https://bugs.webkit.org/show_bug.cgi?id=114620

        Reviewed by Jocelyn Turcotte.

        The current detection code handles Windows cmd.exe and Cygwin shell
        but not does not handle MSYS shell correctly. Simplify and improve the
        detection by checking MINGW_IN_SHELL instead as used in other places
        (e.g. qt_functions.prf).

        * qmake/mkspecs/features/default_pre.prf:

2013-04-15  Manuel Rego Casasnovas  <rego@igalia.com>

        [webkitpy] Use $NUMBER_OF_PROCESSORS in Executive.cpu_count()
        https://bugs.webkit.org/show_bug.cgi?id=114506

        Reviewed by Philippe Normand.

        * Scripts/webkitpy/common/system/executive.py:
        (Executive.cpu_count): Modify function in order to use the environment
        variable $NUMBER_OF_PROCESSORS if it is defined and it is an integer
        greater than 0.

2013-04-15  Xan Lopez  <xlopez@igalia.com>

        [BlackBerry] ASSERT in StyleResolver::ensureScopeResolver()
        https://bugs.webkit.org/show_bug.cgi?id=114615

        Reviewed by Carlos Garcia Campos.

        Enable the style scoped feature if we have support for it.

        * DumpRenderTree/blackberry/DumpRenderTree.cpp:
        (BlackBerry::WebKit::DumpRenderTree::resetToConsistentStateBeforeTesting):

2013-04-15  Allan Sandfeld Jensen  <allan.jensen@digia.com>

        [Qt] QtMultimedia not used when GStreamer is not found
        https://bugs.webkit.org/show_bug.cgi?id=111842

        Reviewed by Philippe Normand.

        Fallback to using QtMultimedia when native libraries are not found.

        * qmake/mkspecs/features/features.prf:

2013-04-13  Ryosuke Niwa  <rniwa@webkit.org>

        Build fix attempt for webkitbot. Unicodify everything.

        * Scripts/webkitpy/tool/bot/irc_command.py:
        (Whois.execute):

2013-04-13  Ryosuke Niwa  <rniwa@webkit.org>

        webkitbot should provide full name, email address, and IRC nicknames on whois
        https://bugs.webkit.org/show_bug.cgi?id=114494

        Reviewed by Benjamin Poulain.

        A response like the one below is useless. Improve it:
        webkitbot: rniwa: zdobersek is zdobersek (zandobersek@gmail.com). Why do you ask?

        We now report full name, email address, committer/reviewer status, and IRC nickname.

        Also teach webkitbot how to respond to ping.

        * Scripts/webkitpy/tool/bot/irc_command.py:
        (PingPong): Moved 
        (PingPong.execute):
        (Whois._full_record_and_nick): Renamed and rewritten.
        (Whois.execute):

        * Scripts/webkitpy/tool/bot/irc_command_unittest.py:
        (IRCCommandTest.test_whois): Updated test cases as needed.

        * Scripts/webkitpy/tool/bot/ircbot_unittest.py:
        (IRCBotTest.test_help): Added ping.

        * Scripts/webkitpy/tool/commands/newcommitbot.py:
        (NewCommitBot): Teached WKR how to respond to hi.

2013-04-13  Anders Carlsson  <andersca@apple.com>

        Add form delegate method that's invoked right before sending a submit event to a form element
        https://bugs.webkit.org/show_bug.cgi?id=114575

        Reviewed by Dan Bernstein.

        Add a test.

        * TestWebKitAPI/TestWebKitAPI.xcodeproj/project.pbxproj:
        * TestWebKitAPI/Tests/mac/WillSendSubmitEvent.mm: Added.
        (-[FormDelegate willSendSubmitEventToForm:inFrame:withValues:]):
        (TestWebKitAPI):
        (TestWebKitAPI::TEST):
        
        * TestWebKitAPI/mac/PlatformUtilitiesMac.mm:
        (TestWebKitAPI::Util::toSTD):
        Don't crash when a null NSString is passed to toSTD.

2013-04-13  Ryosuke Niwa  <rniwa@webkit.org>

        Python test fix attempt after r148360.

        * Scripts/webkitpy/tool/multicommandtool_unittest.py:
        (test_command_help):

2013-04-13  Ryosuke Niwa  <rniwa@webkit.org>

        Merge AbstractDeclarativeCommand into Command as a comment suggests
        https://bugs.webkit.org/show_bug.cgi?id=114559

        Reviewed by Antti Koivisto.

        Merged two classes as the comment right above AbstractDeclarativeCommand suggested.
        We need to merge a lot more classes to make webkitpy hackable.

        * Scripts/webkitpy/tool/commands/abstractlocalservercommand.py:
        (AbstractLocalServerCommand):
        (AbstractLocalServerCommand.__init__):
        * Scripts/webkitpy/tool/commands/abstractsequencedcommand.py:
        (AbstractSequencedCommand):
        (AbstractSequencedCommand.__init__):
        * Scripts/webkitpy/tool/commands/adduserstogroups.py:
        (AddUsersToGroups):
        * Scripts/webkitpy/tool/commands/analyzechangelog.py:
        (AnalyzeChangeLog):
        (AnalyzeChangeLog.__init__):
        * Scripts/webkitpy/tool/commands/analyzechangelog_unittest.py:
        * Scripts/webkitpy/tool/commands/bugfortest.py:
        (BugForTest):
        * Scripts/webkitpy/tool/commands/bugsearch.py:
        (BugSearch):
        * Scripts/webkitpy/tool/commands/chromechannels.py:
        (ChromeChannels):
        (__init__):
        * Scripts/webkitpy/tool/commands/download.py:
        (AbstractPatchProcessingCommand):
        * Scripts/webkitpy/tool/commands/findusers.py:
        (FindUsers):
        * Scripts/webkitpy/tool/commands/openbugs.py:
        (OpenBugs):
        * Scripts/webkitpy/tool/commands/queries.py:
        (BugsToCommit):
        (PatchesInCommitQueue):
        (PatchesToCommitQueue):
        (PatchesToCommitQueue.__init__):
        (PatchesToReview):
        (PatchesToReview.__init__):
        (PatchesToReview.execute):
        (WhatBroke):
        (ResultsFor):
        (FailureReason):
        (FindFlakyTests):
        (TreeStatus):
        (CrashLog):
        (PrintExpectations):
        (PrintExpectations.__init__):
        (PrintBaselines):
        (PrintBaselines.__init__):
        * Scripts/webkitpy/tool/commands/queues.py:
        (AbstractQueue.__init__):
        * Scripts/webkitpy/tool/commands/rebaseline.py:
        (AbstractRebaseliningCommand):
        * Scripts/webkitpy/tool/commands/suggestnominations.py:
        (SuggestNominations):
        (SuggestNominations.__init__):
        * Scripts/webkitpy/tool/commands/upload.py:
        (CommitMessageForCurrentDiff):
        (CommitMessageForCurrentDiff.__init__):
        (CleanPendingCommit):
        (CleanReviewQueue):
        (AssignToCommitter):
        (PostCommits):
        (PostCommits.__init__):
        (MarkBugFixed):
        (MarkBugFixed.__init__):
        (CreateBug):
        (CreateBug.__init__):
        * Scripts/webkitpy/tool/multicommandtool.py:
        (Command):
        (Command.__init__):
        (Command.main):
        (HelpCommand):
        (HelpCommand.__init__):
        * Scripts/webkitpy/tool/multicommandtool_unittest.py:
        (TrivialCommand):
        (TrivialCommand.__init__):
        (LikesToRetry):
        (LikesToRetry.__init__):
        (CommandTest.test_name_with_arguments):
        (CommandTest.test_required_arguments):
        (test_command_help):

2013-04-13  Ed Bartosh  <bartosh@gmail.com>

        [EFL] --minimal build fails with error: 'ViewModeInvalid' is not a member of 'WebCore::Page'
        https://bugs.webkit.org/show_bug.cgi?id=114048

        Reviewed by Gyuyoung Kim.

        Wrapped view media related code in #if ENABLE(VIEW_MODE_CSS_MEDIA)

        * DumpRenderTree/efl/TestRunnerEfl.cpp:
        (TestRunner::setViewModeMediaFeature):

2013-04-13  Ryosuke Niwa  <rniwa@webkit.org>

        Merge watchlistloader into host since it's an unnecessary indirection
        https://bugs.webkit.org/show_bug.cgi?id=114555

        Reviewed by Antti Koivisto.

        We don't need a class to load a file.

        * Scripts/webkitpy/common/host.py:
        (Host.watch_list):
        * Scripts/webkitpy/common/watchlist/watchlistloader.py: Removed.
        * Scripts/webkitpy/common/watchlist/watchlistloader_unittest.py: Removed.

2013-04-13  Ryosuke Niwa  <rniwa@webkit.org>

        Rename JSONResultsGeneratorBase to JSONResultsGenerator
        https://bugs.webkit.org/show_bug.cgi?id=114553

        Reviewed by Philippe Normand.

        Renamed now that we've got rid of the old JSONResultsGenerator in r148352.

        * Scripts/webkitpy/layout_tests/layout_package/json_layout_results_generator.py:
        (JSONLayoutResultsGenerator):
        * Scripts/webkitpy/layout_tests/layout_package/json_results_generator.py:
        (JSONResultsGenerator):
        * Scripts/webkitpy/layout_tests/layout_package/json_results_generator_unittest.py:
        (JSONGeneratorTest._test_json_generation):
        (JSONGeneratorTest._verify_json_results):

2013-04-13  Ryosuke Niwa  <rniwa@webkit.org>

        Remove more Chromium specific code from webkitpy
        https://bugs.webkit.org/show_bug.cgi?id=114552

        Reviewed by Philippe Normand.

        * Scripts/webkitpy/common/host.py:
        (Host.checkout):
        * Scripts/webkitpy/layout_tests/layout_package/json_results_generator.py:
        (JSONResultsGeneratorBase):
        (JSONResultsGeneratorBase.__init__):
        (JSONResultsGeneratorBase._is_results_all_of_type):
        * Scripts/webkitpy/layout_tests/port/base.py:
        (Port):
        (Port.expected_filename):
        * Scripts/webkitpy/performance_tests/perftestsrunner.py:
        (PerfTestsRunner._parse_args):
        * Scripts/webkitpy/tool/commands/queues.py:
        (PatchProcessingQueue._new_port_name_from_old):
        (CommitQueue.did_pass_testing_ews):
        * Scripts/webkitpy/tool/commands/rebaseline.py:
        (RebaselineTest._results_url):
        (Rebaseline._builder_with_name):
        * Scripts/webkitpy/tool/mocktool.py:
        (MockTool.irc):

2013-04-13  Zan Dobersek  <zdobersek@igalia.com>

        Fix flakiness dashboard unit test failures
        https://bugs.webkit.org/show_bug.cgi?id=114518

        Reviewed by Ryosuke Niwa.

        Fix the current failures in unit tests for the flakiness dashboard by adjusting failing
        test cases to simulate loading the builders list from the webkit.org build master, replacing
        the Chromium builders and platforms that are used in tests with builders and platforms for the
        Apple Mac Lion WebKit2 port, and removing two test cases that were testing Chromium-specific
        functionality of the dashboard.

        This is sort of an interlude to the flakiness dashboard cleanup, with the removal of Chromium-specific
        code and hopefully general simplification of the dashboard codebase coming in near future.

        * TestResultServer/static-dashboards/flakiness_dashboard_unittests.js:
        (resetGlobals):
        (test):
        * TestResultServer/static-dashboards/loader_unittests.js:

2013-04-12  David Kilzer  <ddkilzer@apple.com>

        BUILD FIX: Make AccessibilityUIElementIOS.mm build on iOS

        Reviewed by Chris Fleizach.

        * DumpRenderTree/ios/AccessibilityUIElementIOS.mm: Declare
        -_accessibilityPath from the WebAccessibilityObjectWrapper
        class.
        (_CGPathEnumerationIteration): Remove unused CGPoint* variable.

2013-04-12  Jeffrey Pfau  <jpfau@apple.com>

        Unreviewed, remove an old email address for myself.

        * Scripts/webkitpy/common/config/committers.py:

2013-04-12  Adenilson Cavalcanti  <cavalcantii@gmail.com>

        [WK2] WebPageProxy loadURL() won't work when called just after terminateProcess()
        https://bugs.webkit.org/show_bug.cgi?id=110743

        Reviewed by Benjamin Poulain.

        Adding a new test file to check if loading a page just after WebProcess
        has crashed (or was terminated) works. The test executes the
        following steps (Load, Crash, Load), thus stressing WebProcess
        reattach and process termination code path.

        * TestWebKitAPI/GNUmakefile.am:
        * TestWebKitAPI/PlatformEfl.cmake:
        * TestWebKitAPI/TestWebKitAPI.xcodeproj/project.pbxproj:
        * TestWebKitAPI/Tests/WebKit2/MouseMoveAfterCrash.cpp:
        (TestWebKitAPI::setPageLoaderClient):
        (TestWebKitAPI::TEST):
        * TestWebKitAPI/Tests/WebKit2/LoadPageOnCrash.cpp: Added.
        (TestWebKitAPI):
        (WebKit2CrashLoader):
        (TestWebKitAPI::WebKit2CrashLoader::WebKit2CrashLoader):
        (TestWebKitAPI::WebKit2CrashLoader::loadUrl):
        (TestWebKitAPI::WebKit2CrashLoader::crashWebProcess):
        (TestWebKitAPI::didFinishLoad):
        (TestWebKitAPI::TEST):
        * TestWebKitAPI/Tests/WebKit2/WebKit2.pro:

2013-04-12  Ryosuke Niwa  <rniwa@webkit.org>

        [Mac] REGRESSION: Auto substitution strips new lines
        https://bugs.webkit.org/show_bug.cgi?id=114537

        Reviewed by Enrica Casucci.

        Add a rule to replace "helloleworld" by "hello\nworld" for testing purpose.

        * DumpRenderTree/mac/DumpRenderTree.mm:
        (resetDefaultsToConsistentValues):

2013-04-09  Roger Fong  <roger_fong@apple.com>

        Re-enable WinEWS tests.

        * Scripts/webkitpy/tool/commands/earlywarningsystem.py:
        (WinEWS):

2013-04-12  Carlos Garcia Campos  <cgarcia@igalia.com>

        [GTK] Split GtkAuthenticationDialog in two widgets
        https://bugs.webkit.org/show_bug.cgi?id=103644

        Reviewed by Xan Lopez.

        * gtk/generate-gtkdoc:
        (get_webkit2_options): Do not generate api docs for
        WebKitAuthenticationDialog which is private in WebKit2.
        (get_webkit1_options): Do not generate api docs for
        webkitauthenticationdialog which is private in WebKit1.

2013-04-12  Ryosuke Niwa  <rniwa@webkit.org>

        WebKit Queues should capitalize K in Wk2
        https://bugs.webkit.org/show_bug.cgi?id=114524

        Reviewed by Philippe Normand.

        * QueueStatusServer/model/queues.py:
        (Queue.display_name):

2013-04-12  Ryosuke Niwa  <rniwa@webkit.org>

        [Mac] Enable spellchecking tests added in r141471
        https://bugs.webkit.org/show_bug.cgi?id=108525

        Reviewed by Darin Adler.

        * DumpRenderTree/mac/DumpRenderTree.mm:
        (createWebViewAndOffscreenWindow):
        (resetDefaultsToConsistentValues):
        * WebKitTestRunner/TestController.cpp:
        (WTR::TestController::resetStateToConsistentValues):

2013-04-12  Manuel Rego Casasnovas  <rego@igalia.com>

        [GTK] Enable WebKit2 building on GTK EWSs
        https://bugs.webkit.org/show_bug.cgi?id=114500

        Reviewed by Philippe Normand.

        Add configuration in order to be able to setup GTK EWSs building
        WebKit2. A new queue gtk-wk2-ews is added.

        * QueueStatusServer/config/queues.py:
        * Scripts/webkitpy/common/config/ports.py:
        (DeprecatedPort.port):
        (GtkWK2Port):
        (GtkWK2Port.build_webkit_command):
        (GtkWK2Port.run_webkit_tests_command):
        * Scripts/webkitpy/common/config/ports_unittest.py:
        (DeprecatedPortTest.test_gtk_port):
        (DeprecatedPortTest):
        (DeprecatedPortTest.test_gtk_wk2_port):
        * Scripts/webkitpy/tool/commands/earlywarningsystem.py:
        (GtkWK2EWS):

2013-04-12  Ryosuke Niwa  <rniwa@webkit.org>

        Remove Chromium scripts
        https://bugs.webkit.org/show_bug.cgi?id=114492

        Reviewed by Benjamin Poulain.

        * Scripts/run-chromium-webkit-unit-tests: Removed.
        * Scripts/update-webkit-chromium: Removed.

2013-04-12  Commit Queue  <rniwa@webkit.org>

        Unreviewed, rolling out r148262.
        http://trac.webkit.org/changeset/148262
        https://bugs.webkit.org/show_bug.cgi?id=114493

        Cairo dep should now build, rolling r148247 back in (Requested
        by zdobersek on #webkit).

        * Scripts/webkitdirs.pm:
        (buildAutotoolsProject):
        * gtk/jhbuild.modules:

2013-04-11  Commit Queue  <rniwa@webkit.org>

        Unreviewed, rolling out r148247.
        http://trac.webkit.org/changeset/148247
        https://bugs.webkit.org/show_bug.cgi?id=114490

        Cairo dep fails to build on builders due to missing EGL
        headers (Requested by zdobersek on #webkit).

        * Scripts/webkitdirs.pm:
        (buildAutotoolsProject):
        * gtk/jhbuild.modules:

2013-04-11  Martin Robinson  <mrobinson@igalia.com>

        [GTK] Add accelerated 2D canvas support using cairo-gl
        https://bugs.webkit.org/show_bug.cgi?id=104672

        Reviewed by Alejandro G. Castro.

        Since the value of ACCELERATED_2D_CANVAS relies on some somewhat unusual
        dependencies, don't override value of the setting determined by configure.
        This will make it easier for people using build-webkit, but not the
        WebKit JHBuild.

        * Scripts/webkitdirs.pm:
        (buildAutotoolsProject): Add a blacklist for settings to never override.
        * gtk/jhbuild.modules: Build CairoGL.

2013-04-11  Ryosuke Niwa  <rniwa@webkit.org>

        build.webkit.org should link to webkit-queues instead of webkit-commit-queue
        https://bugs.webkit.org/show_bug.cgi?id=114477

        Reviewed by Benjamin Poulain.

        * BuildSlaveSupport/build.webkit.org-config/templates/root.html:

2013-04-11  Ryosuke Niwa  <rniwa@webkit.org>

        Leaks builder should not be triggered upon new commits
        https://bugs.webkit.org/show_bug.cgi?id=114475

        Reviewed by Jessie Berlin.

        Don't trigger them on new checkins. Wait for Mountain Lion (Build), which already triggers
        the leak builder when builds are done.

        * BuildSlaveSupport/build.webkit.org-config/config.json:

2013-04-11  Kalev Lember  <kalevlember@gmail.com>

        [GTK] Windows build failure after r136056
        https://bugs.webkit.org/show_bug.cgi?id=114121

        Reviewed by Martin Robinson.

        * TestWebKitAPI/config.h: Make sure defines are correct for other
        Windows ports than apple-win.

2013-04-11  Ojan Vafai  <ojan@chromium.org>

        Remove myself from watchlists.
        * Scripts/webkitpy/common/config/watchlist:

2013-04-11  Ryosuke Niwa  <rniwa@webkit.org>

        Build fix. Don't hard-code queues.webkit.org at least during the transition.

        * QueueStatusServer/templates/statusbubble.html:

2013-04-11  Ryosuke Niwa  <rniwa@webkit.org>

        Use webkit-queues.appspot.com instead of webkit-commit-queue.appspot.com
        https://bugs.webkit.org/show_bug.cgi?id=114397

        Reviewed by Benjamin Poulain.

        Reland the patch since Alan appears to have finished the migration.

        * Scripts/webkitpy/common/net/statusserver.py:
        (StatusServer):

2013-04-11  Brian Holt  <brian.holt@samsung.com>

        [Gtk] Combo boxes should be arrow-out-of-able similar to list boxes when caret-browsing is enabled.
        https://bugs.webkit.org/show_bug.cgi?id=76796

        Reviewed by Chris Fleizach.

        Make the Gtk window for the DRT a toplevel so that it gets the
        focus from the window manager when the test starts.

        * DumpRenderTree/gtk/DumpRenderTree.cpp:
        (main):

2013-04-04  Allan Sandfeld Jensen  <allan.jensen@digia.com>

        Use CSS4 image-rendering to determing image scaling quality
        https://bugs.webkit.org/show_bug.cgi?id=113405

        Reviewed by Simon Fraser.

        Introduce new flag to enable experimental support for CSS4 Images.

        * Scripts/webkitperl/FeatureList.pm:

2013-04-11  Ryosuke Niwa  <rniwa@webkit.org>

        Remove code for Chromium from wkbuild.py
        https://bugs.webkit.org/show_bug.cgi?id=114423

        Reviewed by Benjamin Poulain.

        * BuildSlaveSupport/build.webkit.org-config/wkbuild.py:
        (_should_file_trigger_build):
        * BuildSlaveSupport/build.webkit.org-config/wkbuild_unittest.py:
        (ShouldBuildTest):

2013-04-11  Philippe Normand  <pnormand@igalia.com>

        Unreviewed, update my IRC nickname.

        * Scripts/webkitpy/common/config/committers.py: I no longer use philn-tp.

2013-04-11  Ryosuke Niwa  <rniwa@webkit.org>

        Remove the rest of Chromium code from webkitpy
        https://bugs.webkit.org/show_bug.cgi?id=114420

        Reviewed by Benjamin Poulain.

        * Scripts/webkitpy/common/config/urls.py:
        (view_revision_url):
        * Scripts/webkitpy/common/host.py:
        (Host._engage_awesome_locale_hacks):
        (Host.initialize_scm):
        (Host):
        * Scripts/webkitpy/common/host_mock.py:
        (MockHost.__init__):
        (MockHost.checkout):
        * Scripts/webkitpy/common/net/buildbot/chromiumbuildbot.py: Removed.
        * Scripts/webkitpy/layout_tests/layout_package/json_results_generator.py:
        (JSONResultsGeneratorBase._insert_generic_metadata):
        * Scripts/webkitpy/layout_tests/models/test_expectations.py:
        (TestExpectationParser._tokenize_line):
        * Scripts/webkitpy/layout_tests/models/test_expectations_unittest.py:
        (ExpectationSyntaxTests.test_bare_name_and_bugs):
        (ExpectationSyntaxTests.test_warnings):
        * Scripts/webkitpy/layout_tests/port/base.py:
        (Port.skips_perf_test):
        (Port.path_to_test_expectations_file):
        (Port._port_flag_for_scripts):
        * Scripts/webkitpy/style/checkers/cpp.py:
        (check_function_definition):
        (check_include_line):
        * Scripts/webkitpy/style/checkers/cpp_unittest.py:
        (OrderOfIncludesTest.test_check_wtf_includes):
        (WebKitStyleTest.test_webkit_export_check):
        * Scripts/webkitpy/style/checkers/test_expectations_unittest.py:
        (TestExpectationsTestCase.test_valid_expectations):
        * Scripts/webkitpy/tool/bot/irc_command.py:
        (Rollout.execute):
        * Scripts/webkitpy/tool/bot/irc_command_unittest.py:
        (IRCCommandTest.test_whois):
        * Scripts/webkitpy/tool/bot/ircbot_unittest.py:
        (IRCBotTest.test_help):
        * Scripts/webkitpy/tool/commands/sheriffbot_unittest.py:
        (SheriffBotTest.test_command_aliases):

2013-04-11  Ryosuke Niwa  <rniwa@webkit.org>

        roll-chromium-deps doesn't roll DEPS
        https://bugs.webkit.org/show_bug.cgi?id=114421

        Reviewed by Antti Koivisto.

        Roll DEPS. Rolling DEPS. Rolled DEPS.

        * Scripts/webkitpy/tool/bot/irc_command.py:
        (RollChromiumDEPS.execute):

2013-04-11  Glenn Adams  <glenn@skynav.com>

        [webkitpy] Remove lingering return_exit_code usage in scm_mock and rebaselineserver.
        https://bugs.webkit.org/show_bug.cgi?id=114418

        Reviewed by Ryosuke Niwa.

        * Scripts/webkitpy/common/checkout/scm/scm_mock.py:
        (MockSCM.add): Remove optional remove_exit_code argument.
        (MockSCM.add_list): Remove optional remove_exit_code argument and return value.
        * Scripts/webkitpy/tool/servers/rebaselineserver.py:
        (_rebaseline_test): Use ScriptError to capture SCM.add() failure and exit code.
        (_move_test_baselines): Use ScriptError to capture SCM.add() failure and exit code.

2013-04-11  Ryosuke Niwa  <rniwa@webkit.org>

        Fix roll-chromium-deps and hi.

        * Scripts/webkitpy/tool/bot/irc_command.py:
        (Hi.execute):
        (RollChromiumDEPS.execute):

2013-04-11  Ryosuke Niwa  <rniwa@webkit.org>

        Remove webkitpy code to roll Chromium DEPS
        https://bugs.webkit.org/show_bug.cgi?id=114415

        Reviewed by Benjamin Poulain.

        Removed the code to roll Chromium DEPS in WebKit.

        * Scripts/webkitpy/common/checkout/checkout.py:
        (Checkout.bug_id_for_this_commit):
        * Scripts/webkitpy/common/checkout/checkout_mock.py:
        (MockCheckout.commit_message_for_this_commit):
        * Scripts/webkitpy/common/checkout/checkout_unittest.py:
        (CheckoutTest.test_suggested_reviewers):
        * Scripts/webkitpy/common/checkout/deps.py: Removed.
        * Scripts/webkitpy/common/checkout/deps_mock.py: Removed.
        * Scripts/webkitpy/tool/bot/irc_command.py:
        (RollChromiumDEPS): Teach webkitbot a sense of humor.
        (RollChromiumDEPS.execute):
        * Scripts/webkitpy/tool/bot/irc_command_unittest.py:
        (IRCCommandTest.test_create_bug):
        * Scripts/webkitpy/tool/bot/ircbot_unittest.py:
        (IRCBotTest.test_revert):
        * Scripts/webkitpy/tool/bot/sheriff.py:
        (Sheriff.post_rollout_patch):
        * Scripts/webkitpy/tool/commands/__init__.py:
        * Scripts/webkitpy/tool/commands/roll.py: Removed.
        * Scripts/webkitpy/tool/commands/roll_unittest.py: Removed.
        * Scripts/webkitpy/tool/steps/__init__.py:
        * Scripts/webkitpy/tool/steps/preparechangelogfordepsroll.py: Removed.
        * Scripts/webkitpy/tool/steps/updatechromiumdeps.py: Removed.
        * Scripts/webkitpy/tool/steps/updatechromiumdeps_unittest.py: Removed.

2013-04-11  Glenn Adams  <glenn@skynav.com>

        [webkitpy] SVNTest fails four tests when using subversion client 1.7 or later
        https://bugs.webkit.org/show_bug.cgi?id=114386

        Reviewed by Benjamin Poulain.

        Subversion client 1.7 uses a new locking scheme that invalidates the technique used
        in test_svn_lock(), so skip that test for 1.7 (or later) until a new technique
        can be implemented. Further, 1.7 changed svn add to not add intermediate directories
        by default and to return exit code 1 if a file/dir had already been added.

        * Scripts/webkitpy/common/checkout/scm/scm_unittest.py:
        (test_svn_lock): Skip body of test if subversion client 1.7 or later.
        * Scripts/webkitpy/common/checkout/scm/svn.py:
        (SVN.add_list): Use --parents option and handle exit code 1 if subversion client 1.7 or later.

2013-04-10  Zan Dobersek  <zdobersek@igalia.com>

        Unreviewed.

        * GNUmakefile.am: Removing extra whitespace that's producing warnings.

2013-04-10  Glenn Adams  <glenn@skynav.com>

        [webkitpy] Remove unused return_exit_code argument and returned values from SCM.{add,add_list}
        https://bugs.webkit.org/show_bug.cgi?id=114410

        Reviewed by Ryosuke Niwa.

        * Scripts/webkitpy/common/checkout/scm/git.py:
        (Git.add_list): Remove optional return_exit_code argument. Remove return value.
        * Scripts/webkitpy/common/checkout/scm/scm.py:
        (SCM.add): Remove optional return_exit_code argument.
        (SCM.add_list): Remove optional return_exit_code argument.
        * Scripts/webkitpy/common/checkout/scm/svn.py:
        (SVN.add_list): Remove optional return_exit_code argument. Remove return value.

2013-04-10  Eric Seidel  <eric@webkit.org>

        Remove myself from the watchlists, I'm getting too much bug mail. :)

        * Scripts/webkitpy/common/config/watchlist:

2013-04-10  Commit Queue  <rniwa@webkit.org>

        Unreviewed, rolling out r148158.
        http://trac.webkit.org/changeset/148158
        https://bugs.webkit.org/show_bug.cgi?id=114405

        We need to migrate status data (Requested by rniwa on
        #webkit).

        * Scripts/webkitpy/common/net/statusserver.py:
        (StatusServer):

2013-04-10  Benjamin Poulain  <bpoulain@apple.com>

        Mass remove all the empty directories

        Rubberstamped by Ryosuke Niwa.

        * BuildSlaveSupport/gtk/crashmon/log: Removed.
        * BuildSlaveSupport/gtk/xvfb/log: Removed.
        * DumpRenderTree/ForwardingHeaders/wtf: Removed.
        * DumpRenderTree/unix/TestNetscapePlugin/ForwardingHeaders/WebKit: Removed.
        * MiniBrowser/gtk/WebBundle: Removed.
        * MiniBrowser/win: Removed.
        * QtTestPlatformPlugin/mac: Removed.
        * Scripts/webkitpy/tool/bot/testdata: Removed.
        * Scripts/webkitpy/tool/commands/data/rebaselineserver: Removed.
        * efl/ImageDiff: Removed.
        * iExploder/htdocs: Removed.
        * iExploder/iexploder-1.7.2/output: Removed.
        * iExploder/tools: Removed.
        * qmake/config.tests/libexecdir: Removed.
        * qmake/config.tests/libjpeg: Removed.
        * qmake/config.tests/libpng: Removed.

2013-04-10  Ryosuke Niwa  <rniwa@webkit.org>

        Use webkit-queeus.appspot.com instead of webkit-commit-queue.appspot.com
        https://bugs.webkit.org/show_bug.cgi?id=114397

        Reviewed by Benjamin Poulain.

        * Scripts/webkitpy/common/net/statusserver.py:
        (StatusServer):

2013-04-10  Adam Barth  <abarth@webkit.org>

        Remove abarth from watchlists
        https://bugs.webkit.org/show_bug.cgi?id=114390

        Reviewed by Ryosuke Niwa.

        I'm trying to cut down on the amount of bugmail I get so that I'll have
        more of a chance to notice a piece of bugmail directed at me.

        * Scripts/webkitpy/common/config/watchlist:

2013-04-10  Ryosuke Niwa  <rniwa@webkit.org>

        webkit-test-results.appspot.com loads the dashboard for Chromium by default
        https://bugs.webkit.org/show_bug.cgi?id=114381

        Reviewed by Benjamin Poulain.

        Changed the defaults.

        * TestResultServer/static-dashboards/builders.js:
        * TestResultServer/static-dashboards/dashboard_base.js:
        (currentBuilderGroupCategory):

2013-04-10  Ryosuke Niwa  <rniwa@webkit.org>

        Remove Chromium EWS bots from the queue status server
        https://bugs.webkit.org/show_bug.cgi?id=113988

        Reviewed by Benjamin Poulain.

        Removed Chromium EWS bots. Also updated it to use webkit-queues.appspot.com.

        * QueueStatusServer/app.yaml:
        * QueueStatusServer/config/queues.py:
        * QueueStatusServer/model/queues.py:
        (Queue.short_name):
        (Queue.display_name):
        * QueueStatusServer/model/queues_unittest.py:
        (QueueTest.test_short_name):
        (QueueTest.test_display_name):
        (QueueTest.test_name_with_underscores):
        * QueueStatusServer/templates/activebots.html:

2013-04-10  Ojan Vafai  <ojan@chromium.org>

        Change all instances of test-results.appspot.com to webkit-test-results.appspot.com
        https://bugs.webkit.org/show_bug.cgi?id=114370

        Reviewed by Ryosuke Niwa.

        Finish the transition of WebKit over to it's own instance of the flakiness dashboard.
        Unfortunately, there's no way to test this until this is committed and there is
        a master restart.

        * BuildSlaveSupport/build.webkit.org-config/master.cfg:
        * BuildSlaveSupport/build.webkit.org-config/public_html/TestFailures/garden-o-matic.html:
        * BuildSlaveSupport/build.webkit.org-config/public_html/TestFailures/scripts/builders_unittests.js:
        * BuildSlaveSupport/build.webkit.org-config/public_html/TestFailures/scripts/ui.js:
        * BuildSlaveSupport/build.webkit.org-config/public_html/TestFailures/scripts/ui/notifications_unittests.js:
        * BuildSlaveSupport/build.webkit.org-config/public_html/TestFailures/scripts/ui/results.js:
        * TestResultServer/generate_builders_json.py:
        * TestResultServer/static-dashboards/dashboard_base.js:
        * TestResultServer/static-dashboards/loader.js:

2013-04-10  Glenn Adams  <glenn@skynav.com>

        [Qt] Fix regression to test-webkitpy.
        https://bugs.webkit.org/show_bug.cgi?id=114368

        Reviewed by Ryosuke Niwa.

        * Scripts/webkitpy/layout_tests/port/factory.py:
        (PortFactory._default_port): Return qt-linux instead of chromium-linux as default port for linux/freebsd.
        (PortFactory.get): Remove obsolete chromium port related code.
        * Scripts/webkitpy/layout_tests/port/mac.py:
        (MacPort.default_child_processes): Prevent type error if can't determine total memory.

2013-04-10  Anders Carlsson  <andersca@apple.com>

        Remove unneeded headers from FrameLoader.h
        https://bugs.webkit.org/show_bug.cgi?id=114223

        Reviewed by Geoffrey Garen.

        Add back headers implicitly included by other headers.

        * WebKitTestRunner/WorkQueueManager.cpp:

2013-04-10  Zan Dobersek  <zdobersek@igalia.com>

        [GTK] Include a crash-fixing patch for the at-spi2-atk dependency
        https://bugs.webkit.org/show_bug.cgi?id=114365

        Reviewed by Martin Robinson.

        Add a patch for the at-spi2-atk 2.8.0 dependency that is applied through the Jhbuild setup.
        The patch addresses crashes in the tally_event_reply method. It is already committed into the
        at-spi2-atk source tree and will be available with the next stable release, after which the
        patch should be removed and the dependency version bumped.

        * gtk/jhbuild.modules:
        * gtk/patches/at-spi2-atk-2.8.0-null-check-after-cleanup.patch: Added.

2013-04-10  Brent Fulgham  <bfulgham@webkit.org>

        [WinCairo] Unreviewed build fix. Correct DropBox download link.

        * Scripts/update-webkit-wincairo-libs: Revise download URL to
        match change in DropBox server behavior.

2013-04-09  Geoffrey Garen  <ggaren@apple.com>

        Removed an annoying message from svn-create-patch
        https://bugs.webkit.org/show_bug.cgi?id=114332

        Reviewed by Alexey Proskuryakov.

        I see this message basically every time I write a patch, so it must not
        be true.

        * Scripts/svn-create-patch:
        (generateDiff):

2013-04-10  Anton Obzhirov  <a.obzhirov@samsung.com>

        [GTK] Add support for Page Visibility
        https://bugs.webkit.org/show_bug.cgi?id=97324

        Reviewed by Sam Weinig.

        Implemented test runner API for page visibility layout tests.

        * DumpRenderTree/gtk/TestRunnerGtk.cpp:
        (TestRunner::resetPageVisibility):
        (TestRunner::setPageVisibility):
        * Scripts/webkitperl/FeatureList.pm:

2013-04-10  Raphael Kubo da Costa  <raphael.kubo.da.costa@intel.com>

        [ATK] REGRESSION(r148033): Add a stub for AccessibilityUIElement::pathDescription().
        https://bugs.webkit.org/show_bug.cgi?id=114342

        Reviewed by Gyuyoung Kim.

        Commit 148033 only added an implementation for the Mac port, which made
        other ports fail most tests since loading the injected bundle failed
        with a missing symbol.

        * WebKitTestRunner/InjectedBundle/atk/AccessibilityUIElementAtk.cpp:
        (WTR::AccessibilityUIElement::pathDescription):

2013-04-10  Artur Moryc  <a.moryc@samsung.com>

        [EFL] Add spell checking option to MiniBrowser
        https://bugs.webkit.org/show_bug.cgi?id=114282

        Reviewed by Ryosuke Niwa.

        Spell checking is enabled by adding a flag (t/text-checking)
        with launching MiniBrowser.

        * MiniBrowser/efl/main.c:
        (window_create):
        (elm_main):

2013-04-10  Zan Dobersek  <zdobersek@igalia.com>

        REGRESSION (r146518): WebKit2APITests/TestInspector is failing
        https://bugs.webkit.org/show_bug.cgi?id=113281

        Reviewed by Darin Adler.

        * Scripts/run-gtk-tests:
        (TestRunner): Remove the skip entry for the WebKit2APITests/TestInspector unit test.

2013-04-09  Glenn Adams  <glenn@skynav.com>

        Fix trivial test-webkitpy regression introduced by http://trac.webkit.org/changeset/148075.

        Unreviewed.

        * Scripts/webkitpy/layout_tests/run_webkit_tests_integrationtest.py:
        (RunTest.test_build_check):

2013-04-09  Glenn Adams  <glenn@skynav.com>

        [webkitpy] Remove chromium ports.
        https://bugs.webkit.org/show_bug.cgi?id=114326

        Reviewed by Dirk Pranke.

        As a side effect, also:

        - remove chromium builders from webkitpy.layout_tests.port.builders
        - remove chromium builders from rebaseline
        - rewrite chromium dependent tests in rebaseline_unittest
        - remove chromium platform from garden-o-matic
        - select apple platform as default platform in garden-o-matic
        - remove chromium port dependencies from a few other tests (run_webkit_tests_integrationtest, factory_unittest, style.checkers.test_expectations_unittest)

        * BuildSlaveSupport/build.webkit.org-config/public_html/TestFailures/garden-o-matic.html:
        * BuildSlaveSupport/build.webkit.org-config/public_html/TestFailures/scripts/config.js:
        * Scripts/webkitpy/common/checkout/baselineoptimizer_unittest.py:
        (BaselineOptimizerTest.test_move_baselines):
        (BaselineOptimizerTest.test_efl):
        (BaselineOptimizerTest.test_no_add_mac_future):
        (BaselineOptimizerTest.test_win_does_not_drop_to_win_7sp0):
        (BaselineOptimizerTest.test_common_directory_includes_root):
        (BaselineOptimizerTest.test_complex_shadowing):
        (BaselineOptimizerTest.test_virtual_ports_filtered):
        * Scripts/webkitpy/layout_tests/port/builders.py:
        * Scripts/webkitpy/layout_tests/port/chromium.py: Removed.
        * Scripts/webkitpy/layout_tests/port/chromium_android.py: Removed.
        * Scripts/webkitpy/layout_tests/port/chromium_android_unittest.py: Removed.
        * Scripts/webkitpy/layout_tests/port/chromium_linux.py: Removed.
        * Scripts/webkitpy/layout_tests/port/chromium_linux_unittest.py: Removed.
        * Scripts/webkitpy/layout_tests/port/chromium_mac.py: Removed.
        * Scripts/webkitpy/layout_tests/port/chromium_mac_unittest.py: Removed.
        * Scripts/webkitpy/layout_tests/port/chromium_port_testcase.py: Removed.
        * Scripts/webkitpy/layout_tests/port/chromium_unittest.py: Removed.
        * Scripts/webkitpy/layout_tests/port/chromium_win.py: Removed.
        * Scripts/webkitpy/layout_tests/port/chromium_win_unittest.py: Removed.
        * Scripts/webkitpy/layout_tests/port/factory.py:
        (platform_options):
        (PortFactory):
        * Scripts/webkitpy/layout_tests/port/factory_unittest.py:
        (FactoryTest.test_qt):
        (FactoryTest.test_get_from_builder_name):
        * Scripts/webkitpy/layout_tests/run_webkit_tests_integrationtest.py:
        (RunTest.test_build_check):
        * Scripts/webkitpy/style/checkers/test_expectations_unittest.py:
        (TestExpectationsTestCase.test_determine_port_from_expectations_path):
        * Scripts/webkitpy/tool/commands/rebaseline.py:
        (Rebaseline._builders_to_pull_from):
        * Scripts/webkitpy/tool/commands/rebaseline_unittest.py:
        (_BaseTestCase):
        (_BaseTestCase.setUp):
        (TestRebaselineTest.setUp):
        (TestRebaselineTest.test_baseline_directory):
        (test_rebaseline_updates_expectations_file):
        (test_rebaseline_does_not_include_overrides):
        (test_rebaseline_test):
        (test_rebaseline_test_and_print_scm_changes):
        (test_rebaseline_and_copy_test):
        (test_rebaseline_and_copy_test_no_existing_result):
        (test_rebaseline_and_copy_test_with_lion_result):
        (test_rebaseline_and_copy_no_overwrite_test):
        (TestRebaselineExpectations.test_rebaseline_expectations):

2013-04-09  Ryosuke Niwa  <rniwa@webkit.org>

        newcommitbot (WKR) requires a subversion checkout
        https://bugs.webkit.org/show_bug.cgi?id=114309

        Reviewed by Benjamin Poulain.

        Directly talk to the subversion server instead of relying on a local checkout.
        This allows us to run WKR off of a git clone.

        * Scripts/webkitpy/tool/commands/newcommitbot.py:
        (NewCommitBot.next_work_item):
        (NewCommitBot.process_work_item):

2013-04-09  Ryosuke Niwa  <rniwa@webkit.org>

        webkitbot refers to sheriffbot in help
        https://bugs.webkit.org/show_bug.cgi?id=114307

        Reviewed by Benjamin Poulain.

        Fixed the bug by proxying the IRC nickname of "sheriffbot" via Sheriff object.

        * Scripts/webkitpy/tool/bot/irc_command.py:
        (Help):
        (Help.execute):
        (RollChromiumDEPS.execute):
        * Scripts/webkitpy/tool/bot/ircbot_unittest.py:
        (IRCBotTest.test_help):
        * Scripts/webkitpy/tool/bot/sheriff.py:
        (Sheriff.name):

2013-04-06  Roger Fong  <roger_fong@apple.com>

        Kill old processes between runs on WinEWS bots.
        Temporarily disable tests to let bots catch up again.

        * EWSTools/start-queue-win.sh:
        * Scripts/webkitpy/tool/commands/earlywarningsystem.py:
        (WinEWS):

2013-04-09  Glenn Adams  <glenn@skynav.com>

        [webkitpy] Remove chromium deprecated port support.
        https://bugs.webkit.org/show_bug.cgi?id=114228

        Reviewed by Ryosuke Niwa.

        * Scripts/webkitpy/common/config/ports.py:
        (DeprecatedPort.port): Removed chromium ports from port name to port class mapping.
        (ChromiumPort): Removed.
        (ChromiumAndroidPort): Removed.
        (ChromiumXVFBPort): Removed.
        * Scripts/webkitpy/common/config/ports_unittest.py:
        (DeprecatedPortTest.test_chromium_port): Removed.
        (DeprecatedPortTest.test_chromium_android_port): Removed.
        (DeprecatedPortTest.test_chromium_xvfb_port): Removed.
        * Scripts/webkitpy/tool/steps/update_unittest.py:
        (UpdateTest.test_update_command_non_interactive): Use mac instead of chromium ports.
        (UpdateTest.test_update_command_interactive): Use mac instead of chromium ports.

2013-04-09  Chris Fleizach  <cfleizach@apple.com>

        AX: The bounding paths should be made available through accessibility
        https://bugs.webkit.org/show_bug.cgi?id=113817

        Reviewed by David Kilzer.

        Add a pathDescription property for testing so that it's possible
        to verify that a path is being returned correctly.

        * DumpRenderTree/AccessibilityUIElement.cpp:
        (getPathDescriptionCallback):
        (AccessibilityUIElement::pathDescription):
        (AccessibilityUIElement::getJSClass):
        * DumpRenderTree/AccessibilityUIElement.h:
        (AccessibilityUIElement):
        * DumpRenderTree/ios/AccessibilityUIElementIOS.mm:
        (_CGPathEnumerationIteration):
        (AccessibilityUIElement::pathDescription):
        * DumpRenderTree/mac/AccessibilityUIElementMac.mm:
        (AccessibilityUIElement::pathDescription):
        * WebKitTestRunner/InjectedBundle/AccessibilityUIElement.cpp:
        (WTR::AccessibilityUIElement::pathDescription):
        (WTR):
        * WebKitTestRunner/InjectedBundle/AccessibilityUIElement.h:
        (AccessibilityUIElement):
        * WebKitTestRunner/InjectedBundle/Bindings/AccessibilityUIElement.idl:
        * WebKitTestRunner/InjectedBundle/mac/AccessibilityUIElementMac.mm:
        (WTR::AccessibilityUIElement::pathDescription):
        (WTR):

2013-04-09  Raphael Kubo da Costa  <raphael.kubo.da.costa@intel.com>

        [EFL] Declare TEST_THEME_DIR in a single place.
        https://bugs.webkit.org/show_bug.cgi?id=114285

        Reviewed by Anders Carlsson.

        Adapt to the renaming of `THEME_DIR' to `TEST_THEME_DIR'.

        * DumpRenderTree/efl/CMakeLists.txt:
        * DumpRenderTree/efl/DumpRenderTreeChrome.cpp:
        (DumpRenderTreeChrome::createView):
        (DumpRenderTreeChrome::createInspectorView):
        (DumpRenderTreeChrome::initialize):
        (DumpRenderTreeChrome::onDownloadRequest):
        * EWebLauncher/CMakeLists.txt:
        * EWebLauncher/main.c:
        (findThemePath):
        * EWebLauncher/url_bar.c:
        (url_bar_add):
        * MiniBrowser/efl/CMakeLists.txt:
        * MiniBrowser/efl/main.c:
        (window_create):
        * TestWebKitAPI/PlatformEfl.cmake:
        * TestWebKitAPI/efl/PlatformWebView.cpp:
        (TestWebKitAPI::PlatformWebView::PlatformWebView):
        * WebKitTestRunner/PlatformEfl.cmake:
        * WebKitTestRunner/efl/PlatformWebViewEfl.cpp:
        (WTR::PlatformWebView::PlatformWebView):

2013-04-09  ChangSeok Oh  <changseok.oh@collabora.com>

        [GTK][AC] upversion of clutter and its dependecy
        https://bugs.webkit.org/show_bug.cgi?id=114016

        Reviewed by Gustavo Noronha Silva.

        Upversion of clutter to 1.14, cogl to 1.14 and clutter-gtk to 1.4.4.

        * gtk/jhbuild-optional.modules:

2013-04-09  Thiago Marcos P. Santos  <thiago.santos@intel.com>

        [WK2] Drop WebProcess capabilities on Linux using seccomp filters
        https://bugs.webkit.org/show_bug.cgi?id=89875

        Reviewed by Maciej Stachowiak.

        Add unit tests to verify if the handling of the open, openat, creat syscall
        is being done right. We check if the Read/Write/ReadAndWrite permissions
        are respected, if the canonical path is being resolved and if
        the permissions are falling back to the topmost parent directory with a
        policy set when the directory being opened has no policy.

        We also test if any attempt of blocking SIGSYS is silently ignored.
        SIGSYS cannot be blocked because in it's handler is where we hook
        syscalls to the broker process.

        Also added libseccomp to EFL's jhbuild to make the life of developers
        willing to help easier.

        * Scripts/webkitperl/FeatureList.pm:
        * TestWebKitAPI/PlatformEfl.cmake:
        * TestWebKitAPI/Tests/WebKit2/SeccompFilters.cpp: Added.
        (TestWebKitAPI):
        (SeccompEnvironment):
        (TestWebKitAPI::SeccompEnvironment::SetUp):
        (TestWebKitAPI::SeccompEnvironment::TearDown):
        (TestWebKitAPI::dummyHandler):
        (TestWebKitAPI::TEST):
        (TestWebKitAPI::stressTest):
        * efl/jhbuild.modules:
        * qmake/mkspecs/features/features.pri:

2013-04-09  Ryosuke Niwa  <rniwa@webkit.org>

        REGRESSION: Autocorrection doesn't work in DumpRenderTree
        https://bugs.webkit.org/show_bug.cgi?id=113846

        Reviewed by Alexey Proskuryakov.

        The problem was that we were replacing NSSpellCheck's dictionary with our own
        in DumpRenderTree but we were not adding necessary corrections to the dictionary.

        Fixed the bug by having NSSpellChecker correct "mesage" and "wouldn" to "message"
        and "would" respectively in DumpRenderTree.

        * DumpRenderTree/mac/DumpRenderTree.mm:
        (resetDefaultsToConsistentValues):

2013-04-09  Benjamin Poulain  <benjamin@webkit.org>

        Remove the gyp files for Tools
        https://bugs.webkit.org/show_bug.cgi?id=114248

        Reviewed by Ryosuke Niwa.

        * DumpRenderTree/DumpRenderTree.gyp: Removed.
        * DumpRenderTree/DumpRenderTree.gyp/.gitignore: Removed.
        * DumpRenderTree/DumpRenderTree.gyp/DumpRenderTree.gyp: Removed.
        * DumpRenderTree/DumpRenderTree.gypi: Removed.
        * TestWebKitAPI/TestWebKitAPI.gyp: Removed.
        * TestWebKitAPI/TestWebKitAPI.gyp/.gitignore: Removed.
        * TestWebKitAPI/TestWebKitAPI.gyp/TestWebKitAPI.gyp: Removed.
        * TestWebKitAPI/TestWebKitAPI.gypi: Removed.

2013-04-08  Ryosuke Niwa  <rniwa@webkit.org>

        WKR (new-commit-bot) is too slow
        https://bugs.webkit.org/show_bug.cgi?id=110087

        Reviewed by Geoffrey Garen.

        Running "svn up" or "git svn fetch" is way too slow (takes 2-3 minutes) on the machine I'm running the bot.
        Just run "svn log -r <revision>" instead to cut down the delay.

        Unfortunately, this work around doesn't work in a git checkout but who cares given I'm the one running the bot.

        * Scripts/webkitpy/tool/commands/newcommitbot.py:
        (NewCommitBot):
        (NewCommitBot.next_work_item):
        (NewCommitBot._is_empty_log):
        (NewCommitBot._update_checkout):

2013-04-08  Ryosuke Niwa  <rniwa@webkit.org>

        Build fix. Can't remove appendCustomBuildFlags.

        * BuildSlaveSupport/build.webkit.org-config/master.cfg:
        (appendCustomBuildFlags):

2013-04-08  Ryosuke Niwa  <rniwa@webkit.org>

        Remove Chromium builders from build.webkit.org
        https://bugs.webkit.org/show_bug.cgi?id=113990

        Reviewed by Benjamin Poulain.

        Removed.

        * BuildSlaveSupport/build.webkit.org-config/config.json:
        * BuildSlaveSupport/build.webkit.org-config/master.cfg:
        (InstallGtkDependencies):
        (RunUnitTests.start):
        (RunWebKit2Tests.start):
        (Factory.__init__):
        (unitTestsSupported):
        (TestFactory.__init__):
        (BuildAndTestFactory.__init__):
        (BuildAndPerfTestFactory.__init__):
        (BuildAndPerfTestWebKit2Factory.__init__):
        (DownloadAndPerfTestFactory.__init__):
        (loadBuilderConfig):
        * BuildSlaveSupport/build.webkit.org-config/templates/root.html:

2013-04-08  Benjamin Poulain  <benjamin@webkit.org>

        Remove HTML Notification
        https://bugs.webkit.org/show_bug.cgi?id=114231

        Reviewed by Ryosuke Niwa.

        * qmake/mkspecs/features/features.pri:

2013-04-08  Glenn Adams  <glenn@skynav.com>

        Remove chromium EWS support, and fix broken test.
        https://bugs.webkit.org/show_bug.cgi?id=114221

        Reviewed by Ryosuke Niwa.

        * Scripts/webkitpy/tool/commands/earlywarningsystem.py:
        (AbstractChromiumEWS): Removed.
        (ChromiumLinuxEWS): Removed.
        (ChromiumLinuxDebugEWS): Removed.
        (ChromiumWindowsEWS): Removed.
        (ChromiumAndroidEWS): Removed.
        * Scripts/webkitpy/tool/commands/earlywarningsystem_unittest.py:
        (EarlyWarningSystemTest): Fix misspelled class name.
        (test_ewses): Fix entry point name to ensure test is run.

2013-04-08  Patrick Gansterer  <paroga@webkit.org>

        [WIN] Remove WebKit2 source code
        https://bugs.webkit.org/show_bug.cgi?id=114096

        Reviewed by Anders Carlsson.

        Remove the windows specific parts of the MiniBrowser.

        * MiniBrowser/MiniBrowser.vcproj: Removed.
        * MiniBrowser/MiniBrowserLauncher.vcproj: Removed.
        * MiniBrowser/MiniBrowserPostBuild.cmd: Removed.
        * MiniBrowser/MiniBrowserPreBuild.cmd: Removed.
        * MiniBrowser/win/BrowserView.cpp: Removed.
        * MiniBrowser/win/BrowserView.h: Removed.
        * MiniBrowser/win/BrowserWindow.cpp: Removed.
        * MiniBrowser/win/BrowserWindow.h: Removed.
        * MiniBrowser/win/MiniBrowser.cpp: Removed.
        * MiniBrowser/win/MiniBrowser.h: Removed.
        * MiniBrowser/win/MiniBrowser.rc: Removed.
        * MiniBrowser/win/main.cpp: Removed.
        * MiniBrowser/win/resource.h: Removed.
        * MiniBrowser/win/stdafx.cpp: Removed.
        * MiniBrowser/win/stdafx.h: Removed.

2013-04-08  Ryosuke Niwa  <rniwa@webkit.org>

        Use port 6665 instead of 6667 since the latter doesn't seem to work well.

        * Scripts/webkitpy/common/config/irc.py:

2013-04-08  Arunprasad Rajkumar  <arunprasadr@nds.com>

        Call Netscape Plugin's toString() and valueOf() instead of providing default implementation
        https://bugs.webkit.org/show_bug.cgi?id=113139

        Reviewed by Anders Carlsson.

        * DumpRenderTree/DumpRenderTree.vcxproj/TestNetscapePlugin/TestNetscapePlugin.vcxproj:
        * DumpRenderTree/DumpRenderTree.vcxproj/TestNetscapePlugin/TestNetscapePlugin.vcxproj.filters:
        * DumpRenderTree/TestNetscapePlugIn/CMakeLists.txt:
        * DumpRenderTree/TestNetscapePlugIn/Tests/ToStringAndValueOfObject.cpp: Added.
        (ToStringAndValueOfObject):
        (ToStringAndValueOfObject::ToStringAndValueOfObject):
        (ScriptableObject):
        (ToStringAndValueOfObject::ScriptableObject::hasMethod):
        (ToStringAndValueOfObject::ScriptableObject::invoke):
        (ToStringAndValueOfObject::ScriptableObject::pluginTest):
        (ToStringAndValueOfObject::NPP_GetValue):
        * DumpRenderTree/TestNetscapePlugIn/win/TestNetscapePlugin.vcproj:
        * DumpRenderTree/qt/TestNetscapePlugin/TestNetscapePlugin.pro:
        * GNUmakefile.am:

2013-04-08  Manuel Rego Casasnovas  <rego@igalia.com>

        [GTK] Bump gnome-themes-standard to 3.6.0
        https://bugs.webkit.org/show_bug.cgi?id=114155

        Reviewed by Martin Robinson.

        * gtk/jhbuild.modules: As now we depend on GTK+ 3.6.0 bump the
        dependency of gnome-themes-standard accordingly.

2013-04-08  David Levin  <levin@chromium.org>

        Remove my watchlist entries.
        https://bugs.webkit.org/show_bug.cgi?id=114180

        Reviewed by Adam Barth.

        * Scripts/webkitpy/common/config/committers.py:
        * Scripts/webkitpy/common/config/watchlist:

2013-04-08  Christophe Dumez  <ch.dumez@sisa.samsung.com>

        [EFL] Mark ShouldGoToBackForwardListItem API test as failing
        https://bugs.webkit.org/show_bug.cgi?id=114161

        Reviewed by Gyuyoung Kim.

        Mark ShouldGoToBackForwardListItem API test as failing for EFL port
        as it is crashing due to Bug 111074.

        * TestWebKitAPI/PlatformEfl.cmake:

2013-04-07  David Kilzer  <ddkilzer@apple.com>

        Remove the rest of SVG_DOM_OBJC_BINDINGS
        <http://webkit.org/b/114112>

        Reviewed by Geoffrey Garen.

        * Scripts/webkitperl/FeatureList.pm:
        - Remove --svg-dom-objc-bindings switch.
        * qmake/mkspecs/features/features.pri:
        - Remove reference to ENABLE_SVG_DOM_OBJC_BINDINGS.

2013-04-07  Ed Bartosh  <bartosh@gmail.com>

        [EFL] -minimal build fails with error: WebCore::FrameSelection::notifyAccessibilityForSelectionChange()
        https://bugs.webkit.org/show_bug.cgi?id=114089

        Reviewed by Chris Fleizach.

        Wrapped accessibility related code in #if HAVE(ACCESSIBILITY)
        * DumpRenderTree/AccessibilityController.cpp:
        * DumpRenderTree/AccessibilityUIElement.cpp:
        * DumpRenderTree/efl/DumpRenderTreeChrome.cpp:
        (DumpRenderTreeChrome::DumpRenderTreeChrome):
        * DumpRenderTree/efl/DumpRenderTreeChrome.h:
        (DumpRenderTreeChrome):

2013-04-06  Laszlo Gombos  <l.gombos@samsung.com>

        Build fix after r147857, remove remaining USE(JSC) guards.

        Unreviewed.

        * DumpRenderTree/config.h:
        * TestWebKitAPI/config.h:
        * WebKitTestRunner/config.h:

2013-04-06  Ryosuke Niwa  <rniwa@webkit.org>

        Rename sheriffbot to webkitbot
        https://bugs.webkit.org/show_bug.cgi?id=114109

        Reviewed by Benjamin Poulain.

        Renamed since sheriffbot will be used in Blink.

        * Scripts/webkitpy/tool/commands/sheriffbot.py:
        (SheriffBot):
        (SheriffBot.begin_work_queue):

2013-04-06  Oliver Hunt  <oliver@apple.com>

        Unify the many and varied stack trace mechanisms, and make the result sane.
        https://bugs.webkit.org/show_bug.cgi?id=114072

        Reviewed by Filip Pizlo.

        The commandline jsc executable no longer requires arguments, so
        I've made run-jsc work without them.

        * Scripts/run-jsc:

2013-04-06  Ed Bartosh  <bartosh@gmail.com>

        [EFL] build fails with error: 'UINT_MAX' was not declared in this scope
        https://bugs.webkit.org/show_bug.cgi?id=114086

        Reviewed by Tim Horton.

        * DumpRenderTree/AccessibilityUIElement.cpp: Included limits.h

2013-04-06  Zan Dobersek  <zdobersek@igalia.com>

        Remove remaining PLATFORM(CHROMIUM) guards in TestWebKitAPI, WebKitTestRunner
        https://bugs.webkit.org/show_bug.cgi?id=114083

        Reviewed by Ryosuke Niwa.

        Remove the remaining three occurrences of the PLATFORM(CHROMIUM) build guards
        in TestWebKitAPI and WebKitTestRunner.

        * TestWebKitAPI/config.h:
        * TestWebKitAPI/mac/InjectedBundleControllerMac.mm:
        (TestWebKitAPI::InjectedBundleController::platformInitialize):
        * WebKitTestRunner/InjectedBundle/mac/InjectedBundleMac.mm:
        (WTR::InjectedBundle::platformInitialize):

2013-04-06  Geoffrey Garen  <ggaren@apple.com>

        Rolled out 147820 and 147818 because they caused plugins tests to ASSERT
        https://bugs.webkit.org/show_bug.cgi?id=114094

        Reviewed by Anders Carlsson.

        * Scripts/run-jsc:

2013-04-05  Ojan Vafai  <ojan@chromium.org>

        Move the flakiness dashboard to the new instance at webkit-test-results.appspot.com
        https://bugs.webkit.org/show_bug.cgi?id=114080

        Reviewed by Ryosuke Niwa.

        This way, the WebKit and Blink dashboard code can change as appropriate without
        needing to consider the other project's needs. This still doesn't update the
        buildbots to upload to the new location, or the dashboard code to pull the
        results.json files from the new location, but it at least allows for changing the
        UI code (e.g. the WebKit one can remove all knowledge of the Chromium bots).

        * TestResultServer/app.yaml:

2013-04-05  Ryosuke Niwa  <rniwa@webkit.org>

        Re-enable testing on the commit queue
        https://bugs.webkit.org/show_bug.cgi?id=114078

        Reviewed by Darin Adler.

        Re-enabled the feature and the associated tests.

        * Scripts/webkitpy/tool/bot/commitqueuetask.py:
        (CommitQueueTask.run):
        * Scripts/webkitpy/tool/bot/commitqueuetask_unittest.py:
        (CommitQueueTaskTest._run_through_task):
        * Scripts/webkitpy/tool/commands/queues_unittest.py:
        (CommitQueueTest._mock_test_result):

2013-04-05  Oliver Hunt  <oliver@apple.com>

        Unify the many and varied stack trace mechanisms, and make the result sane.
        https://bugs.webkit.org/show_bug.cgi?id=114072

        Reviewed by Filip Pizlo.

        The commandline jsc executable no longer requires arguments, so
        I've made run-jsc work without them.

        * Scripts/run-jsc:

2013-04-05  Chris Fleizach  <cfleizach@apple.com>

        AX: Make SVG Group containers accessible elements
        https://bugs.webkit.org/show_bug.cgi?id=113939

        Reviewed by Simon Fraser.

        Implement axController.elementAtPoint for iOS.
        Implement a correct version of clickPoint for iOS.

        * DumpRenderTree/ios/AccessibilityControllerIOS.mm:
        (AccessibilityController::elementAtPoint):
        * DumpRenderTree/ios/AccessibilityUIElementIOS.mm:
        (AccessibilityUIElement::clickPointX):
        (AccessibilityUIElement::clickPointY):

2013-04-05  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r147773 and r147774.
        http://trac.webkit.org/changeset/147773
        http://trac.webkit.org/changeset/147774
        https://bugs.webkit.org/show_bug.cgi?id=114056

        Causing some exceptions on AppEngine I don't understand
        (Requested by rniwa on #webkit).

        * QueueStatusServer/config/queues.py:
        * QueueStatusServer/model/queues.py:
        (Queue.short_name):
        (Queue.display_name):
        * QueueStatusServer/model/queues_unittest.py:
        (QueueTest.test_short_name):
        (QueueTest.test_display_name):
        (QueueTest.test_name_with_underscores):

2013-04-05  Geoffrey Garen  <ggaren@apple.com>

        Fixed run-bindings-tests by removing V8
        https://bugs.webkit.org/show_bug.cgi?id=114053

        Reviewed by Benjamin Poulain.

        * Scripts/run-bindings-tests:
        (main):

2013-04-05  Ryosuke Niwa  <rniwa@webkit.org>

        Build fix.

        * QueueStatusServer/model/queues.py:
        (Queue.short_name):
        (Queue.display_name):

2013-04-05  Ryosuke Niwa  <rniwa@webkit.org>

        Remove Chromium EWS bots from the queue status server
        https://bugs.webkit.org/show_bug.cgi?id=113988

        Reviewed by Benjamin Poulain.

        Removed Chromium EWS bots.

        * QueueStatusServer/config/queues.py:
        * QueueStatusServer/model/queues.py:
        (Queue.short_name):
        (Queue.display_name):
        * QueueStatusServer/model/queues_unittest.py:
        (QueueTest.test_short_name):
        (QueueTest.test_display_name):
        (QueueTest.test_name_with_underscores):

2013-04-05  Rijubrata Bhaumik  <rijubrata.bhaumik@intel.com>

        [EFL] Enable indexed database
        https://bugs.webkit.org/show_bug.cgi?id=107248

        Reviewed by Alexis Menard.

        * Scripts/webkitperl/FeatureList.pm:

2013-04-05  Dimitri Glazkov  <dglazkov@chromium.org>

        Remove vestiges of Chromium bits from watchlists.
        https://bugs.webkit.org/show_bug.cgi?id=114047

        Reviewed by Ryosuke Niwa.

        * Scripts/webkitpy/common/config/watchlist: Removed vestiges.

2013-04-05  Chris Fleizach  <cfleizach@apple.com>

        Add James Craig to the contributors list.

        * Scripts/webkitpy/common/config/committers.py:

2013-04-04  Kent Tamura  <tkent@chromium.org>

        Remove ChromiumPublicApi pattern, and cc/message rules for it.

        * Scripts/webkitpy/common/config/watchlist:

2013-04-04  Benjamin Poulain  <bpoulain@apple.com>

        Temporarily disable the Python unittests broken by the commit queue not running layout tests
        https://bugs.webkit.org/show_bug.cgi?id=113997

        Reviewed by Ryosuke Niwa.

        Disable the tests until Ryosuke gets the time and hardware to have
        a testing commit-queue.

        * Scripts/webkitpy/tool/bot/commitqueuetask_unittest.py:
        (CommitQueueTaskTest):
        * Scripts/webkitpy/tool/commands/queues_unittest.py:
        (CommitQueueTest):

2013-04-04  Ryosuke Niwa  <rniwa@webkit.org>

        Remove Chromium builders from build.webkit.org
        https://bugs.webkit.org/show_bug.cgi?id=113990

        Reviewed by Benjamin Poulain.

        Land the part to disable triggering of Chromium builders first so that we may start
        deleting more Chromium code that breaks the update step.

        * BuildSlaveSupport/build.webkit.org-config/config.json:

2013-04-04  Benjamin Poulain  <bpoulain@apple.com>

        Remove Chromium's DumpRenderTree
        https://bugs.webkit.org/show_bug.cgi?id=113989

        Reviewed by Kent Tamura.

        On second thought, let's not go to Camelot. It is a silly place.

        * DumpRenderTree/mac/DumpRenderTree.mm:
        (resetDefaultsToConsistentValues):

2013-04-04  Geoffrey Garen  <ggaren@apple.com>

        Nixed the defunct chromium folder from DumpRenderTree
        https://bugs.webkit.org/show_bug.cgi?id=113993

        Reviewed by Ryosuke Niwa.

        * DumpRenderTree/chromium: Removed.
        * DumpRenderTree/chromium/DRTDevToolsAgent.cpp: Removed.
        * DumpRenderTree/chromium/DRTDevToolsAgent.h: Removed.
        * DumpRenderTree/chromium/DRTDevToolsClient.cpp: Removed.
        * DumpRenderTree/chromium/DRTDevToolsClient.h: Removed.
        * DumpRenderTree/chromium/DumpRenderTree.cpp: Removed.
        * DumpRenderTree/chromium/ImageDiff.cpp: Removed.
        * DumpRenderTree/chromium/LayoutTestHelper.mm: Removed.
        * DumpRenderTree/chromium/LayoutTestHelperWin.cpp: Removed.
        * DumpRenderTree/chromium/MockPlatform.cpp: Removed.
        * DumpRenderTree/chromium/MockPlatform.h: Removed.
        * DumpRenderTree/chromium/MockWebPrerenderingSupport.cpp: Removed.
        * DumpRenderTree/chromium/MockWebPrerenderingSupport.h: Removed.
        * DumpRenderTree/chromium/Task.cpp: Removed.
        * DumpRenderTree/chromium/Task.h: Removed.
        * DumpRenderTree/chromium/TestEventPrinter.cpp: Removed.
        * DumpRenderTree/chromium/TestEventPrinter.h: Removed.
        * DumpRenderTree/chromium/TestNavigationController.cpp: Removed.
        * DumpRenderTree/chromium/TestNavigationController.h: Removed.
        * DumpRenderTree/chromium/TestNetscapePlugIn: Removed.
        * DumpRenderTree/chromium/TestNetscapePlugIn/ForwardingHeaders: Removed.
        * DumpRenderTree/chromium/TestNetscapePlugIn/ForwardingHeaders/WebKit: Removed.
        * DumpRenderTree/chromium/TestNetscapePlugIn/ForwardingHeaders/WebKit/npapi.h: Removed.
        * DumpRenderTree/chromium/TestNetscapePlugIn/ForwardingHeaders/WebKit/npfunctions.h: Removed.
        * DumpRenderTree/chromium/TestNetscapePlugIn/ForwardingHeaders/WebKit/npruntime.h: Removed.
        * DumpRenderTree/chromium/TestRunner: Removed.
        * DumpRenderTree/chromium/TestRunner/public: Removed.
        * DumpRenderTree/chromium/TestRunner/public/WebPreferences.h: Removed.
        * DumpRenderTree/chromium/TestRunner/public/WebTask.h: Removed.
        * DumpRenderTree/chromium/TestRunner/public/WebTestCommon.h: Removed.
        * DumpRenderTree/chromium/TestRunner/public/WebTestDelegate.h: Removed.
        * DumpRenderTree/chromium/TestRunner/public/WebTestInterfaces.h: Removed.
        * DumpRenderTree/chromium/TestRunner/public/WebTestProxy.h: Removed.
        * DumpRenderTree/chromium/TestRunner/public/WebTestRunner.h: Removed.
        * DumpRenderTree/chromium/TestRunner/src: Removed.
        * DumpRenderTree/chromium/TestRunner/src/AccessibilityControllerChromium.cpp: Removed.
        * DumpRenderTree/chromium/TestRunner/src/AccessibilityControllerChromium.h: Removed.
        * DumpRenderTree/chromium/TestRunner/src/AccessibilityUIElementChromium.cpp: Removed.
        * DumpRenderTree/chromium/TestRunner/src/AccessibilityUIElementChromium.h: Removed.
        * DumpRenderTree/chromium/TestRunner/src/CppBoundClass.cpp: Removed.
        * DumpRenderTree/chromium/TestRunner/src/CppBoundClass.h: Removed.
        * DumpRenderTree/chromium/TestRunner/src/CppVariant.cpp: Removed.
        * DumpRenderTree/chromium/TestRunner/src/CppVariant.h: Removed.
        * DumpRenderTree/chromium/TestRunner/src/EventSender.cpp: Removed.
        * DumpRenderTree/chromium/TestRunner/src/EventSender.h: Removed.
        * DumpRenderTree/chromium/TestRunner/src/GamepadController.cpp: Removed.
        * DumpRenderTree/chromium/TestRunner/src/GamepadController.h: Removed.
        * DumpRenderTree/chromium/TestRunner/src/KeyCodeMapping.cpp: Removed.
        * DumpRenderTree/chromium/TestRunner/src/KeyCodeMapping.h: Removed.
        * DumpRenderTree/chromium/TestRunner/src/MockConstraints.cpp: Removed.
        * DumpRenderTree/chromium/TestRunner/src/MockConstraints.h: Removed.
        * DumpRenderTree/chromium/TestRunner/src/MockGrammarCheck.cpp: Removed.
        * DumpRenderTree/chromium/TestRunner/src/MockGrammarCheck.h: Removed.
        * DumpRenderTree/chromium/TestRunner/src/MockSpellCheck.cpp: Removed.
        * DumpRenderTree/chromium/TestRunner/src/MockSpellCheck.h: Removed.
        * DumpRenderTree/chromium/TestRunner/src/MockWebMediaStreamCenter.cpp: Removed.
        * DumpRenderTree/chromium/TestRunner/src/MockWebMediaStreamCenter.h: Removed.
        * DumpRenderTree/chromium/TestRunner/src/MockWebRTCDTMFSenderHandler.cpp: Removed.
        * DumpRenderTree/chromium/TestRunner/src/MockWebRTCDTMFSenderHandler.h: Removed.
        * DumpRenderTree/chromium/TestRunner/src/MockWebRTCDataChannelHandler.cpp: Removed.
        * DumpRenderTree/chromium/TestRunner/src/MockWebRTCDataChannelHandler.h: Removed.
        * DumpRenderTree/chromium/TestRunner/src/MockWebRTCPeerConnectionHandler.cpp: Removed.
        * DumpRenderTree/chromium/TestRunner/src/MockWebRTCPeerConnectionHandler.h: Removed.
        * DumpRenderTree/chromium/TestRunner/src/MockWebSpeechInputController.cpp: Removed.
        * DumpRenderTree/chromium/TestRunner/src/MockWebSpeechInputController.h: Removed.
        * DumpRenderTree/chromium/TestRunner/src/MockWebSpeechRecognizer.cpp: Removed.
        * DumpRenderTree/chromium/TestRunner/src/MockWebSpeechRecognizer.h: Removed.
        * DumpRenderTree/chromium/TestRunner/src/NotificationPresenter.cpp: Removed.
        * DumpRenderTree/chromium/TestRunner/src/NotificationPresenter.h: Removed.
        * DumpRenderTree/chromium/TestRunner/src/SpellCheckClient.cpp: Removed.
        * DumpRenderTree/chromium/TestRunner/src/SpellCheckClient.h: Removed.
        * DumpRenderTree/chromium/TestRunner/src/TestCommon.cpp: Removed.
        * DumpRenderTree/chromium/TestRunner/src/TestCommon.h: Removed.
        * DumpRenderTree/chromium/TestRunner/src/TestInterfaces.cpp: Removed.
        * DumpRenderTree/chromium/TestRunner/src/TestInterfaces.h: Removed.
        * DumpRenderTree/chromium/TestRunner/src/TestPlugin.cpp: Removed.
        * DumpRenderTree/chromium/TestRunner/src/TestPlugin.h: Removed.
        * DumpRenderTree/chromium/TestRunner/src/TestRunner.cpp: Removed.
        * DumpRenderTree/chromium/TestRunner/src/TestRunner.h: Removed.
        * DumpRenderTree/chromium/TestRunner/src/TextInputController.cpp: Removed.
        * DumpRenderTree/chromium/TestRunner/src/TextInputController.h: Removed.
        * DumpRenderTree/chromium/TestRunner/src/WebPermissions.cpp: Removed.
        * DumpRenderTree/chromium/TestRunner/src/WebPermissions.h: Removed.
        * DumpRenderTree/chromium/TestRunner/src/WebPreferences.cpp: Removed.
        * DumpRenderTree/chromium/TestRunner/src/WebTask.cpp: Removed.
        * DumpRenderTree/chromium/TestRunner/src/WebTestInterfaces.cpp: Removed.
        * DumpRenderTree/chromium/TestRunner/src/WebTestProxy.cpp: Removed.
        * DumpRenderTree/chromium/TestRunner/src/WebTestThemeControlWin.cpp: Removed.
        * DumpRenderTree/chromium/TestRunner/src/WebTestThemeControlWin.h: Removed.
        * DumpRenderTree/chromium/TestRunner/src/WebTestThemeEngineMac.h: Removed.
        * DumpRenderTree/chromium/TestRunner/src/WebTestThemeEngineMac.mm: Removed.
        * DumpRenderTree/chromium/TestRunner/src/WebTestThemeEngineWin.cpp: Removed.
        * DumpRenderTree/chromium/TestRunner/src/WebTestThemeEngineWin.h: Removed.
        * DumpRenderTree/chromium/TestRunner/src/WebUserMediaClientMock.cpp: Removed.
        * DumpRenderTree/chromium/TestRunner/src/WebUserMediaClientMock.h: Removed.
        * DumpRenderTree/chromium/TestRunner/src/config.h: Removed.
        * DumpRenderTree/chromium/TestShell.cpp: Removed.
        * DumpRenderTree/chromium/TestShell.h: Removed.
        * DumpRenderTree/chromium/TestShellAndroid.cpp: Removed.
        * DumpRenderTree/chromium/TestShellMac.mm: Removed.
        * DumpRenderTree/chromium/TestShellPosix.cpp: Removed.
        * DumpRenderTree/chromium/TestShellStub.cpp: Removed.
        * DumpRenderTree/chromium/TestShellWin.cpp: Removed.
        * DumpRenderTree/chromium/TestShellX11.cpp: Removed.
        * DumpRenderTree/chromium/WebViewHost.cpp: Removed.
        * DumpRenderTree/chromium/WebViewHost.h: Removed.
        * DumpRenderTree/chromium/android_fallback_fonts.xml: Removed.
        * DumpRenderTree/chromium/android_main_fonts.xml: Removed.
        * DumpRenderTree/chromium/config.h: Removed.
        * DumpRenderTree/chromium/fonts.conf: Removed.

2013-04-04  Ryosuke Niwa  <rniwa@webkit.org>

        Remove the rebaseline queue server since nobody except maybe one person from Google uses it.

        Rubber stamped by Benjamin Poulain.

        * RebaselineQueueServer: Removed.
        * RebaselineQueueServer/app.yaml: Removed.
        * RebaselineQueueServer/handlers: Removed.
        * RebaselineQueueServer/handlers/__init__.py: Removed.
        * RebaselineQueueServer/handlers/builderqueue.py: Removed.
        * RebaselineQueueServer/handlers/pages.py: Removed.
        * RebaselineQueueServer/index.yaml: Removed.
        * RebaselineQueueServer/main.py: Removed.
        * RebaselineQueueServer/model: Removed.
        * RebaselineQueueServer/model/__init__.py: Removed.
        * RebaselineQueueServer/model/queueentry.py: Removed.
        * RebaselineQueueServer/static: Removed.
        * RebaselineQueueServer/static/builder-frame-empty.html: Removed.
        * RebaselineQueueServer/static/styles.css: Removed.
        * RebaselineQueueServer/templates: Removed.
        * RebaselineQueueServer/templates/builder-picker.html: Removed.
        * RebaselineQueueServer/templates/builder-queue-edit.html: Removed.
        * RebaselineQueueServer/templates/builder-queue-list.html: Removed.
        * RebaselineQueueServer/templates/home.html: Removed.

2013-04-04  Ryosuke Niwa  <rniwa@webkit.org>

        Fix setup-commit-queue and temporarily disable testing on commit-queue
        https://bugs.webkit.org/show_bug.cgi?id=113979

        Reviewed by Benjamin Poulain.

        Use commit-queue@webkit.org instead of webkit.bot.review@gmail.com in commit-queue,
        and temporarily disable tests in commit-queue as we don't have enough resources at the moment.

        * EWSTools/setup-commit-queue.sh:
        * Scripts/webkitpy/tool/bot/commitqueuetask.py:
        (CommitQueueTask.run):

2013-04-04  Dirk Pranke  <dpranke@chromium.org>

        temporarily make flakiness dashboard work again webkit.org bots
        https://bugs.webkit.org/show_bug.cgi?id=113972

        Reviewed by Ojan Vafai.

        This patch disables the chromium.org layout test bots TestExpectations
        parsing temporarily until we can work out the right way to split into
        two instances for webkit.org and chromium.org and figure out which
        code to delete where :).

        * TestResultServer/static-dashboards/flakiness_dashboard.js:

2013-04-04  Ryosuke Niwa  <rniwa@webkit.org>

        Fix webkitpy tests after r147678.

        * Scripts/webkitpy/tool/commands/queues_unittest.py:
        (CommitQueueTest.test_commit_queue):
        (test_manual_reject_during_processing):

2013-04-04  Ryosuke Niwa  <rniwa@webkit.org>

        The commit queue should use Mac MountainLion port
        https://bugs.webkit.org/show_bug.cgi?id=113971

        Reviewed by Lucas Forschler.

        * EWSTools/setup-commit-queue.sh: Copied from Tools/EWSTools/GoogleComputeEngine/build-commit-queue.sh.
        * Scripts/webkitpy/tool/commands/queues.py:
        (CommitQueue):

2013-04-04  Dirk Pranke  <dpranke@chromium.org>

        turn off running tests on chromium linux EWS bots
        https://bugs.webkit.org/show_bug.cgi?id=113959

        Reviewed by Geoffrey Garen.

        Now that the Chromium port is no longer being maintained
        there's little point in running the tests. Soon we should
        just shut this bot off altogether.

        * Scripts/webkitpy/tool/commands/earlywarningsystem.py:
        (ChromiumLinuxEWS):

2013-04-04  Andrew Scherkus  <scherkus@chromium.org>

        Unreviewed. Removing feature-media-reviews@chromium.org from Media watchlist.

        * Scripts/webkitpy/common/config/watchlist:

2013-04-04  Pierre Rossi  <pierre.rossi@gmail.com>

        Indentation fix to get webkit-patch working again after r147625

        Unreviewed.

        * Scripts/webkitpy/tool/commands/earlywarningsystem.py:
        (MacEWS):
        (MacWK2EWS):

2013-04-04  Lucas Forschler  <lforschler@apple.com>

        Turn tests back on for Mac WK1/WK2 EWS.
        
        Unreviewed.
        
        * Scripts/webkitpy/tool/commands/earlywarningsystem.py:
        (MacEWS):
        (MacWK2EWS):

2013-04-04  Manuel Rego Casasnovas  <rego@igalia.com>

        [GTK][WK2] MiniBrowser custom URI scheme support
        https://bugs.webkit.org/show_bug.cgi?id=112419

        Reviewed by Carlos Garcia Campos.

        Add support for about URIs in MiniBrowser. An example about page is show
        with URI "about:minibrowser", the rest of the cases it will show a
        proper message explaining that the about page didn't exist.

        Internally it uses "minibrowser-about" prefix instead of "about", but
        from the user point of view it works with "about" prefix.

        * MiniBrowser/gtk/BrowserWindow.c: Add miniBrowserAboutScheme constant.
        (getInternalURI): Method to convert URIs from "about" prefix to
        "minibrowser-about".
        (getExternalURI): Opposite method.
        (webViewURIChanged): Use "about" prefix to show the URI to users.
        (webViewEnterFullScreen): Ditto.
        (browser_window_load_uri): Use "minibrowser-about" prefix internally.
        * MiniBrowser/gtk/main.c: Add miniBrowserAboutScheme constant.
        (aboutURISchemeRequestCallback): Callback to manage about calls.
        (main): Register the URI scheme to manage about URIs.

2013-04-03  Roger Fong  <roger_fong@apple.com>

        Re-enable WinEWS tests.

        * Scripts/webkitpy/tool/commands/earlywarningsystem.py:
        (WinEWS):

2013-04-03  Zan Dobersek  <zdobersek@igalia.com>

        [GTK][Jhbuild] Move ATK to the main moduleset, bump ATK, at-spi2-(atk|core) versions to 2.8.0
        https://bugs.webkit.org/show_bug.cgi?id=113883

        Reviewed by Martin Robinson.

        * gtk/jhbuild-optional.modules: Remove the ATK entry as it is now placed in jhbuild.modules.
        * gtk/jhbuild.modules: Add ATK to the list of webkitgtk-testing-dependencies metamodule, using the 2.8.0 version.
        The at-spi2-core and at-spi2-atk versions are also increased to 2.8.0.

2013-04-03  Manuel Rego Casasnovas  <rego@igalia.com>

        [GTK] Include Pango in jhbuild-optional.modules
        https://bugs.webkit.org/show_bug.cgi?id=113878

        Reviewed by Martin Robinson.

        Since r147547 Pango 1.32.0 is required. Including the module in the
        JHBuild optional moduleset.

        * gtk/jhbuild-optional.modules: Add Pango module.

2013-04-03  Zeno Albisser  <zeno@webkit.org>

        [Qt] Add getter for JSC TestRunner to DumpRenderTreeQt.
        https://bugs.webkit.org/show_bug.cgi?id=113864

        Moving setDefersLoading from TestRunnerQt to TestRunner
        requires access to the non-Qt TestRunner.
        As long as we instantiate both TestRunner and TestRunnerQt,
        we need a separate getter for the non-Qt TestRunner instance.

        Reviewed by Simon Hausmann.

        * DumpRenderTree/qt/DumpRenderTreeQt.cpp:
        (WebPage::resetSettings):
        * DumpRenderTree/qt/DumpRenderTreeQt.h:
        (DumpRenderTree::jscTestRunner):
        * DumpRenderTree/qt/TestRunnerQt.cpp:
        (TestRunner::setDefersLoading):
            Moving setDefersLoading from TestRunnerQt
            to TestRunner.
        * DumpRenderTree/qt/TestRunnerQt.h:
        (TestRunnerQt):

2013-04-03  Manuel Rego Casasnovas  <rego@igalia.com>

        [GTK][WK2] Unskip /webkit2/WebKitWebContext/uri-scheme
        https://bugs.webkit.org/show_bug.cgi?id=104779

        Reviewed by Carlos Garcia Campos.

        * Scripts/run-gtk-tests:
        (TestRunner): Unskip /webkit2/WebKitWebContext/uri-scheme as it is
        passing in current trunk.

2013-04-03  Pierre Rossi  <pierre.rossi@digia.com>

        Fix HAVE(QTTESTSUPPORT) logic

        build_qttestsupport has not been added to WEBKIT_CONFIG in detectFeatures,
        resulting in HAVE(QTTESTSUPPORT) never being true.
        Move that logic down in sanitizeFeatures.

        Rubber-stamped by Tor Arne Vestbø.

        * qmake/mkspecs/features/features.prf:

2013-04-03  Carlos Garcia Campos  <cgarcia@igalia.com>

        [GTK] Bump required versions of some dependencies
        https://bugs.webkit.org/show_bug.cgi?id=113282

        Reviewed by Martin Robinson.

        * gtk/jhbuild.modules: Update libsoup, glib, at-spi2 and gtk+ versions.

2013-04-03  Gustavo Noronha Silva  <gustavo.noronha@collabora.com>

        [GTK] gst-plugins-good fails to build with newer Linux(v4l2)
        https://bugs.webkit.org/show_bug.cgi?id=113809

        Reviewed by Philippe Normand.

        Newer Linux kernels have removed some deprecated macros from v4l2
        headers, causing gst-plugins-good's build to break. We don't need it
        right now, so just disable it.

        * gtk/jhbuild.modules: disable v4l2 usage in gst-plugins-good.

2013-03-28  Jesus Sanchez-Palencia  <jesus.palencia@openbossa.org>

        [Qt] Switch ContextMenu implementation to CROSS_PLATFORM_CONTEXT_MENU
        https://bugs.webkit.org/show_bug.cgi?id=113535

        Reviewed by Simon Hausmann.

        Adding USE_CROSS_PLATFORM_CONTEXT_MENUS to WEBKIT_CONFIG.

        * qmake/mkspecs/features/features.prf:

2013-04-03  Zeno Albisser  <zeno@webkit.org>

        [Qt] Move logic of simple forwarding functions to TestRunner.
        https://bugs.webkit.org/show_bug.cgi?id=113863

        Reviewed by Simon Hausmann.

        * DumpRenderTree/qt/TestRunnerQt.cpp:
        (TestRunner::setTextDirection):
        (TestRunner::goBack):
        (TestRunner::evaluateScriptInIsolatedWorld):
        (TestRunner::addUserStyleSheet):
        * DumpRenderTree/qt/TestRunnerQt.h:
        (TestRunnerQt):

2013-04-03  Tor Arne Vestbø  <tor.arne.vestbo@digia.com>

        [Qt] Disable media support using QuickTime if deployment target != SDK

        We link to a single libWebKitSystemInterface static lib, so unless the
        deployment target matches the SDK let's not pretend like we'll be able
        to run on anything lower than the SDK version.

        Reviewed by Simon Hausmann.

        * qmake/mkspecs/features/features.prf:

2013-04-02  James Craig  <james@cookiecrook.com>

        AXRoleDescripton for DL is "list"; should be "description list"
        https://bugs.webkit.org/show_bug.cgi?id=111665

        Reviewed by Chris Fleizach.

        Defining the role and description strings.

        * DumpRenderTree/chromium/TestRunner/src/AccessibilityUIElementChromium.cpp:

2013-04-02  Roger Fong  <roger_fong@apple.com>

        Unreviewed. Disable running tests on Win EWS queue.

        * Scripts/webkitpy/tool/commands/earlywarningsystem.py:
        (WinEWS):

2013-04-02  Lucas Forschler  <lforschler@apple.com>

        Disable running tests on the MAC WK2 EWS queue.
        
        Unreviewed.
        
        * Scripts/webkitpy/tool/commands/earlywarningsystem.py:
        (MacWK2EWS):

2013-04-02  Julie Parent  <jparent@chromium.org>

        Dashboard refactor: Move dashboard specific history related features to History.
        https://bugs.webkit.org/show_bug.cgi?id=113717

        Reviewed by Ojan Vafai.
        
        Each dashboard now creates its own History object, with a custom
        configuration. This changes from just overriding global functions
        to passing in callbacks for generatePage, handleValidHashParameter,
        and handleQueryParameterChange. Same with passing in defaultStateValues
        and DB_SPECIFIC_INVALIDATING_PARAMS, rather than overriding the global
        variables.
        
        All functions related to these features are now (mostly) private
        function on History. 
        
        Loader no longer needs a loadingComplete callback, since it can just
        initialize the history object itself.

        * TestResultServer/static-dashboards/aggregate_results.js:
        (handleValidHashParameter):
        * TestResultServer/static-dashboards/dashboard_base.js:
        * TestResultServer/static-dashboards/flakiness_dashboard.js:
        (generatePage):
        (.switch.return):
        (handleQueryParameterChange):
        * TestResultServer/static-dashboards/flakiness_dashboard_unittests.js:
        (resetGlobals):
        * TestResultServer/static-dashboards/history.js:
        (.):
        * TestResultServer/static-dashboards/loader.js:
        (.):
        * TestResultServer/static-dashboards/loader_unittests.js:
        * TestResultServer/static-dashboards/timeline_explorer.js:
        (generatePage):
        (initCurrentBuilderTestResults):
        * TestResultServer/static-dashboards/treemap.js:
        (generatePage):
        (.switch.return):
        (handleQueryParameterChange):

2013-04-02  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r147401.
        http://trac.webkit.org/changeset/147401
        https://bugs.webkit.org/show_bug.cgi?id=113767

        The patch makes it extremely hard to set up the dependencies
        properly on the GTK builders (Requested by zdobersek on
        #webkit).

        * gtk/jhbuild.modules:

2013-04-02  Sudarsana Nagineni  <sudarsana.nagineni@intel.com>

        [EFL][WK2] Empty tooltip shown when hovering over popup menu items
        https://bugs.webkit.org/show_bug.cgi?id=113382

        Reviewed by Gyuyoung Kim.

        Do not show the empty tooltip box if the text is null.

        * MiniBrowser/efl/main.c:
        (popup_menu_populate):

2013-04-02  Carlos Garcia Campos  <cgarcia@igalia.com>

        [GTK] Bump required versions of some dependencies
        https://bugs.webkit.org/show_bug.cgi?id=113282

        Reviewed by Martin Robinson.

        * gtk/jhbuild.modules: Update libsoup, glib, at-spi2 and gtk+ versions.

2013-04-01  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r147319.
        http://trac.webkit.org/changeset/147319
        https://bugs.webkit.org/show_bug.cgi?id=113707

        The unit test is still failing on the buildbot (Requested by
        zdobersek on #webkit).

        * Scripts/run-gtk-tests:
        (TestRunner):

2013-04-01  Manuel Rego Casasnovas  <rego@igalia.com>

        [GTK][WK2] Unskip /webkit2/WebKitWebContext/uri-scheme
        https://bugs.webkit.org/show_bug.cgi?id=104779

        Reviewed by Carlos Garcia Campos.

        * Scripts/run-gtk-tests:
        (TestRunner): Unskip /webkit2/WebKitWebContext/uri-scheme as it is
        passing in current trunk.

2013-03-31  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r147289.
        http://trac.webkit.org/changeset/147289
        https://bugs.webkit.org/show_bug.cgi?id=113678

        broke Win7 (dbg) build (Requested by shinyak|gardener on
        #webkit).

        * DumpRenderTree/DumpRenderTree.gypi:
        * DumpRenderTree/chromium/TestRunner/src/WebUserMediaClientMock.h: Renamed from Tools/DumpRenderTree/chromium/TestRunner/public/WebUserMediaClientMock.h.
        (WebTestRunner):
        (WebUserMediaClientMock):
        (WebTestRunner::WebUserMediaClientMock::~WebUserMediaClientMock):
        (WebTestRunner::WebUserMediaClientMock::taskList):
        * Scripts/webkitpy/style/checkers/cpp.py:
        (check_function_definition):

2013-03-31  Adam Barth  <abarth@webkit.org>

        configure-svn-config.sh fails
        https://codereview.chromium.org/13392007/

        Reviewed by Eric Seidel.

        This script was trying to use "svn checkout" to dowload a file from
        svn.webkit.org, but "svn checkout" only works with directories.
        Instead, we should use "svn export".

        * EWSTools/configure-svn-config.sh:

2013-03-31  Wei Jia  <wjia@chromium.org>

        Allow WebUserMediaClientMock to be used by client
        https://bugs.webkit.org/show_bug.cgi?id=113633

        Reviewed by Adam Barth.

        Export WebUserMediaClientMock.
        Allow files in chromium/TestRunner/public to have WEBKIT_EXPORT.

        * DumpRenderTree/DumpRenderTree.gypi:
        * DumpRenderTree/chromium/TestRunner/public/WebUserMediaClientMock.h: Copied from Tools/DumpRenderTree/chromium/TestRunner/src/WebUserMediaClientMock.h.
        (WebUserMediaClientMock):
        * DumpRenderTree/chromium/TestRunner/src/WebUserMediaClientMock.h: Removed.
        * Scripts/webkitpy/style/checkers/cpp.py:
        (check_function_definition):

2013-03-29  Alexey Proskuryakov  <ap@apple.com>

        Expose FeatureObserver data to WebKit clients
        https://bugs.webkit.org/show_bug.cgi?id=113613

        Reviewed by Sam Weinig.

        * WebKitTestRunner/InjectedBundle/InjectedBundlePage.cpp:
        (WTR::InjectedBundlePage::InjectedBundlePage): Added an initializer for featuresUsedInPage.

2013-03-29  Greg Hughes  <ghughes@apple.com>

        Allow multiple searchKeys to be passed to AXUIElementCopyParameterizedAttributeValue
        https://bugs.webkit.org/show_bug.cgi?id=112276

        Reviewed by Chris Fleizach.

        Added support to test accessibility search predicates with multiple keys.  

        * DumpRenderTree/AccessibilityUIElement.cpp:
        (uiElementForSearchPredicateCallback):
        * DumpRenderTree/AccessibilityUIElement.h:
        (AccessibilityUIElement):
        * DumpRenderTree/atk/AccessibilityUIElementAtk.cpp:
        (AccessibilityUIElement::uiElementForSearchPredicate):
        * DumpRenderTree/blackberry/AccessibilityUIElementBlackBerry.cpp:
        (AccessibilityUIElement::uiElementForSearchPredicate):
        * DumpRenderTree/ios/AccessibilityUIElementIOS.mm:
        (AccessibilityUIElement::uiElementForSearchPredicate):
        * DumpRenderTree/mac/AccessibilityUIElementMac.mm:
        (AccessibilityUIElement::uiElementForSearchPredicate):
        * DumpRenderTree/win/AccessibilityUIElementWin.cpp:
        (AccessibilityUIElement::uiElementForSearchPredicate):
        * WebKitTestRunner/InjectedBundle/AccessibilityUIElement.cpp:
        (WTR::AccessibilityUIElement::uiElementForSearchPredicate):
        * WebKitTestRunner/InjectedBundle/AccessibilityUIElement.h:
        (AccessibilityUIElement):
        * WebKitTestRunner/InjectedBundle/Bindings/AccessibilityUIElement.idl:
        * WebKitTestRunner/InjectedBundle/atk/AccessibilityUIElementAtk.cpp:
        (WTR::AccessibilityUIElement::uiElementForSearchPredicate):
        * WebKitTestRunner/InjectedBundle/mac/AccessibilityUIElementMac.mm:
        (WTR::AccessibilityUIElement::uiElementForSearchPredicate):

2013-03-29  Ryosuke Niwa  <rniwa@webkit.org>

        Fix a typo in r147147 to fix Mac EWS.

        * Scripts/webkitpy/tool/commands/queues.py:
        (PatchProcessingQueue._new_port_name_from_old):

2013-03-28  Ryuan Choi  <ryuan.choi@samsung.com>

        [EFL] Build break with latest EFL libraries after r146265
        https://bugs.webkit.org/show_bug.cgi?id=113558

        Unreviewed build fix.

        * TestWebKitAPI/PlatformWebView.h:
        * WebKitTestRunner/PlatformWebView.h:

2013-03-28  Gyuyoung Kim  <gyuyoung.kim@samsung.com>

        Unreviewed. Fix build break when running --update-efl in WebKit EFL.

        * efl/jhbuild.modules: Remove to run autogen.sh in libgcrypt autogen. It causes configuration fail
        in libgcrypt build.

2013-03-28  Lucas Forschler  <lforschler@apple.com>

        Disable running tests on Mac EWS until we can find a way to keep the queue at a reasonable length.

        Unreviewed.

        * Scripts/webkitpy/tool/commands/earlywarningsystem.py:
        (MacEWS):

2013-03-28  Ryosuke Niwa  <rniwa@webkit.org>

        Use the right OS name on Mac EWS instead of mac-future.

        Rubber-stamped by Dirk Pranke.

        * Scripts/webkitpy/tool/commands/queues.py:
        (PatchProcessingQueue._new_port_name_from_old):
        (PatchProcessingQueue.begin_work_queue):
        (PatchProcessingQueue._upload_results_archive_for_patch):

2013-03-28  Zan Dobersek  <zdobersek@igalia.com>

        [GTK] Build GTK-specific, non-layer-violating source code into WebCore-independent libPlatformGtk.la
        https://bugs.webkit.org/show_bug.cgi?id=112546

        Reviewed by Martin Robinson.

        * GNUmakefile.am: Reference the platformgtk_cppflags amongst the libWebCoreInternals' CPPFLAGS. GtkVersioning.c file has
        moved back to Source/WebCore/platform. Fix an indentation issue as well.

2013-03-28  Ming Xie  <mxie@blackberry.com>

        [BlackBerry] Committer Email Updates
        https://bugs.webkit.org/show_bug.cgi?id=113435

        Reviewed by Rob Buis.

        Add the @blackberry.com email address for all our BlackBerry
        WebKit committers. This is the first step for our email address
        migration.

        * Scripts/webkitpy/common/config/committers.py:

2013-03-28  Philippe Normand  <pnormand@igalia.com>

        [jhbuild] GStreamer system plugins conflict with the ones built in jhbuild
        https://bugs.webkit.org/show_bug.cgi?id=113508

        Reviewed by Martin Robinson.

        Prevent the GStreamer plugin scanner to load system-wide
        plugins. Only the ones built in JHBuild should be loaded and used
        at runtime.

        * efl/jhbuildrc:
        * gtk/jhbuildrc:

2013-03-27  Philippe Normand  <pnormand@igalia.com>

        [GTK] run-launcher --gtk -2 fails on a WK2-only build
        https://bugs.webkit.org/show_bug.cgi?id=113386

        Reviewed by Carlos Garcia Campos.

        * Scripts/webkitdirs.pm:
        (builtDylibPathForName): The WebKit2GTK .so name change from 1.0
        version to 3.0. Reflect this change so the builtDylibPathForName
        function doesn't fail to report the library as found.

2013-03-28  Jaehun Lim  <ljaehun.lim@samsung.com>

        [CMAKE] Build fix after r147052. Add WebKit2/Shared/Plugins to include path
        https://bugs.webkit.org/show_bug.cgi?id=113484

        Unreviewed build fix.

        Add "WebKit2/Shared/Plugins" to include path for TestWebKitAPI, WebKitTestRunner.

        * TestWebKitAPI/CMakeLists.txt:
        * WebKitTestRunner/CMakeLists.txt:

2013-03-27  Mario Sanchez Prada  <mario.prada@samsung.com>

        Revision for the internal jhbuild is too old
        https://bugs.webkit.org/show_bug.cgi?id=113324

        Reviewed by Martin Robinson.

        Update the minimum required version to a point where jhbuild won't
        fail installing packages when trying to remove a symlink to a directory.

        * jhbuild/jhbuild-wrapper: Updated revision.

2013-03-27  Gustavo Noronha Silva  <gns@gnome.org>

        [GTK][jhbuild] gst-plugins-good mixes system libsoup-gnome with custom libsoup
        https://bugs.webkit.org/show_bug.cgi?id=113203

        Reviewed by Philippe Normand.

        We build our libsoup without GNOME support. gst-plugins-good does separate
        pkg-config checks for libsoup-gnome and libsoup, causing the build to use
        libsoup-gnome from the system and soup from the jhbuild prefix. This may lead to
        build failures as the headers of those diverge. We do not use souphttpsrc, so
        disable it when building gst-plugins-good.

        * gtk/jhbuild.modules: disable soup support in gst-plugins-good.

2013-03-27  Ryosuke Niwa  <rniwa@webkit.org>

        Build fix after r146852. Please another reference to the Lion leaks builder.

        * BuildSlaveSupport/build.webkit.org-config/config.json:

2013-03-27  Zan Dobersek  <zdobersek@igalia.com>

        [GTK][webkitpy] A huge list of warnings about missing bugs in expectations when running NRWT with WKTR
        https://bugs.webkit.org/show_bug.cgi?id=113421

        Reviewed by Dirk Pranke.

        When running the layout tests with WKTR through NRWT, the GTK port also uses the generic WK2 TestExpectations file.
        This file contains a large amount of expectations that are not listing a specific bug modifier, so this produces an
        equally large amount of warnings due to the GTK port preferring for every expectation to have the bug modifier present
        in the GTK-specific TestExpectations files.

        To avoid this only enable the warnings only when not using WKTR.

        * Scripts/webkitpy/layout_tests/port/gtk.py:
        (GtkPort.warn_if_bug_missing_in_test_expectations):

2013-03-27  Antti Koivisto  <antti@apple.com>

        Fix Zalan's email.

        * Scripts/webkitpy/common/config/committers.py:

2013-03-27  Csaba Osztrogonác  <ossy@webkit.org>

        master.cfg cleanup
        https://bugs.webkit.org/show_bug.cgi?id=113195

        Reviewed by Ryosuke Niwa.

        * BuildSlaveSupport/build.webkit.org-config/config.json:
        * BuildSlaveSupport/build.webkit.org-config/master.cfg:

2013-03-27  Csaba Osztrogonác  <ossy@webkit.org>

        master.cfg fine-tuning for Qt Mountain Lion Release bot
        https://bugs.webkit.org/show_bug.cgi?id=113191

        Reviewed by Ryosuke Niwa.

        * BuildSlaveSupport/build.webkit.org-config/config.json:
          - Rename the slave due to its location change.
          - Update the platform of the slave.
        * BuildSlaveSupport/build.webkit.org-config/master.cfg:
        (RunQtAPITests): Enable running WK2 API tests on Qt.
        (RunQtAPITests.start):
        (RunWebKit2Tests.start): Force pixel tests on the Qt Mountain Lion Release builder.
        (BuildAndTestWebKit2Factory): Added. (Build WK1 and WK2 too, but run only WK2 tests.)

2013-03-27  Raphael Kubo da Costa  <raphael.kubo.da.costa@intel.com>

        [EFL][jhbuild] Evas fails to build when Wayland is present on the system
        https://bugs.webkit.org/show_bug.cgi?id=113403

        Reviewed by Kenneth Rohde Christiansen.

        As of Evas 1.7.5, when Wayland is detected on the system, support for
        both Wayland SHM and Wayland EGL is automatically enabled in autoconf.
        The code, however, seems to depend on a few other flags which must be
        explicitly enabled.

        If those additional GL-related options are passed, we end up
        having issues on the WebKit side, so disable Wayland support for
        now.

        * efl/jhbuild.modules:

2013-03-27  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r146864.
        http://trac.webkit.org/changeset/146864
        https://bugs.webkit.org/show_bug.cgi?id=113391

        causes crashes on Wk2 EFL release bot (Requested by drott on
        #webkit).

        * Scripts/webkitperl/FeatureList.pm:

2013-03-27  Raphael Kubo da Costa  <raphael.kubo.da.costa@intel.com>

        [jhbuild] Correctly specify an alternate number of make jobs.
        https://bugs.webkit.org/show_bug.cgi?id=113396

        Reviewed by Philippe Normand.

        So far, we were using the `MAKEFLAGS' environment variable to pass the
        number of compilation jobs we wanted to jhbuild. jhbuild itself, on the
        other hand, prefers to use the `jobs' variable from jhbuildrc for that.

        We now behave more closely to the rest of the WebKit tools by first
        checking the `NUMBER_OF_PROCESSORS' environment variable and, if it is
        not set, just letting jhbuild itself figure out how many jobs to use.

        * efl/jhbuildrc:
        * gtk/jhbuildrc:

2013-03-27  Zeno Albisser  <zeno@webkit.org>

        [Qt] Remove Qt specific WorkQueueItem definitions.
        https://bugs.webkit.org/show_bug.cgi?id=112891

        This patch is preparation work for removing
        WorkQueue related code from TestRunnerQt and
        replacing it with generic TestRunner code.

        Reviewed by Benjamin Poulain.

        * DumpRenderTree/qt/TestRunnerQt.cpp:
        (TestRunnerQt::queueBackNavigation):
        (TestRunnerQt::queueForwardNavigation):
        (TestRunnerQt::queueLoadHTMLString):
        (TestRunnerQt::queueReload):
        (TestRunnerQt::queueLoadingScript):
        (TestRunnerQt::queueNonLoadingScript):
        (TestRunner::queueLoad):
        * DumpRenderTree/qt/TestRunnerQt.h:
        (TestRunnerQt):
        * DumpRenderTree/qt/WorkQueueItemQt.cpp:
        (LoadItem::invoke):
        (LoadHTMLStringItem::invoke):
        (LoadAlternateHTMLStringItem::invoke):
        (ReloadItem::invoke):
        (ScriptItem::invoke):
        (BackForwardItem::invoke):
        * DumpRenderTree/qt/WorkQueueItemQt.h:
        (LoadAlternateHTMLStringItem::LoadAlternateHTMLStringItem):
        (LoadAlternateHTMLStringItem):

2013-03-26  Julie Parent  <jparent@chromium.org>

        Flakiness dashboard: simplify logic around which tests to show.
        https://bugs.webkit.org/show_bug.cgi?id=113250

        Reviewed by Ojan Vafai.
        
        The different filters for showing results are only used for layout
        tests, otherwise, we show everything.
        
        Change the defaults to false (what layout tests used), and only
        look at the values when viewing layout tests.

        * TestResultServer/static-dashboards/flakiness_dashboard.js:
        (htmlForTestsWithExpectationsButNoFailures):
        (shouldHideTest):

2013-03-26  Isaac Levy  <ilevy@google.com>

        Update bots on test-results.appspot
        https://bugs.webkit.org/show_bug.cgi?id=113333

        Reviewed by Ojan Vafai.

        * TestResultServer/static-dashboards/builders.jsonp:

2013-03-26  Zan Dobersek  <zdobersek@igalia.com>

        Unreviewed GTK gardening.

        * Scripts/run-gtk-tests:
        (TestRunner): A follow-up to 146859, skipping the complete WebKit2APITests/TestInspector unit test.

2013-03-26  Csaba Osztrogonác  <ossy@webkit.org>

        [Qt] Enable release/debug/2/webkit2 options for run-qtwebkit-tests
        https://bugs.webkit.org/show_bug.cgi?id=113287

        Reviewed by Jocelyn Turcotte.

        * Scripts/run-qtwebkit-tests:
        (Options.__init__):

2013-03-26  Rijubrata Bhaumik  <rijubrata.bhaumik@intel.com>

        [EFL] Enable IndexedDB by default
        https://bugs.webkit.org/show_bug.cgi?id=107248

        Reviewed by Laszlo Gombos.

        * Scripts/webkitperl/FeatureList.pm:
        Enable IndexedDB by default on EFL.

2013-03-26  Alan Cutter  <alancutter@chromium.org>

        Sheriffbot should explain rollout failures in a human readable form.
        https://bugs.webkit.org/show_bug.cgi?id=107092

        Reviewed by Ryosuke Niwa.

        Improved sheriffbot's error reporting when a rollout command fails to reverse diff files (the most common failure).

        * Scripts/webkitpy/tool/bot/irc_command.py:
        (Rollout._check_diff_failure):
        (Rollout.execute):
        * Scripts/webkitpy/tool/bot/irc_command_unittest.py:
        (IRCCommandTest.test_rollout):

2013-03-26  Zan Dobersek  <zdobersek@igalia.com>

        Unreviewed GTK gardening.

        * Scripts/run-gtk-tests:
        (TestRunner): Skipping a failing unit test after r146518.

2013-03-25  Ryosuke Niwa  <rniwa@webkit.org>

        Remove Lion leaks builder
        https://bugs.webkit.org/show_bug.cgi?id=113252

        Reviewed by Andreas Kling.

        Removed.

        * BuildSlaveSupport/build.webkit.org-config/config.json:

2013-03-25  Kent Tamura  <tkent@chromium.org>

        Rename ENABLE_INPUT_TYPE_DATETIME
        https://bugs.webkit.org/show_bug.cgi?id=113254

        Reviewed by Kentaro Hara.

        Rename ENABLE_INPUT_TYPE_DATETIME to ENABLE_INPUT_TYPE_DATETIME_INCOMPLETE.
        Actually I'd like to remove the code, but we shouldn't remove it yet
        because we shipped products with it on some platforms.

        * Scripts/webkitperl/FeatureList.pm:
        * qmake/mkspecs/features/features.pri:

2013-03-25  Ryosuke Niwa  <rniwa@webkit.org>

        Remove one more line that was intended to be removed in r146657.

        * Scripts/webkitpy/layout_tests/models/test_run_results.py:
        (summarize_results):

2013-03-25  Roger Fong  <roger_fong@apple.com>

        No longer run bindings tests on WinEWS bots which are causing hangs on the bots.
        Re-enable WinEWS tests.

        * Scripts/webkitpy/common/config/ports.py:
        (WinPort.run_bindings_tests_command):
        * Scripts/webkitpy/tool/commands/earlywarningsystem.py:
        (WinEWS):

2013-03-25  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r146793.
        http://trac.webkit.org/changeset/146793
        https://bugs.webkit.org/show_bug.cgi?id=113248

        Fix did not work (Requested by rfong on #webkit).

        * Scripts/webkitpy/tool/commands/earlywarningsystem.py:
        (WinEWS):

2013-03-25  Ryosuke Niwa  <rniwa@webkit.org>

        REGRESSION(r146657): Test failures reported incorrectly
        https://bugs.webkit.org/show_bug.cgi?id=113223

        Reviewed by Dirk Pranke.

        The bug was caused by BuildBotPrinter not taking the new behavior into account.

        Fixed the bug by exposing enabled_pixel_tests_in_retry flag via ResultDetails object and have BuildBotPrinter
        treat ['TEXT', 'IMAGE+TEXT'] as a regular failure when the flag is set true.

        * Scripts/webkitpy/layout_tests/controllers/manager.py:
        (Manager.run):

        * Scripts/webkitpy/layout_tests/models/test_run_results.py:
        (RunDetails.__init__):
        (summarize_results): Remove the line I intended to remove in r146657.

        * Scripts/webkitpy/layout_tests/run_webkit_tests_integrationtest.py:
        (logging_run): Return details instead of the exit code.
        (run_and_capture): Ditto.

        (RunTest.test_full_results_html):
        (RunTest.test_hung_thread):
        (RunTest.test_no_tests_found):
        (RunTest.test_no_tests_found_2):
        (RunTest.test_repeat_each_iterations_num_tests):
        (RunTest.test_run_singly_actually_runs_tests):
        (RunTest.test_test_list):
        (RunTest.test_missing_and_unexpected_results):
        (RunTest.test_pixel_test_directories):
        (RunTest.test_missing_and_unexpected_results_with_custom_exit_code):
        (RunTest.test_crash_with_stderr):
        (RunTest.test_no_image_failure_with_image_diff):
        (RunTest.test_crash_log):
        (RunTest.test_exit_after_n_failures_upload):
        (RunTest.test_results_directory_absolute):
        (RunTest.test_results_directory_relative):
        (RunTest.test_retrying_and_flaky_tests):
        (RunTest.test_retrying_force_pixel_tests): Added a test case to ensure enabled_pixel_tests_in_retry is set.
        (RunTest.test_retrying_uses_retries_directory):
        (RunTest.test_reftest_should_not_use_naming_convention_if_not_listed_in_reftestlist):
        (RunTest.test_output_diffs):
        (EndToEndTest.test_reftest_with_two_notrefs):
        (RebaselineTest.test_reset_results):
        (RebaselineTest.test_missing_results):
        (RebaselineTest.test_new_baseline):

        * Scripts/webkitpy/layout_tests/views/buildbot_results.py:
        (BuildBotPrinter.print_results):
        (BuildBotPrinter.print_unexpected_results):
        (BuildBotPrinter.print_unexpected_results.add_result): Don't treat ['TEXT', 'IMAGE+TEXT'] as flaky
        when we forced pixel tests in retry (i.e. pixel test was initially disabled).

2013-03-25  Julie Parent  <jparent@chromium.org>

        Dashboard refactor: Move cross dashboard history related code into history.js.
        https://bugs.webkit.org/show_bug.cgi?id=113104

        Reviewed by Ojan Vafai.

        All functions relating to cross dashboard behavior move from being
        globals to methods on the history.History object. Names stay the same,
        except many are made private, ones that should have been constants now
        are, and the long standing TODO to change "currentState" to 
        dashboardSpecificState is done.
        
        We now create a global history object in dashboard_base, as an 
        intermediate measure.  Once the dashboard specific code is
        added to history, each DB will need to create its own, and this
        global will be eliminated.
        
        * TestResultServer/static-dashboards/aggregate_results.js:
        (handleValidHashParameter):
        (htmlForBuilder):
        (rawValuesHTML):
        * TestResultServer/static-dashboards/dashboard_base.js:
        (parseDashboardSpecificParameters):
        (defaultValue):
        (currentBuilderGroupCategory):
        (currentBuilderGroupName):
        (handleLocationChange):
        (expectationsMap):
        * TestResultServer/static-dashboards/flakiness_dashboard.js:
        (generatePage):
        (.switch.return):
        (platformAndBuildType):
        (individualTests):
        (substringList):
        (processMissingAndExtraExpectations):
        (pathToFailureLog):
        (showPopupForBuild):
        (htmlForTestsWithExpectationsButNoFailures):
        (shouldHideTest):
        (isCrossBuilderView):
        (tableHeaders):
        (htmlForSingleTestRow):
        (htmlForTableColumnHeader):
        (generatePageForExpectationsUpdate):
        (handleUpdate):
        (nextUpdate):
        (setUpdateIndex):
        (htmlForIndividualTestOnAllBuildersWithResultsLinks):
        (.appendExpectationsItem):
        (loadExpectations):
        (.dummyNode.onload):
        (loadExpectationsLayoutTests):
        (appendExpectations):
        (htmlForNavBar):
        (checkBoxToToggleState):
        (linkHTMLToToggleState):
        (generatePageForBuilder):
        (isInvalidKeyForCrossBuilderView):
        (handleQueryParameterChange):
        (showLegend):
        * TestResultServer/static-dashboards/flakiness_dashboard_unittests.js:
        (resetGlobals):
        (test):
        * TestResultServer/static-dashboards/history.js:
        (.):
        * TestResultServer/static-dashboards/history_unittests.js:
        * TestResultServer/static-dashboards/loader.js:
        (.):
        * TestResultServer/static-dashboards/loader_unittests.js:
        * TestResultServer/static-dashboards/timeline_explorer.js:
        (generatePage):
        (initCurrentBuilderTestResults):
        (selectBuild):
        (showResultsDelta):
        * TestResultServer/static-dashboards/treemap.js:
        (generatePage):
        (.switch.return):
        (handleFocus):
        * TestResultServer/static-dashboards/ui.js:

2013-03-25  Roger Fong  <roger_fong@apple.com>

        Unreviewed. Enable WinEWS tests again.

        * Scripts/webkitpy/tool/commands/earlywarningsystem.py:
        (WinEWS):

2013-03-25  Dominik Röttsches  <dominik.rottsches@intel.com>

        [HarfBuzz] ICU detection fix in HarfBuzz obsoletes our workaround
        https://bugs.webkit.org/show_bug.cgi?id=112166

        HarfBuzz 0.9.14 merged my patch for icu detection without
        pkg-config files, as needed by for example Ubuntu 12.04.
        This obsoletes our local workaround. Removed it for GTK and EFL.

        Reviewed by Martin Robinson.

        * efl/jhbuild.modules: Patch reference removed, version bumped to 0.9.14.
        * efl/patches/harfbuzz-icu-detection-fix.patch: Removed.
        * gtk/jhbuild.modules: Patch reference removed, version bumped to 0.9.14.
        * gtk/patches/harfbuzz-icu-detection-fix.patch: Removed.

2013-03-22  Kiran Muppala  <cmuppala@apple.com>

        Unreviewed.  Move self from contributor to committer list.

        * Scripts/webkitpy/common/config/committers.py:

2013-03-22  Ryosuke Niwa  <rniwa@webkit.org>

        EWS should use a human readable port name when uploading layout test archives
        https://bugs.webkit.org/show_bug.cgi?id=113099

        Reviewed by Dirk Pranke.

        Use new port's object's name() method to report human readable port names.
        This will also help us resolving the bug to apply layout test results posted by EWS.

        * Scripts/webkitpy/tool/bot/botinfo.py:
        (BotInfo.__init__): Take port's name.
        (BotInfo.summary_text):

        * Scripts/webkitpy/tool/bot/botinfo_unittest.py:
        (BotInfoTest.test_summary_text):

        * Scripts/webkitpy/tool/bot/flakytestreporter.py:
        (FlakyTestReporter.__init__): Preserve the old behavior since we don't have a real port object here.

        * Scripts/webkitpy/tool/commands/queues.py:
        (PatchProcessingQueue.__init__): Initialize self._port.
        (PatchProcessingQueue._upload_results_archive_for_patch): Intansitate a real port object if needed,
        and use that for the attachment filename and the comment posted.

        * Scripts/webkitpy/tool/commands/queues_unittest.py:
        (PatchProcessingQueueTest.test_upload_results_archive_for_patch): Port name is updated to be
        "mac-snowleopard" as expected for TestPort.

2013-03-22  Roger Fong  <roger_fong@apple.com>

        Unreviewed. Turn off EWS test on Win again.
        The battle continues.

        * Scripts/webkitpy/tool/commands/earlywarningsystem.py:
        (WinEWS):

2013-03-22  Ryosuke Niwa  <rniwa@webkit.org>

        NRWT: Enable pixel tests when retrying tests
        https://bugs.webkit.org/show_bug.cgi?id=112898

        Reviewed by Dirk Pranke.

        * Scripts/webkitpy/layout_tests/controllers/manager.py:
        (Manager.run): Call _force_pixel_tests_if_needed before retrying tests and set pixel_tests False
        if we've forced pixel tests in the retry.
        (Manager._run_tests):
        (Manager._clean_up_run): Fixed the capitalizations.
        (Manager._force_pixel_tests_if_needed): Added.

        * Scripts/webkitpy/layout_tests/models/test_run_results.py:
        (_interpret_test_failures): Now that this function maybe called multiple times, only set
        'image_diff_percent' if it doesn't already exist.

        (summarize_results): When the first attempt resulted in a text failure and the second attempt
        resulted in image and text failures and we've forced to run pixel tests in the retry run,
        treat this as a regular regression instead of a flakiness.

        Also update test_dict with retry_result so that image_diff_percent maybe filled in if retry
        run had image diffs.

        * Scripts/webkitpy/layout_tests/models/test_run_results_unittest.py:
        (summarized_results):

        * Scripts/webkitpy/layout_tests/run_webkit_tests_integrationtest.py:
        (parse_full_results): Moved out of EndToEndTest to be used in test_retrying_force_pixel_tests.
        Also removed some dead code.

        (RunTest.test_retrying_force_pixel_tests): Added. Assert that we generate and only generate
        pixel results in retries when pixel tests is turned off. Also assert that image_diff_percent
        is set and pixel_tests_enabled is set to false.
        (EndToEndTest.test_reftest_with_two_notrefs):

2013-03-22  Tim Horton  <timothy_horton@apple.com>

        Make it possible to run layout tests on Retina MBP
        https://bugs.webkit.org/show_bug.cgi?id=93673

        Reviewed by Ryosuke Niwa.

        Use NSWindow SPI and override -backingScaleFactor so that WKTR and DRT
        windows on 2x machines still run at 1x.

        * DumpRenderTree/mac/DumpRenderTree.mm:
        (createWebViewAndOffscreenWindow):
        Reset the window resolution to 1x on creation.
        * DumpRenderTree/mac/DumpRenderTreeWindow.h: Add NSWindow details.
        * DumpRenderTree/mac/DumpRenderTreeWindow.mm:
        (-[DumpRenderTreeWindow backingScaleFactor]): Override, always return 1.
        * WebKitTestRunner/mac/PlatformWebViewMac.mm:
        (-[WebKitTestRunnerWindow backingScaleFactor]): Override, always return 1.
        (WTR::PlatformWebView::PlatformWebView):
        Add NSWindow details, reset the window resolution to 1x on creation.

2013-03-19  Ryosuke Niwa  <rniwa@webkit.org>

        Leak bots shouldn't build
        https://bugs.webkit.org/show_bug.cgi?id=112774

        Reviewed by Simon Fraser.

        Since leak bots use regular debug builds, there is no need to build on these bots.
        Simply downloading builds will dramatically improve the cycle time of these bots.

        * BuildSlaveSupport/build.webkit.org-config/config.json:
        * BuildSlaveSupport/build.webkit.org-config/master.cfg:
        (TestLeaksFactory): Renamed from BuildAndTestLeaksFactory and changed to inherit from
        TestFactory instead of BuildAndTestFactory.

2013-03-22  Jocelyn Turcotte  <jocelyn.turcotte@digia.com>

        [Qt] Fix the TestWebKitAPI build
        https://bugs.webkit.org/show_bug.cgi?id=113044

        Reviewed by Tor Arne Vestbø.

        The generate-forwarding-headers script would only be run
        after the targets in InjectedBundle.pri since the second
        addStrictSubdirOrderBetween call in
        Tools/TestWebKitAPI/TestWebKitAPI.pro would overwrite
        the derived_sources -> injected_bundle order in SUBDIRS.

        Fix it by only moving the dependent target at the end of
        SUBDIRS, don't touch its dependency.

        * qmake/mkspecs/features/functions.prf:

2013-03-22  Sudarsana Nagineni  <sudarsana.nagineni@intel.com>

        [EFL][WK2] View is not focused when fullscreen mode toggled
        https://bugs.webkit.org/show_bug.cgi?id=113009

        Reviewed by Laszlo Gombos.

        Set focus on view when fullscreen mode enabled/disabled
        by FullScreen API.

        * MiniBrowser/efl/main.c:
        (on_fullscreen_accept):
        (on_fullscreen_deny):

2013-03-21  Dirk Pranke  <dpranke@chromium.org>

        nrwt is no longer saving retry results in the retries/ subdirectory
        https://bugs.webkit.org/show_bug.cgi?id=112995

        Reviewed by Ojan Vafai.

        I think this has been broken a long time, unfortunately. This
        patch should fix that.

        In order to do so, I had to pass the directory to use from
        the Worker object through the SingleTestWriter to the
        TestResultWriter. While I was plumbing that through, I rationalized
        the order of the parameter arguments a bit ...

        * Scripts/webkitpy/layout_tests/controllers/layout_test_runner.py:
        (Worker._run_single_test):
        * Scripts/webkitpy/layout_tests/controllers/single_test_runner.py:
        (run_single_test):
        (SingleTestRunner.__init__):
        (SingleTestRunner._run_compare_test):
        (SingleTestRunner._run_rebaseline):
        (SingleTestRunner._run_reftest):
        * Scripts/webkitpy/layout_tests/controllers/test_result_writer.py:
        (write_test_result):
        * Scripts/webkitpy/layout_tests/controllers/test_result_writer_unittest.py:
        (TestResultWriterTest.test_reftest_diff_image):
        * Scripts/webkitpy/layout_tests/run_webkit_tests_integrationtest.py:
        (RunTest.test_retrying_uses_retries_directory):

2013-03-21  Filip Pizlo  <fpizlo@apple.com>

        JSC profiler should have an at-a-glance report of the success of DFG optimization
        https://bugs.webkit.org/show_bug.cgi?id=112988

        Reviewed by Geoffrey Garen.

        * Scripts/display-profiler-output:

2013-03-21  Dirk Pranke  <dpranke@chromium.org>

        [chromium] Linux ASAN WebKit canary is running out of memory
        https://bugs.webkit.org/show_bug.cgi?id=112978

        Reviewed by Tony Chang.

        Running the AddressSanitizer on a crash takes a lot of
        memory, so we should serialize access to it to avoid running
        out of memory on a machine.

        * Scripts/webkitpy/layout_tests/port/chromium.py:
        (ChromiumPort._get_crash_log):
        * Scripts/webkitpy/layout_tests/port/http_lock.py:
        (HttpLock.__init__):
        (HttpLock.wait_for_httpd_lock):

2013-03-21  Min Qin  <qinmin@chromium.org>

        Cleanup android media layout test code
        https://bugs.webkit.org/show_bug.cgi?id=112944

        Reviewed by Adam Barth.

        Chromium change: https://codereview.chromium.org/12892010/
        The current android layout tests are using WebmediaPlayerInProcessAndroid class.
        The code path has been largely diverged from that of the WebMediaPlayerImplAndroid.
        It is not worth the effort to keep the code path, and the layout tests will not reflect the actual behavior on the browser.
        Instead, we should switch to use content shell for layout tests.

        * DumpRenderTree/chromium/TestShell.cpp:
        (TestShell::resetTestController):

2013-03-21  Dirk Pranke  <dpranke@chromium.org>

        [chromium] add missing project dependencies to DRT to fix Mac Valgrind
        https://bugs.webkit.org/show_bug.cgi?id=112953

        Reviewed by Tony Chang.

        When I created the DumpRenderTree_resources target in r144863 I
        forgot to declare the needed dependencies on the other resource
        targets. Due to a quirk of ordering, this appears to have been fine
        w/ ninja but not w/ Xcode (which is still being used on the chromium
        mac valgrind bots). Declaring the dependencies fixes the build
        failures.

        * DumpRenderTree/DumpRenderTree.gyp/DumpRenderTree.gyp:

2013-03-21  Brent Fulgham  <bfulgham@webkit.org>

        [WinCairo] Correct assert in Empty BitmapImage Test.
        https://bugs.webkit.org/show_bug.cgi?id=112934

        Reviewed by Tim Horton.

        * TestWebKitAPI/Tests/WebCore/win/BitmapImage.cpp:
        (TestWebKitAPI::TEST): Use proper RefPtr and adoptRef
        to avoid ref counting assertion when leaving test scope.

2013-03-21  Zan Dobersek  <zdobersek@igalia.com>

        [GTK] generate-feature-defines-files is incompatible with Python3
        https://bugs.webkit.org/show_bug.cgi?id=112956

        Reviewed by Martin Robinson.

        Make the generate-feature-defines-files compatible with Python3 by calling the items()
        method on the dictionary objects when iterating through said dictionaries.

        * gtk/generate-feature-defines-files:
        (write_feature_defines_header):
        (write_flattened_feature_defines_file):

2013-03-20  Ryosuke Niwa  <rniwa@webkit.org>

        kill-old-processes spits out error messages on Mac
        https://bugs.webkit.org/show_bug.cgi?id=112878

        Reviewed by Jessie Berlin.

        Use grep -E instead of grep -P since grep on Mac doesn't seem to support the latter even though it's
        included in the list of options grep --help shows.

        Also use double-slash in escaping ++ in clang++ since the slashes needs to escape + inside the shell.

        * BuildSlaveSupport/kill-old-processes:
        (main):

2013-03-21  Alberto Garcia  <agarcia@igalia.com>

        [BlackBerry] AccessibilityUIElement: add dummy implementations of scroll methods
        https://bugs.webkit.org/show_bug.cgi?id=112597

        Reviewed by Xan Lopez.

        These were introduced for the Chromium port in r105295. We need
        dummy implementations in order to compile the BlackBerry port.

        * DumpRenderTree/blackberry/AccessibilityUIElementBlackBerry.cpp:
        (AccessibilityUIElement::scrollToMakeVisible):
        (AccessibilityUIElement::scrollToMakeVisibleWithSubFocus):
        (AccessibilityUIElement::scrollToGlobalPoint):

2013-03-21  Roger Fong  <roger_fong@apple.com>

        Re-enable WinEWS tests following r146376.

        * Scripts/webkitpy/tool/commands/earlywarningsystem.py:
        (WinEWS):

2013-03-21  Zoltan Horvath  <zoltan@webkit.org>

        Unreviewed. Add Bem Jones-Bey to the list of contributors.

        * Scripts/webkitpy/common/config/committers.py:

2013-03-21  Claudio Saavedra  <csaavedra@igalia.com>

        [GTK] Missing atk in install-dependencies script
        https://bugs.webkit.org/show_bug.cgi?id=112272

        Reviewed by Gustavo Noronha Silva.

        * gtk/install-dependencies: Add missing atk dependency.

2013-03-21  Claudio Saavedra  <csaavedra@igalia.com>

        [GTK] Missing backslash in install-dependencies script
        https://bugs.webkit.org/show_bug.cgi?id=112907

        Reviewed by Philippe Normand.

        * gtk/install-dependencies: Add missing backslash to dependencies
        list.

2013-03-20  Ryosuke Niwa  <rniwa@webkit.org>

        EWS bots have stopped uploading results to bugzilla
        https://bugs.webkit.org/show_bug.cgi?id=101091

        Reviewed by Adam Barth.

        The bug was caused by LayoutTestResultsReader passing a relative file path to the archive zip
        to workspace.archive_zip. Because archive_zip uses the results directory as the working directory,
        this relative file path resoled to a file inside a non-existent directory for "zip".

        Fixed the bug by resolving both test results directory and zip archive paths in
        LayoutTestResultsReader.archive.

        Also made workspace.create_zip print the source_path so that we may debug these issues more easily
        in the future.

        * Scripts/webkitpy/common/system/filesystem_mock.py:
        (MockFileSystem.splitext): Don't assume the entire file path is a file extension when there is no ".".

        * Scripts/webkitpy/common/system/workspace.py:
        (Workspace.create_zip): Log the source path when "zip" failed.

        * Scripts/webkitpy/common/system/workspace_mock.py:
        (MockWorkspace.create_zip): Record zip_path and source_path for testing.

        * Scripts/webkitpy/common/system/workspace_unittest.py:
        (WorkspaceTest.test_create_zip_exception): Test that.

        * Scripts/webkitpy/tool/bot/layouttestresultsreader.py:
        (LayoutTestResultsReader.archive): Resolve paths before passing them to workspace.create_zip.
        This is the actual bug fix.

        * Scripts/webkitpy/tool/bot/layouttestresultsreader_unittest.py:
        (test_archive_last_layout_test_results_with_relative_path): Added a test case.

2013-03-20  Jochen Eisinger  <jochen@chromium.org>

        [chromium] move WebThemeEngine implementations to TestRunner library
        https://bugs.webkit.org/show_bug.cgi?id=112751

        Reviewed by Adam Barth.

        * DumpRenderTree/DumpRenderTree.gyp/DumpRenderTree.gyp:
        * DumpRenderTree/DumpRenderTree.gypi:
        * DumpRenderTree/chromium/TestRunner/public/WebTestInterfaces.h:
        (WebKit):
        * DumpRenderTree/chromium/TestRunner/src/TestInterfaces.cpp:
        (WebTestRunner::TestInterfaces::themeEngine):
        (WebTestRunner):
        * DumpRenderTree/chromium/TestRunner/src/TestInterfaces.h:
        (WebKit):
        (TestInterfaces):
        * DumpRenderTree/chromium/TestRunner/src/WebTestInterfaces.cpp:
        (WebTestRunner::WebTestInterfaces::themeEngine):
        (WebTestRunner):
        * DumpRenderTree/chromium/TestRunner/src/WebTestThemeControlWin.cpp: Renamed from Tools/DumpRenderTree/chromium/WebThemeControlDRTWin.cpp.
        (WebTestRunner::WebTestThemeControlWin::WebTestThemeControlWin):
        (WebTestRunner):
        (WebTestRunner::WebTestThemeControlWin::~WebTestThemeControlWin):
        (WebTestRunner::WebTestThemeControlWin::box):
        (WebTestRunner::WebTestThemeControlWin::line):
        (WebTestRunner::WebTestThemeControlWin::triangle):
        (WebTestRunner::WebTestThemeControlWin::roundRect):
        (WebTestRunner::WebTestThemeControlWin::oval):
        (WebTestRunner::WebTestThemeControlWin::circle):
        (WebTestRunner::WebTestThemeControlWin::nestedBoxes):
        (WebTestRunner::WebTestThemeControlWin::markState):
        (WebTestRunner::WebTestThemeControlWin::draw):
        (WebTestRunner::WebTestThemeControlWin::drawTextField):
        (WebTestRunner::WebTestThemeControlWin::drawProgressBar):
        * DumpRenderTree/chromium/TestRunner/src/WebTestThemeControlWin.h: Renamed from Tools/DumpRenderTree/chromium/WebThemeControlDRTWin.h.
        (WebTestRunner):
        (WebTestThemeControlWin):
        * DumpRenderTree/chromium/TestRunner/src/WebTestThemeEngineMac.h: Renamed from Tools/DumpRenderTree/chromium/WebThemeEngineDRTMac.h.
        (WebTestRunner):
        (WebTestThemeEngineMac):
        * DumpRenderTree/chromium/TestRunner/src/WebTestThemeEngineMac.mm: Renamed from Tools/DumpRenderTree/chromium/WebThemeEngineDRTMac.mm.
        (+[FakeActiveWindow alwaysActiveWindow]):
        (+[FakeActiveWindow alwaysInactiveWindow]):
        (-[FakeActiveWindow initWithActiveControls:]):
        (-[FakeActiveWindow _hasActiveControls]):
        (WebTestRunner::WebTestThemeEngineMac::paintScrollbarThumb):
        (WebTestRunner):
        (WebTestRunner::WebTestThemeEngineMac::paintHIThemeScrollbarThumb):
        (WebTestRunner::WebTestThemeEngineMac::paintNSScrollerScrollbarThumb):
        * DumpRenderTree/chromium/TestRunner/src/WebTestThemeEngineWin.cpp: Added.
        (WebTestRunner::WebTestThemeEngineWin::paintButton):
        (WebTestRunner):
        (WebTestRunner::WebTestThemeEngineWin::paintMenuList):
        (WebTestRunner::WebTestThemeEngineWin::paintScrollbarArrow):
        (WebTestRunner::WebTestThemeEngineWin::paintScrollbarThumb):
        (WebTestRunner::WebTestThemeEngineWin::paintScrollbarTrack):
        (WebTestRunner::WebTestThemeEngineWin::paintSpinButton):
        (WebTestRunner::WebTestThemeEngineWin::paintTextField):
        (WebTestRunner::WebTestThemeEngineWin::paintTrackbar):
        (WebTestRunner::WebTestThemeEngineWin::paintProgressBar):
        (WebTestRunner::WebTestThemeEngineWin::getSize):
        * DumpRenderTree/chromium/TestRunner/src/WebTestThemeEngineWin.h: Renamed from Tools/DumpRenderTree/chromium/WebThemeEngineDRTWin.h.
        (WebTestRunner):
        (WebTestThemeEngineWin):
        (WebTestRunner::WebTestThemeEngineWin::WebTestThemeEngineWin):
        * DumpRenderTree/chromium/TestShell.cpp:
        (TestShell::initialize):
        * DumpRenderTree/chromium/TestShell.h:
        (WebKit):
        * DumpRenderTree/chromium/TestShellMac.mm:
        (platformInit):
        * DumpRenderTree/chromium/TestShellWin.cpp:
        (platformInit):
        * DumpRenderTree/chromium/WebThemeEngineDRTWin.cpp: Removed.

2013-03-20  Brent Fulgham  <bfulgham@webkit.org>

        [WinCairo] Unreviewed build fix for TestWebKitAPI under VS2010

        * TestWebKitAPI/TestWebKitAPI.vcxproj/TestWebKitAPICommonWinCairo.props: Added.
        New property sheet that does not link against CoreFoundation and
        CFNetwork.
        * TestWebKitAPI/TestWebKitAPI.vcxproj/TestWebKitAPIDebugWinCairo.props:
        Use new TestWebKitAPICommonWinCairo property sheet.
        * TestWebKitAPI/TestWebKitAPI.vcxproj/TestWebKitAPIReleaseWinCairo.props:
        Ditto.

2013-03-20  Brent Fulgham  <bfulgham@webkit.org>

        [WinCairo] Unreviewed build fix for VS2010.

        Had to add WinCairo-specific property sheets to deal with some
        library and path differences with the main Apple port.

        * DumpRenderTree/DumpRenderTree.vcxproj/DumpRenderTree/DumpRenderTree.vcxproj:
        * DumpRenderTree/DumpRenderTree.vcxproj/DumpRenderTree/DumpRenderTreeDebugWinCairo.props:
        * DumpRenderTree/DumpRenderTree.vcxproj/DumpRenderTree/DumpRenderTreeReleaseWinCairo.props:
        * DumpRenderTree/DumpRenderTree.vcxproj/ImageDiff/ImageDiffCommonWinCairo.props: Added.
        * DumpRenderTree/DumpRenderTree.vcxproj/ImageDiff/ImageDiffDebugWinCairo.props: Added.
        * DumpRenderTree/DumpRenderTree.vcxproj/ImageDiff/ImageDiffReleaseWinCairo.props: Added.

2013-03-20  Benjamin Poulain  <bpoulain@apple.com>

        [WK2] Remove VIEW_MODE_CSS_MEDIA from WebKit2
        https://bugs.webkit.org/show_bug.cgi?id=112849

        Reviewed by Sam Weinig.

        * WebKitTestRunner/InjectedBundle/Bindings/TestRunner.idl:
        * WebKitTestRunner/InjectedBundle/TestRunner.cpp:
        * WebKitTestRunner/InjectedBundle/TestRunner.h:

2013-03-20  Brent Fulgham  <bfulgham@webkit.org>

        [WinCairo] Build WebKit Tools under VS2010
        https://bugs.webkit.org/show_bug.cgi?id=112821

        Reviewed by Tim Horton.

        * DumpRenderTree/DumpRenderTree.vcxproj/DumpRenderTree/DumpRenderTree.vcxproj:
        Add WinCairo-specific build target.
        * DumpRenderTree/DumpRenderTree.vcxproj/DumpRenderTree/DumpRenderTreeDebugWinCairo.props: Added.
        * DumpRenderTree/DumpRenderTree.vcxproj/DumpRenderTree/DumpRenderTreeLauncher.vcxproj: Add WinCairo-specific build target.
        * DumpRenderTree/DumpRenderTree.vcxproj/DumpRenderTree/DumpRenderTreeReleaseWinCairo.props: Added.
        * DumpRenderTree/DumpRenderTree.vcxproj/DumpRenderTree/DumpRenderTreeWinCairo.props: Added.
        * DumpRenderTree/DumpRenderTree.vcxproj/ImageDiff/ImageDiff.vcxproj:
        Add WinCairo-specific build target.
        * DumpRenderTree/DumpRenderTree.vcxproj/ImageDiff/ImageDiffLauncher.vcxproj:
        * DumpRenderTree/DumpRenderTree.vcxproj/TestNetscapePlugin/TestNetscapePlugin.vcxproj:
        Add WinCairo-specific build target.
        * TestWebKitAPI/TestWebKitAPI.vcxproj/TestWebKitAPI.vcxproj: Add
        WinCairo-specific build target.
        * TestWebKitAPI/TestWebKitAPI.vcxproj/TestWebKitAPIDebugWinCairo.props: Added.
        * TestWebKitAPI/TestWebKitAPI.vcxproj/TestWebKitAPIReleaseWinCairo.props: Added.
        * WinLauncher/WinLauncher.vcxproj/WinLauncher.vcxproj: Add WinCairo-
        specific build target.
        * WinLauncher/WinLauncher.vcxproj/WinLauncherLib.vcxproj: Add
        WinCairo-specific build target.
        * win/record-memory/record-memory.vcxproj: Add WinCairo target.
        * win/record-memory/record-memoryDebugWinCairo.props: Added.
        * win/record-memory/record-memoryReleaseWinCairo.props: Added.

2013-03-20  Roger Fong  <roger_fong@apple.com>

        API test gardening AppleWin port.

        The BitmapImageEmptyFrameTest should only be tested on Cairo not on AppleWin port.

        * TestWebKitAPI/TestWebKitAPI.vcxproj/TestWebKitAPI.vcxproj:
        * TestWebKitAPI/win/TestWebKitAPI.vcproj:

2013-03-20  Roger Fong  <roger_fong@apple.com>

        Test fix for Win EWS bots, catch various errors and restart script if necessary.

        * EWSTools/start-queue-win.sh:

2013-03-20  Sami Kyostila  <skyostil@chromium.org>

        Unreviewed, add myself to committers.py.

2013-03-20  Caio Marcelo de Oliveira Filho  <caio.oliveira@openbossa.org>

        Unreviewed. Adding another email for me.

        * Scripts/webkitpy/common/config/committers.py:

2013-03-20  Justin Novosad  <junov@google.com>

        [Chromium] Code cleanup: removing support for non-deferred 2d canvas rendering
        https://bugs.webkit.org/show_bug.cgi?id=112605

        Reviewed by James Robinson.

        Deleting all the code that was used for propagating and supporting
        the Chromium setting for disabling deferred 2d canvas rendering.

        * DumpRenderTree/chromium/DumpRenderTree.cpp:
        (main):
        * DumpRenderTree/chromium/TestRunner/public/WebPreferences.h:
        * DumpRenderTree/chromium/TestRunner/src/WebPreferences.cpp:
        (WebTestRunner::WebPreferences::reset):
        (WebTestRunner::WebPreferences::applyTo):
        * DumpRenderTree/chromium/TestShell.cpp:
        (TestShell::TestShell):
        (TestShell::resetWebSettings):
        (TestShell::runFileTest):
        * DumpRenderTree/chromium/TestShell.h:
        (TestShell):

2013-03-20  Ádám Kallai  <kadam@inf.u-szeged.hu>

        [Qt] Qt 4.8 tool related stuff removal from webkitpy.
        https://bugs.webkit.org/show_bug.cgi?id=112699.

        Reviewed by Adam Barth.

        * Scripts/webkitpy/layout_tests/port/qt.py:
        (QtPort._search_paths):
        (QtPort._port_specific_expectations_files):
        * Scripts/webkitpy/layout_tests/port/qt_unittest.py:
        (QtPortTest):
        (QtPortTest._assert_search_path):
        (QtPortTest._assert_expectations_files):

2013-03-19  Allan Sandfeld Jensen  <allan.jensen@digia.com>

        [Qt] Enable kerning by default
        https://bugs.webkit.org/show_bug.cgi?id=112704

        Reviewed by Jocelyn Turcotte.

        Disable kerning by default, since some reference test expectations
        expect kerning to be default off.

        * DumpRenderTree/qt/TestRunnerQt.cpp:
        (TestRunnerQt::reset):
        * WebKitTestRunner/InjectedBundle/qt/ActivateFontsQt.cpp:
        (WTR::activateFonts):

2013-03-20  Zeno Albisser  <zeno@webkit.org>

        [Qt] Remove empty function stubs from TestRunnerQt.
        https://bugs.webkit.org/show_bug.cgi?id=112799

        We are reducing the code in TestRunnerQt step by step,
        in order to finally replace all of it with the generic
        TestRunner implementation.
        This patch removes several simple function stubs that
        currently do not implement any actual functionality.

        Reviewed by Kenneth Rohde Christiansen.

        * DumpRenderTree/qt/TestRunnerQt.cpp:
        * DumpRenderTree/qt/TestRunnerQt.h:
        (TestRunnerQt):

2013-03-20  Sudarsana Nagineni  <sudarsana.nagineni@intel.com>

        [EFL][WK2] Don't show the SearchBar by default when MiniBrowser opened
        https://bugs.webkit.org/show_bug.cgi?id=112687

        Reviewed by Kenneth Rohde Christiansen.

        Hide the SearchBar by default on window creation.

        * MiniBrowser/efl/main.c:
        (window_create):

2013-03-20  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r146304.
        http://trac.webkit.org/changeset/146304
        https://bugs.webkit.org/show_bug.cgi?id=112788

        to many expectations to update (Requested by antonm on
        #webkit).

        * DumpRenderTree/DumpRenderTree.gyp/DumpRenderTree.gyp:
        * DumpRenderTree/DumpRenderTree.gypi:
        * DumpRenderTree/chromium/TestRunner/public/WebTestInterfaces.h:
        (WebKit):
        * DumpRenderTree/chromium/TestRunner/src/TestInterfaces.cpp:
        * DumpRenderTree/chromium/TestRunner/src/TestInterfaces.h:
        (TestInterfaces):
        * DumpRenderTree/chromium/TestRunner/src/WebTestInterfaces.cpp:
        * DumpRenderTree/chromium/TestRunner/src/WebTestThemeEngineWin.cpp: Removed.
        * DumpRenderTree/chromium/TestShell.cpp:
        (TestShell::initialize):
        * DumpRenderTree/chromium/TestShell.h:
        (WebKit):
        * DumpRenderTree/chromium/TestShellMac.mm:
        (platformInit):
        * DumpRenderTree/chromium/TestShellWin.cpp:
        (platformInit):
        * DumpRenderTree/chromium/WebThemeControlDRTWin.cpp: Renamed from Tools/DumpRenderTree/chromium/TestRunner/src/WebTestThemeControlWin.cpp.
        (WebThemeControlDRTWin::WebThemeControlDRTWin):
        (WebThemeControlDRTWin::~WebThemeControlDRTWin):
        (WebThemeControlDRTWin::box):
        (WebThemeControlDRTWin::line):
        (WebThemeControlDRTWin::triangle):
        (WebThemeControlDRTWin::roundRect):
        (WebThemeControlDRTWin::oval):
        (WebThemeControlDRTWin::circle):
        (WebThemeControlDRTWin::nestedBoxes):
        (WebThemeControlDRTWin::markState):
        (WebThemeControlDRTWin::draw):
        (WebThemeControlDRTWin::drawTextField):
        (WebThemeControlDRTWin::drawProgressBar):
        * DumpRenderTree/chromium/WebThemeControlDRTWin.h: Renamed from Tools/DumpRenderTree/chromium/TestRunner/src/WebTestThemeControlWin.h.
        (WebThemeControlDRTWin):
        * DumpRenderTree/chromium/WebThemeEngineDRTMac.h: Renamed from Tools/DumpRenderTree/chromium/TestRunner/src/WebTestThemeEngineMac.h.
        (WebThemeEngineDRTMac):
        * DumpRenderTree/chromium/WebThemeEngineDRTMac.mm: Renamed from Tools/DumpRenderTree/chromium/TestRunner/src/WebTestThemeEngineMac.mm.
        (+[FakeActiveWindow alwaysActiveWindow]):
        (+[FakeActiveWindow alwaysInactiveWindow]):
        (-[FakeActiveWindow initWithActiveControls:]):
        (-[FakeActiveWindow _hasActiveControls]):
        (WebThemeEngineDRTMac::paintScrollbarThumb):
        (stateToHIEnableState):
        (WebThemeEngineDRTMac::paintHIThemeScrollbarThumb):
        (WebThemeEngineDRTMac::paintNSScrollerScrollbarThumb):
        * DumpRenderTree/chromium/WebThemeEngineDRTWin.cpp: Added.
        (webRectToSkIRect):
        (drawControl):
        (drawTextField):
        (drawProgressBar):
        (WebThemeEngineDRTWin::paintButton):
        (WebThemeEngineDRTWin::paintMenuList):
        (WebThemeEngineDRTWin::paintScrollbarArrow):
        (WebThemeEngineDRTWin::paintScrollbarThumb):
        (WebThemeEngineDRTWin::paintScrollbarTrack):
        (WebThemeEngineDRTWin::paintSpinButton):
        (WebThemeEngineDRTWin::paintTextField):
        (WebThemeEngineDRTWin::paintTrackbar):
        (WebThemeEngineDRTWin::paintProgressBar):
        (WebThemeEngineDRTWin::getSize):
        * DumpRenderTree/chromium/WebThemeEngineDRTWin.h: Renamed from Tools/DumpRenderTree/chromium/TestRunner/src/WebTestThemeEngineWin.h.
        (WebThemeEngineDRTWin):
        (WebThemeEngineDRTWin::WebThemeEngineDRTWin):

2013-03-19  Allan Sandfeld Jensen  <allan.jensen@digia.com>

        [Qt] Support -webkit-font-smoothing
        https://bugs.webkit.org/show_bug.cgi?id=106009

        Reviewed by Jocelyn Turcotte.

        Set shouldUseFontSmoothing to false to match WebKitTestRunner.

        * DumpRenderTree/qt/TestRunnerQt.cpp:
        (TestRunnerQt::reset):

2013-03-20  Krzysztof Czech  <k.czech@samsung.com>

        [GTK] accessibility/aria-scrollbar-role.html is failing
        https://bugs.webkit.org/show_bug.cgi?id=98358

        Reviewed by Martin Robinson.

        Adds support for checking accessibility object's orientation.
        Orientation is checked by retrieving proper state of accessibility object.

        * DumpRenderTree/atk/AccessibilityUIElementAtk.cpp:
        (checkElementState):
        (AccessibilityUIElement::orientation):
        * WebKitTestRunner/InjectedBundle/atk/AccessibilityUIElementAtk.cpp:
        (WTR::AccessibilityUIElement::orientation):

2013-03-19  Jochen Eisinger  <jochen@chromium.org>

        [chromium] move WebThemeEngine implementations to TestRunner library
        https://bugs.webkit.org/show_bug.cgi?id=112751

        Reviewed by Adam Barth.

        * DumpRenderTree/DumpRenderTree.gyp/DumpRenderTree.gyp:
        * DumpRenderTree/DumpRenderTree.gypi:
        * DumpRenderTree/chromium/TestRunner/public/WebTestInterfaces.h:
        (WebKit):
        * DumpRenderTree/chromium/TestRunner/src/TestInterfaces.cpp:
        (WebTestRunner::TestInterfaces::themeEngine):
        (WebTestRunner):
        * DumpRenderTree/chromium/TestRunner/src/TestInterfaces.h:
        (WebKit):
        (TestInterfaces):
        * DumpRenderTree/chromium/TestRunner/src/WebTestInterfaces.cpp:
        (WebTestRunner::WebTestInterfaces::themeEngine):
        (WebTestRunner):
        * DumpRenderTree/chromium/TestRunner/src/WebTestThemeControlWin.cpp: Renamed from Tools/DumpRenderTree/chromium/WebThemeControlDRTWin.cpp.
        (WebTestRunner::WebTestThemeControlWin::WebTestThemeControlWin):
        (WebTestRunner):
        (WebTestRunner::WebTestThemeControlWin::~WebTestThemeControlWin):
        (WebTestRunner::WebTestThemeControlWin::box):
        (WebTestRunner::WebTestThemeControlWin::line):
        (WebTestRunner::WebTestThemeControlWin::triangle):
        (WebTestRunner::WebTestThemeControlWin::roundRect):
        (WebTestRunner::WebTestThemeControlWin::oval):
        (WebTestRunner::WebTestThemeControlWin::circle):
        (WebTestRunner::WebTestThemeControlWin::nestedBoxes):
        (WebTestRunner::WebTestThemeControlWin::markState):
        (WebTestRunner::WebTestThemeControlWin::draw):
        (WebTestRunner::WebTestThemeControlWin::drawTextField):
        (WebTestRunner::WebTestThemeControlWin::drawProgressBar):
        * DumpRenderTree/chromium/TestRunner/src/WebTestThemeControlWin.h: Renamed from Tools/DumpRenderTree/chromium/WebThemeControlDRTWin.h.
        (WebTestRunner):
        (WebTestThemeControlWin):
        * DumpRenderTree/chromium/TestRunner/src/WebTestThemeEngineMac.h: Renamed from Tools/DumpRenderTree/chromium/WebThemeEngineDRTMac.h.
        (WebTestRunner):
        (WebTestThemeEngineMac):
        * DumpRenderTree/chromium/TestRunner/src/WebTestThemeEngineMac.mm: Renamed from Tools/DumpRenderTree/chromium/WebThemeEngineDRTMac.mm.
        (+[FakeActiveWindow alwaysActiveWindow]):
        (+[FakeActiveWindow alwaysInactiveWindow]):
        (-[FakeActiveWindow initWithActiveControls:]):
        (-[FakeActiveWindow _hasActiveControls]):
        (WebTestRunner::WebTestThemeEngineMac::paintScrollbarThumb):
        (WebTestRunner):
        (WebTestRunner::WebTestThemeEngineMac::paintHIThemeScrollbarThumb):
        (WebTestRunner::WebTestThemeEngineMac::paintNSScrollerScrollbarThumb):
        * DumpRenderTree/chromium/TestRunner/src/WebTestThemeEngineWin.cpp: Added.
        (WebTestRunner::WebTestThemeEngineWin::paintButton):
        (WebTestRunner):
        (WebTestRunner::WebTestThemeEngineWin::paintMenuList):
        (WebTestRunner::WebTestThemeEngineWin::paintScrollbarArrow):
        (WebTestRunner::WebTestThemeEngineWin::paintScrollbarThumb):
        (WebTestRunner::WebTestThemeEngineWin::paintScrollbarTrack):
        (WebTestRunner::WebTestThemeEngineWin::paintSpinButton):
        (WebTestRunner::WebTestThemeEngineWin::paintTextField):
        (WebTestRunner::WebTestThemeEngineWin::paintTrackbar):
        (WebTestRunner::WebTestThemeEngineWin::paintProgressBar):
        (WebTestRunner::WebTestThemeEngineWin::getSize):
        * DumpRenderTree/chromium/TestRunner/src/WebTestThemeEngineWin.h: Renamed from Tools/DumpRenderTree/chromium/WebThemeEngineDRTWin.h.
        (WebTestRunner):
        (WebTestThemeEngineWin):
        (WebTestRunner::WebTestThemeEngineWin::WebTestThemeEngineWin):
        * DumpRenderTree/chromium/TestShell.cpp:
        (TestShell::initialize):
        * DumpRenderTree/chromium/TestShell.h:
        (WebKit):
        * DumpRenderTree/chromium/TestShellMac.mm:
        (platformInit):
        * DumpRenderTree/chromium/TestShellWin.cpp:
        (platformInit):
        * DumpRenderTree/chromium/WebThemeEngineDRTWin.cpp: Removed.

2013-03-19  Tony Chang  <tony@chromium.org>

        Move testRunner.setTouchDragDropEnabled to internals.settings
        https://bugs.webkit.org/show_bug.cgi?id=112739

        Reviewed by Adam Barth.

        * DumpRenderTree/chromium/TestRunner/src/TestRunner.cpp:
        (WebTestRunner::TestRunner::TestRunner): Remove unnecessary code.
        * DumpRenderTree/chromium/TestRunner/src/TestRunner.h:
        (TestRunner): Remove unnecessary code.
        * DumpRenderTree/chromium/TestRunner/src/WebPreferences.cpp:
        (WebTestRunner::WebPreferences::reset):
        (WebTestRunner::WebPreferences::applyTo): Always set to false.

2013-03-19  Mark Pilgrim  <pilgrim@chromium.org>

        [Chromium] Migrate to WEBKIT_USE_NEW_WEBFILESYSTEMTYPE
        https://bugs.webkit.org/show_bug.cgi?id=112754

        Reviewed by Darin Fisher.

        Remove old code behind ifndef WEBKIT_USE_NEW_WEBFILESYSTEMTYPE
        now that it's always defined.

        * DumpRenderTree/chromium/WebViewHost.cpp:
        * DumpRenderTree/chromium/WebViewHost.h:
        (WebViewHost):

2013-03-19  Kenneth Russell  <kbr@google.com>

        Unreviewed, rolling out r146290.
        http://trac.webkit.org/changeset/146290
        https://bugs.webkit.org/show_bug.cgi?id=112751

        Broke Chromium Mac build.

        * DumpRenderTree/DumpRenderTree.gyp/DumpRenderTree.gyp:
        * DumpRenderTree/DumpRenderTree.gypi:
        * DumpRenderTree/chromium/TestRunner/public/WebTestInterfaces.h:
        (WebKit):
        * DumpRenderTree/chromium/TestRunner/src/TestInterfaces.cpp:
        * DumpRenderTree/chromium/TestRunner/src/TestInterfaces.h:
        (TestInterfaces):
        * DumpRenderTree/chromium/TestRunner/src/WebTestInterfaces.cpp:
        * DumpRenderTree/chromium/TestRunner/src/WebTestThemeEngineWin.cpp: Removed.
        * DumpRenderTree/chromium/TestShell.cpp:
        (TestShell::initialize):
        * DumpRenderTree/chromium/TestShell.h:
        (WebKit):
        * DumpRenderTree/chromium/TestShellMac.mm:
        (platformInit):
        * DumpRenderTree/chromium/TestShellWin.cpp:
        (platformInit):
        * DumpRenderTree/chromium/WebThemeControlDRTWin.cpp: Renamed from Tools/DumpRenderTree/chromium/TestRunner/src/WebTestThemeControlWin.cpp.
        (WebThemeControlDRTWin::WebThemeControlDRTWin):
        (WebThemeControlDRTWin::~WebThemeControlDRTWin):
        (WebThemeControlDRTWin::box):
        (WebThemeControlDRTWin::line):
        (WebThemeControlDRTWin::triangle):
        (WebThemeControlDRTWin::roundRect):
        (WebThemeControlDRTWin::oval):
        (WebThemeControlDRTWin::circle):
        (WebThemeControlDRTWin::nestedBoxes):
        (WebThemeControlDRTWin::markState):
        (WebThemeControlDRTWin::draw):
        (WebThemeControlDRTWin::drawTextField):
        (WebThemeControlDRTWin::drawProgressBar):
        * DumpRenderTree/chromium/WebThemeControlDRTWin.h: Renamed from Tools/DumpRenderTree/chromium/TestRunner/src/WebTestThemeControlWin.h.
        (WebThemeControlDRTWin):
        * DumpRenderTree/chromium/WebThemeEngineDRTMac.h: Renamed from Tools/DumpRenderTree/chromium/TestRunner/src/WebTestThemeEngineMac.h.
        (WebThemeEngineDRTMac):
        * DumpRenderTree/chromium/WebThemeEngineDRTMac.mm: Renamed from Tools/DumpRenderTree/chromium/TestRunner/src/WebTestThemeEngineMac.mm.
        (+[FakeActiveWindow alwaysActiveWindow]):
        (+[FakeActiveWindow alwaysInactiveWindow]):
        (-[FakeActiveWindow initWithActiveControls:]):
        (-[FakeActiveWindow _hasActiveControls]):
        (WebThemeEngineDRTMac::paintScrollbarThumb):
        (stateToHIEnableState):
        (WebThemeEngineDRTMac::paintHIThemeScrollbarThumb):
        (WebThemeEngineDRTMac::paintNSScrollerScrollbarThumb):
        * DumpRenderTree/chromium/WebThemeEngineDRTWin.cpp: Added.
        (webRectToSkIRect):
        (drawControl):
        (drawTextField):
        (drawProgressBar):
        (WebThemeEngineDRTWin::paintButton):
        (WebThemeEngineDRTWin::paintMenuList):
        (WebThemeEngineDRTWin::paintScrollbarArrow):
        (WebThemeEngineDRTWin::paintScrollbarThumb):
        (WebThemeEngineDRTWin::paintScrollbarTrack):
        (WebThemeEngineDRTWin::paintSpinButton):
        (WebThemeEngineDRTWin::paintTextField):
        (WebThemeEngineDRTWin::paintTrackbar):
        (WebThemeEngineDRTWin::paintProgressBar):
        (WebThemeEngineDRTWin::getSize):
        * DumpRenderTree/chromium/WebThemeEngineDRTWin.h: Renamed from Tools/DumpRenderTree/chromium/TestRunner/src/WebTestThemeEngineWin.h.
        (WebThemeEngineDRTWin):
        (WebThemeEngineDRTWin::WebThemeEngineDRTWin):

2013-03-19  Krzysztof Czech  <k.czech@samsung.com>

        [EFL] canvas-fallback-content.html is failing
        https://bugs.webkit.org/show_bug.cgi?id=111998

        Reviewed by Chris Fleizach.

        Adds support for getting platform name.

        * DumpRenderTree/TestRunner.cpp:
        (TestRunner::staticValues):
        * DumpRenderTree/TestRunner.h:
        (TestRunner):
        * DumpRenderTree/efl/TestRunnerEfl.cpp:
        (TestRunner::platformName):

2013-03-19  Jochen Eisinger  <jochen@chromium.org>

        [chromium] move WebThemeEngine implementations to TestRunner library
        https://bugs.webkit.org/show_bug.cgi?id=112751

        Reviewed by Adam Barth.

        * DumpRenderTree/DumpRenderTree.gyp/DumpRenderTree.gyp:
        * DumpRenderTree/DumpRenderTree.gypi:
        * DumpRenderTree/chromium/TestRunner/public/WebTestInterfaces.h:
        (WebKit):
        * DumpRenderTree/chromium/TestRunner/src/TestInterfaces.cpp:
        (WebTestRunner::TestInterfaces::themeEngine):
        (WebTestRunner):
        * DumpRenderTree/chromium/TestRunner/src/TestInterfaces.h:
        (WebKit):
        (TestInterfaces):
        * DumpRenderTree/chromium/TestRunner/src/WebTestInterfaces.cpp:
        (WebTestRunner::WebTestInterfaces::themeEngine):
        (WebTestRunner):
        * DumpRenderTree/chromium/TestRunner/src/WebTestThemeControlWin.cpp: Renamed from Tools/DumpRenderTree/chromium/WebThemeControlDRTWin.cpp.
        (WebTestRunner::WebTestThemeControlWin::WebTestThemeControlWin):
        (WebTestRunner):
        (WebTestRunner::WebTestThemeControlWin::~WebTestThemeControlWin):
        (WebTestRunner::WebTestThemeControlWin::box):
        (WebTestRunner::WebTestThemeControlWin::line):
        (WebTestRunner::WebTestThemeControlWin::triangle):
        (WebTestRunner::WebTestThemeControlWin::roundRect):
        (WebTestRunner::WebTestThemeControlWin::oval):
        (WebTestRunner::WebTestThemeControlWin::circle):
        (WebTestRunner::WebTestThemeControlWin::nestedBoxes):
        (WebTestRunner::WebTestThemeControlWin::markState):
        (WebTestRunner::WebTestThemeControlWin::draw):
        (WebTestRunner::WebTestThemeControlWin::drawTextField):
        (WebTestRunner::WebTestThemeControlWin::drawProgressBar):
        * DumpRenderTree/chromium/TestRunner/src/WebTestThemeControlWin.h: Renamed from Tools/DumpRenderTree/chromium/WebThemeControlDRTWin.h.
        (WebTestRunner):
        (WebTestThemeControlWin):
        * DumpRenderTree/chromium/TestRunner/src/WebTestThemeEngineMac.h: Renamed from Tools/DumpRenderTree/chromium/WebThemeEngineDRTMac.h.
        (WebTestRunner):
        (WebTestThemeEngineMac):
        * DumpRenderTree/chromium/TestRunner/src/WebTestThemeEngineMac.mm: Renamed from Tools/DumpRenderTree/chromium/WebThemeEngineDRTMac.mm.
        (+[FakeActiveWindow alwaysActiveWindow]):
        (+[FakeActiveWindow alwaysInactiveWindow]):
        (-[FakeActiveWindow initWithActiveControls:]):
        (-[FakeActiveWindow _hasActiveControls]):
        (WebTestRunner::WebTestThemeEngineMac::paintScrollbarThumb):
        (WebTestRunner):
        (WebTestRunner::WebTestThemeEngineMac::paintHIThemeScrollbarThumb):
        (WebTestRunner::WebTestThemeEngineMac::paintNSScrollerScrollbarThumb):
        * DumpRenderTree/chromium/TestRunner/src/WebTestThemeEngineWin.cpp: Added.
        (WebTestRunner::WebTestThemeEngineWin::paintButton):
        (WebTestRunner):
        (WebTestRunner::WebTestThemeEngineWin::paintMenuList):
        (WebTestRunner::WebTestThemeEngineWin::paintScrollbarArrow):
        (WebTestRunner::WebTestThemeEngineWin::paintScrollbarThumb):
        (WebTestRunner::WebTestThemeEngineWin::paintScrollbarTrack):
        (WebTestRunner::WebTestThemeEngineWin::paintSpinButton):
        (WebTestRunner::WebTestThemeEngineWin::paintTextField):
        (WebTestRunner::WebTestThemeEngineWin::paintTrackbar):
        (WebTestRunner::WebTestThemeEngineWin::paintProgressBar):
        (WebTestRunner::WebTestThemeEngineWin::getSize):
        * DumpRenderTree/chromium/TestRunner/src/WebTestThemeEngineWin.h: Renamed from Tools/DumpRenderTree/chromium/WebThemeEngineDRTWin.h.
        (WebTestRunner):
        (WebTestThemeEngineWin):
        (WebTestRunner::WebTestThemeEngineWin::WebTestThemeEngineWin):
        * DumpRenderTree/chromium/TestShell.cpp:
        (TestShell::initialize):
        * DumpRenderTree/chromium/TestShell.h:
        (WebKit):
        * DumpRenderTree/chromium/TestShellMac.mm:
        (platformInit):
        * DumpRenderTree/chromium/TestShellWin.cpp:
        (platformInit):
        * DumpRenderTree/chromium/WebThemeEngineDRTWin.cpp: Removed.

2013-03-19  Kenneth Rohde Christiansen  <kenneth@webkit.org> and Mikhail Pozdnyakov  <mikhail.pozdnyakov@intel.com>

        [EFL][WK2] Separate WebView further from EwkView
        https://bugs.webkit.org/show_bug.cgi?id=111591

        Reviewed by Caio Marcelo de Oliveira Filho.

        Updated EFL PlatformWebView to meet the new WKView API and ewk view private API.
        PlatformWKView is pointer to Evas_Object for EFL, as this is more natural and
        since we can afford it having EWKViewGetWKView() private API to access WKView.

        * TestWebKitAPI/PlatformWebView.h:
        * TestWebKitAPI/Tests/WebKit2/efl/WKViewClientWebProcessCallbacks.cpp:
        (TestWebKitAPI::TEST):
        * TestWebKitAPI/efl/PlatformWebView.cpp:
        (TestWebKitAPI::PlatformWebView::PlatformWebView):
        (TestWebKitAPI::PlatformWebView::~PlatformWebView):
        (TestWebKitAPI::PlatformWebView::resizeTo):
        (TestWebKitAPI::PlatformWebView::page):
        (TestWebKitAPI::PlatformWebView::simulateSpacebarKeyPress):
        (TestWebKitAPI::PlatformWebView::simulateMouseMove):
        (TestWebKitAPI::PlatformWebView::simulateRightClick):
        * WebKitTestRunner/PlatformWebView.h:
        * WebKitTestRunner/efl/EventSenderProxyEfl.cpp:
        (WTR::EventSenderProxy::dispatchEvent):
        (WTR::EventSenderProxy::keyDown):
        (WTR::EventSenderProxy::sendTouchEvent):
        (WTR::EventSenderProxy::setTouchModifier):
        * WebKitTestRunner/efl/PlatformWebViewEfl.cpp:
        (WTR::PlatformWebView::PlatformWebView):
        (WTR::PlatformWebView::~PlatformWebView):
        (WTR::PlatformWebView::resizeTo):
        (WTR::PlatformWebView::page):
        (WTR::PlatformWebView::focus):
        (WTR::PlatformWebView::windowSnapshotImage):

2013-03-19  Roger Fong  <roger_fong@apple.com>

        Changes to VS2010 project files should only trigger builds on Windows bots.
        https://bugs.webkit.org/show_bug.cgi?id=112731

        Reviewed by Timothy Horton.

        * BuildSlaveSupport/build.webkit.org-config/wkbuild.py:
        (_should_file_trigger_build):

2013-03-19  Roger Fong  <roger_fong@apple.com>

        Unreviewed. webkitpy tests fix for Windows, runtests.py run-webkit-tests arguments changed.

        * Scripts/webkitpy/tool/steps/runtests.py:
        (RunTests.run):
        * Scripts/webkitpy/tool/steps/runtests_unittest.py:
        (RunTestsTest.test_webkit_run_unit_tests):

2013-03-19  Julie Parent  <jparent@chromium.org>

        Dashboards: Introduce history namespace and unit tests.
        https://bugs.webkit.org/show_bug.cgi?id=112645

        Reviewed by Ojan Vafai.
        
        Laying the framework for introducing the new history object and
        namespace.  This moves only static functions into the history
        namespace, and moves corresponding unit tests into seperate
        unit test file.

        * TestResultServer/static-dashboards/aggregate_results.html:
        * TestResultServer/static-dashboards/dashboard_base.js:
        (parseCrossDashboardParameters):
        (parseDashboardSpecificParameters):
        (parseParameters):
        * TestResultServer/static-dashboards/flakiness_dashboard.html:
        * TestResultServer/static-dashboards/flakiness_dashboard.js:
        (.switch.return):
        * TestResultServer/static-dashboards/flakiness_dashboard_unittests.js:
        * TestResultServer/static-dashboards/history.js: Added.
        * TestResultServer/static-dashboards/history_unittests.js: Added.
        * TestResultServer/static-dashboards/loader.js:
        (.):
        * TestResultServer/static-dashboards/run-embedded-unittests.html:
        * TestResultServer/static-dashboards/run-unittests.html:
        * TestResultServer/static-dashboards/timeline_explorer.html:
        * TestResultServer/static-dashboards/timeline_explorer.js:
        * TestResultServer/static-dashboards/treemap.html:
        * TestResultServer/static-dashboards/treemap.js:
        (.switch.return):
        * TestResultServer/static-dashboards/ui.js:

2013-03-19  Daniel Bates  <dbates@webkit.org>

        svn-apply has trouble applying a patch that adds a Windows newline to EOF
        https://bugs.webkit.org/show_bug.cgi?id=112732

        Reviewed by Eric Seidel.

        Fixes an issues where a diff that adds a Windows line ending (CRLF) to the end
        of an existing file cannot be applied.

        In particular, svn-{apply, unapply} compensate for differences in line endings
        by converting the line endings in a diff to match the line endings in the target
        file. The diff(1) command precedes the last line of a diff that adds a newline
        character to the end of a file with the special character sequence "\n \\ No newline at end of file\n"
        Svn-{apply, unapply} converts the newline characters (\n) in this character sequence
        to \r\n (CRLF) when the target file has Windows line endings and patch(1) complains
        when applying this modified diff. Instead, svn-{apply, unapply} should not modify
        the newline characters in this special character sequence to match the line endings
        in the target file.

        * Scripts/VCSUtils.pm:
        (parseDiff):
        * Scripts/webkitperl/VCSUtils_unittest/parseDiffWithMockFiles.pl:
        Added tests:
            - "SVN: Patch adds Windows newline to EOF and IndexPath has Windows line endings"
            - "SVN: Patch adds Mac newline to EOF and IndexPath has Mac line endings"
            - "Git: Patch adds Windows newline to EOF and IndexPath has Windows line endings"
            - "Git: Patch adds Mac newline to EOF and IndexPath has Mac line endings"
        (escapeNewLineCharacters): Added.
        (toMacLineEndings): Added.

2013-03-19  James Robinson  <jamesr@chromium.org>

        [chromium] Remove compositor settings that don't go through WebKit
        https://bugs.webkit.org/show_bug.cgi?id=112718

        Reviewed by Adam Barth.

        * DumpRenderTree/chromium/DumpRenderTree.cpp:
        (main):
        * DumpRenderTree/chromium/TestRunner/public/WebPreferences.h:
        * DumpRenderTree/chromium/TestRunner/src/WebPreferences.cpp:
        (WebTestRunner::WebPreferences::reset):
        (WebTestRunner::WebPreferences::applyTo):
        * DumpRenderTree/chromium/TestShell.cpp:
        (TestShell::TestShell):
        (TestShell::resetWebSettings):
        * DumpRenderTree/chromium/TestShell.h:
        (TestShell):

2013-03-19  Dirk Pranke  <dpranke@chromium.org>

        Unreviewed, rolling out r146101.
        https://bugs.webkit.org/show_bug.cgi?id=111884

        re-enable custom freetype on asan; this needs to be on
        now that the bot is running lucid.

        * DumpRenderTree/DumpRenderTree.gyp/DumpRenderTree.gyp:

2013-03-19  Alberto Garcia  <agarcia@igalia.com>

        [BlackBerry] Enable USE_SYSTEM_MALLOC by default
        https://bugs.webkit.org/show_bug.cgi?id=112365

        Reviewed by Benjamin Poulain.

        Enable USE_SYSTEM_MALLOC by default via FeatureList.pm instead of
        harcoding it in wtf/Platform.h

        * Scripts/webkitperl/FeatureList.pm:

2013-03-19  Allan Sandfeld Jensen  <allan.jensen@digia.com>

        [Qt] Make ImageDiff similar to Chromium's ImageDiff
        https://bugs.webkit.org/show_bug.cgi?id=94782

        Based on patch by Csaba Osztrogonác.
        Reviewed by Jocelyn Turcotte.

        The diff image is generated with bright red indicating errors, but letting the base image
        shine through so the context of the error-pixel can be identified.

        * DumpRenderTree/qt/ImageDiff.cpp:
        (main):

2013-03-18  Andras Becsi  <andras.becsi@digia.com>

        [Qt] Fix the build of QtTestBrowser if the print preview dialog is disabled in Qt

        Rubber-stamped by Csaba Osztrogonác.

        Check for QT_NO_PRINTPREVIEWDIALOG instead of QT_NO_PRINTER
        since the latter might not cover the former.

        * QtTestBrowser/launcherwindow.cpp:
        (LauncherWindow::print):

2013-03-18  Simon Fraser  <simon.fraser@apple.com>

        Style tweeks to default.css.
        
        Rubber-stamped by David Kilzer.
        
        Give visited links a different color to other links, so you can
        see which builds you've viewed.
        
        Make the <small> text less tiny.

        * BuildSlaveSupport/build.webkit.org-config/public_html/default.css:
        (small):
        (a:link,a:visited,a:active):
        (a:visited):

2013-03-18  Ryosuke Niwa  <rniwa@webkit.org>

        Remove the temporary hack for webkit-perf.appspot.com and cleanup the code
        https://bugs.webkit.org/show_bug.cgi?id=112494

        Reviewed by Dirk Pranke.

        Removed the code to override webkit-perf.appspot.com by perf.webkit.org.
        Also merged two pairs of methods to cleanup the code.

        * Scripts/webkitpy/performance_tests/perftestsrunner.py:
        (PerfTestsRunner.run): Merged _upload_and_show_results.
        (PerfTestsRunner._generate_results): Merged _generate_output_files.

2013-03-18  Dirk Pranke  <dpranke@chromium.org>

        [chromium] build xdisplaycheck when building DRT
        https://bugs.webkit.org/show_bug.cgi?id=112636

        Reviewed by Tony Chang.

        It appears that we need xdisplaycheck to be built in order for
        Xvfb to be started correctly on the bots, and DRT was missing
        a dependency on it. This may be the cause of the ASAN bot not
        starting up properly (it only builds DRT).

        * DumpRenderTree/DumpRenderTree.gyp/DumpRenderTree.gyp:

2013-03-18  David Levin  <levin@chromium.org>

        Implement icon change notification dump for Chromium's test shell.
        https://bugs.webkit.org/show_bug.cgi?id=112614

        This was previously implemented for some other platforms in r58111
        and r116547.

        In r122806, fast/dom/icon-url-property.html stopped using it, but
        it is useful for tests, so I plan to re-add it to that test again.

        Reviewed by Jochen Eisinger.

        * DumpRenderTree/chromium/TestRunner/public/WebTestProxy.h:
        (WebTestRunner::WebTestProxy::didChangeIcon): Add handler so that
         icon change notifications from WebKit may be logged in test output.
        * DumpRenderTree/chromium/TestRunner/src/TestRunner.cpp:
        (WebTestRunner::TestRunner::TestRunner): Expose dumpIconChanges.
        (WebTestRunner::TestRunner::reset): Clear the new dump variable.
        (WebTestRunner::TestRunner::shouldDumpIconChanges): Expose the dump vairable.
        (WebTestRunner):
        (WebTestRunner::TestRunner::dumpIconChanges): Implement the test method.
        * DumpRenderTree/chromium/TestRunner/src/TestRunner.h:
        (TestRunner):
        * DumpRenderTree/chromium/TestRunner/src/WebTestProxy.cpp:
        (WebTestRunner::WebTestProxyBase::didChangeIcon):
        (WebTestRunner):
        * DumpRenderTree/chromium/WebViewHost.cpp:
        (WebViewHost::didChangeIcon): Add the output about changing the icon.
        * DumpRenderTree/chromium/WebViewHost.h:
        (WebViewHost):

2013-03-18  Julie Parent  <jparent@chromium.org>

        Cleanup: Move js for treemap and aggregate_results into own js files.
        https://bugs.webkit.org/show_bug.cgi?id=112618

        Reviewed by Dirk Pranke.
        
        No functional changes, just moving the code into separate js file
        rather than inlined in the html, so we can test it, make it more
        modular, etc.  Other dashboard types are already done this way.

        * TestResultServer/static-dashboards/aggregate_results.html:
        * TestResultServer/static-dashboards/aggregate_results.js: Copied from Tools/TestResultServer/static-dashboards/aggregate_results.html.
        (generatePage):
        (handleValidHashParameter):
        (htmlForBuilder):
        (rawValuesHTML):
        (chartHTML):
        (filteredValues):
        (chart):
        (htmlForRevisionRows):
        (wrapHTMLInTable):
        (htmlForSummaryTable):
        (valuesPerExpectation):
        (htmlForTestType):
        (htmlForTableRow):
        (extendedEncode):
        * TestResultServer/static-dashboards/treemap.html:
        * TestResultServer/static-dashboards/treemap.js: Copied from Tools/TestResultServer/static-dashboards/treemap.html.
        (humanReadableTime):
        (convertToWebTreemapFormat):
        (reverseSortByAverage):
        (generatePage):
        (focusPath):
        (.switch.return):
        (handleQueryParameterChange):
        (extractName):
        (fullName):
        (handleFocus.):
        (handleFocus):

2013-03-18  Zan Dobersek  <zdobersek@igalia.com>

        [webkitpy] '/usr/bin/interdiff' output while running test-webkitpy
        https://bugs.webkit.org/show_bug.cgi?id=112622

        Reviewed by Dirk Pranke.

        * Scripts/webkitpy/tool/steps/haslanded_unittest.py:
        (HasLandedTest): Pipe the stdout and stderr output of the subprocess call to subprocess.PIPE, eliminating unnecessary output.

2013-03-18  Zan Dobersek  <zdobersek@igalia.com>

        [NRWT][GTK] Add gtk-wk1 directory to the list of baseline search paths when using DumpRenderTree
        https://bugs.webkit.org/show_bug.cgi?id=112619

        Reviewed by Dirk Pranke.

        When using DumpRenderTree on the Gtk port, NRWT should look for baselines first in the LayoutTests/platform/gtk-wk1
        directory and then fall back to the generic LayoutTests/platform/gtk directory.

        * Scripts/webkitpy/layout_tests/port/gtk.py:
        (GtkPort.default_baseline_search_path): Implement the method on the GtkPort class, mapping every search path to the
        Port._webkit_baseline_path method.
        * Scripts/webkitpy/layout_tests/port/gtk_unittest.py:
        (GtkPortTest.test_default_baseline_search_path): Add a test for the changes that are being introduced.
        (GtkPortTest.test_port_specific_expectations_files): Wrap a couple of long lines.
        * Scripts/webkitpy/tool/commands/rebaseline_unittest.py:
        (TestRebaselineTest.test_baseline_directory): Enhance one and add an additional test case for baseline directories
        that are expected based on the builder name.

2013-03-18  Mark Pilgrim  <pilgrim@chromium.org>

        [Chromium] Create WebFileSystemType enum to allow easier filesystem refactoring
        https://bugs.webkit.org/show_bug.cgi?id=112571

        Reviewed by Adam Barth.

        Update function declarations for new WebFileSystemType enum. (All
        changes are behind an #ifdef so we can sync required changes in embedders.)

        * DumpRenderTree/chromium/WebViewHost.cpp:
        (WebViewHost::openFileSystem):
        (WebViewHost::deleteFileSystem):
        * DumpRenderTree/chromium/WebViewHost.h:
        (WebViewHost):

2013-03-18  Julie Parent  <jparent@chromium.org>

        Cleanup: Move timeline_exporer js out of html file into js.
        https://bugs.webkit.org/show_bug.cgi?id=112188

        Reviewed by Dirk Pranke.
        
        Moves the javascript out of the html file and into a new js file.
        This follows the format of flakiness_dashboard.{html|js}.
        
        Also moves code from dashboard_base that is used only by this one
        dashboard, and makes it private to the dashboard.

        * TestResultServer/static-dashboards/dashboard_base.js:
        * TestResultServer/static-dashboards/timeline_explorer.html:
        * TestResultServer/static-dashboards/timeline_explorer.js: Copied from Tools/TestResultServer/static-dashboards/timeline_explorer.html.
        (generatePage):
        (initCurrentBuilderTestResults):
        (shouldShowWebKitRevisionsOnly):
        (updateTimelineForBuilder.):
        (updateTimelineForBuilder):
        (selectBuild):
        (updateBuildIndicator):
        (.addRow):
        (.addNumberRow):
        (.inspectorNode.getElementsByTagName.0.onclick):
        (.inspectorNode.getElementsByTagName.1.onclick):
        (.inspectorNode.getElementsByTagName.2.onclick):
        (updateBuildInspector):
        (showResultsDelta):
        (decompressResults.addFlakyDelta):
        (decompressResults):

2013-03-18  Dirk Pranke  <dpranke@chromium.org>

        Unreviewed, rolling out r145272.
        http://trac.webkit.org/changeset/145272
        https://bugs.webkit.org/show_bug.cgi?id=111884

        Turns out the ASAN build is still broken; possibly there's
        something still setting LD_LIBRARY_PATH, or possibly there's
        something else wrong. In the meantime, we need it to work again.

        * DumpRenderTree/DumpRenderTree.gyp/DumpRenderTree.gyp:

2013-03-18  Ryosuke Niwa  <rniwa@webkit.org>

        delete-stale-build-files is too aggressive
        https://bugs.webkit.org/show_bug.cgi?id=112595

        Reviewed by Tim Horton.

        It appears that whitelisting file extensions to keep is not a good idea.
        Blacklist files to delete instead, and only delete .o files for now.
        We can add more file extensions as needed.

        * BuildSlaveSupport/delete-stale-build-files:

2013-03-18  Simon Fraser  <simon.fraser@apple.com>

        Disable accessibility notifications after each test
        https://bugs.webkit.org/show_bug.cgi?id=112579

        Reviewed by Tim Horton.
        
        In WebKitTestRunner, if any tests triggered accessibility notifications,
        the global notification handler would thereafter be active, and fire
        notifications for all subsequent tests.
        
        Fix by implementing AccessibilityController::resetToConsistentState() for
        Mac, and using it to clear the global notification handler.

        * WebKitTestRunner/InjectedBundle/AccessibilityController.cpp:
        * WebKitTestRunner/InjectedBundle/mac/AccessibilityControllerMac.mm:
        (WTR::AccessibilityController::addNotificationListener): Remove stupid comment.
        (WTR::AccessibilityController::removeNotificationListener): Explicitly call
        -stopObserving so that unregistering the observer doesn't rely on object lifetimes
        (e.g. because of -autorelease).
        (WTR::AccessibilityController::logAccessibilityEvents): Stub.
        (WTR::AccessibilityController::resetToConsistentState): Remove the notification listener
        if there is one.
        * WebKitTestRunner/InjectedBundle/mac/AccessibilityNotificationHandler.h:
        Add -stopObserving
        * WebKitTestRunner/InjectedBundle/mac/AccessibilityNotificationHandler.mm:
        (-[AccessibilityNotificationHandler dealloc]): Call -stopObserving
        (-[AccessibilityNotificationHandler stopObserving]): Unregister from the notification
        center.

2013-03-18  Dana Jansens  <danakj@chromium.org>

        [chromium] Remove WebGraphicsContext3DInProcessImpl support from DRT.
        https://bugs.webkit.org/show_bug.cgi?id=112392

        Reviewed by James Robinson.

        Removes the command line flag option from DRT.

        * DumpRenderTree/chromium/DumpRenderTree.cpp:
        (main):

2013-03-18  Zan Dobersek  <zdobersek@igalia.com>

        [GTK] plugins/plugin-clip-subframe.html is failing
        https://bugs.webkit.org/show_bug.cgi?id=112570

        Reviewed by Martin Robinson.

        * GNUmakefile.am: Add the LogNPPSetWindow.cpp file to the build.

2013-03-17  Morten Stenshorne  <mstensho@opera.com>

        Add reload button (and F5 accelerator) to the GtkLauncher toolbar
        https://bugs.webkit.org/show_bug.cgi?id=112442

        Reviewed by Gustavo Noronha Silva.

        * GtkLauncher/main.c:
        (reloadCb):
        (createToolbar):
        (createWindow):

2013-03-15  Simon Fraser  <simon.fraser@apple.com>

        REGRESSION (r144884?): WebKit2.DOMWindowExtensionBasic API test is asserting
        https://bugs.webkit.org/show_bug.cgi?id=112205

        Disable this API test until Geoff can fix it.

        * TestWebKitAPI/Tests/WebKit2/DOMWindowExtensionBasic.cpp:
        (TestWebKitAPI::TEST):

2013-03-15  Jochen Eisinger  <jochen@chromium.org>

        plugins/netscape-plugin-setwindow-size*.html and plugins/pass-different-npp-struct.html should be async
        https://bugs.webkit.org/show_bug.cgi?id=112478

        Reviewed by Tony Chang.

        There is nothing that ensures that the log messages from the plugin
        come in before the layout test finished loading.

        * DumpRenderTree/TestNetscapePlugIn/Tests/PassDifferentNPPStruct.cpp:
        (PassDifferentNPPStruct::NPP_SetWindow):
        * DumpRenderTree/TestNetscapePlugIn/main.cpp:
        (NPP_SetWindow):

2013-03-15  Simon Fraser  <simon.fraser@apple.com>

        Have the mac port support per_test_timeout in webkitpy
        https://bugs.webkit.org/show_bug.cgi?id=112466

        Reviewed by Dirk Pranke.
        
        Both WTR and DRT handle --timeout arguments, so we can
        have the scripts pass the timeout values down to the tools.

        * Scripts/webkitpy/layout_tests/port/mac.py:
        (MacPort.supports_per_test_timeout):

2013-03-15  Rouslan Solomakhin  <rouslan@chromium.org>

        Remove setAsynchronousSpellCheckingEnabled from test runners
        https://bugs.webkit.org/show_bug.cgi?id=112362

        Reviewed by Tony Chang.

        Remove setAsynchronousSpellCheckingEnabled from test runners. The setting is now
        in internals.settings, so all ports can share it.

        * DumpRenderTree/TestRunner.cpp: Remove setAsynchronousSpellCheckingEnabled() method.
        * DumpRenderTree/TestRunner.h: Remove setAsynchronousSpellCheckingEnabled() method.
        * DumpRenderTree/blackberry/TestRunnerBlackBerry.cpp: Remove setAsynchronousSpellCheckingEnabled() method.
        * DumpRenderTree/chromium/TestRunner/src/TestRunner.cpp: Remove setAsynchronousSpellCheckingEnabled() method.
        * DumpRenderTree/chromium/TestRunner/src/TestRunner.h: Remove setAsynchronousSpellCheckingEnabled() method.
        * DumpRenderTree/efl/TestRunnerEfl.cpp: Remove setAsynchronousSpellCheckingEnabled() method.
        * DumpRenderTree/gtk/TestRunnerGtk.cpp: Remove setAsynchronousSpellCheckingEnabled() method.
        * DumpRenderTree/mac/TestRunnerMac.mm: Remove setAsynchronousSpellCheckingEnabled() method.
        * DumpRenderTree/qt/TestRunnerQt.cpp: Remove setAsynchronousSpellCheckingEnabled() method.
        * DumpRenderTree/qt/TestRunnerQt.h: Remove setAsynchronousSpellCheckingEnabled() method.
        * DumpRenderTree/win/TestRunnerWin.cpp: Remove setAsynchronousSpellCheckingEnabled() method.
        * DumpRenderTree/wx/TestRunnerWx.cpp: Remove setAsynchronousSpellCheckingEnabled() method.

2013-03-15  Simon Fraser  <simon.fraser@apple.com>

        Fix the stupid unit tests.

        * Scripts/webkitpy/layout_tests/port/mac_unittest.py:
        (test_sample_process):

2013-03-14  Simon Fraser  <simon.fraser@apple.com>

        Collect samples for unresponsive web processes
        https://bugs.webkit.org/show_bug.cgi?id=112409

        Reviewed by Tim Horton.
        
        When we detect that a subprocess was unresponsive, run the 'sample'
        tool on that process, for the Mac port.
        
        The sample will be linked to from the results.html page, next
        to the crash log link.

        * Scripts/webkitpy/layout_tests/controllers/manager.py:
        (Manager._look_for_new_crash_logs): Before looking for crash logs,
        look for samples on disk.
        * Scripts/webkitpy/layout_tests/controllers/test_result_writer.py:
        (TestResultWriter):
        (TestResultWriter.copy_sample_file): Teach TestResultWriter about
        -sample.txt files, and have it copy their contents to a new file
        next to the test that spawned them (as we do for crash logs).
        * Scripts/webkitpy/layout_tests/port/base.py:
        (Port.look_for_new_samples): Base class does nothing for sampling.
        * Scripts/webkitpy/layout_tests/port/driver.py:
        (Driver._check_for_driver_crash): Kick off a sample if we detected
        that the subprocess was unresponsive.
        * Scripts/webkitpy/layout_tests/port/mac.py:
        (MacPort.sample_file_path): Utility to generate the file path
        to the generated sample files at the top level of layout-test-results.
        (MacPort.look_for_new_crash_logs): Fix typo
        (MacPort.look_for_new_samples): New function to find sample files.
        (MacPort.sample_process): Use the utility function to get the file path.

2013-03-15  Zeno Albisser  <zeno@webkit.org>

        [Qt] Remove simple getters and setters from TestRunnerQt
        https://bugs.webkit.org/show_bug.cgi?id=112343

        Reviewed by Benjamin Poulain.

        The removed functions and boolean members
        are being replaced by the implementations in the
        generic TestRunner.h.

        * DumpRenderTree/qt/DumpRenderTreeQt.cpp:
        (DumpRenderTree::dumpFrameScrollPosition):
        (DumpRenderTree::dumpFramesAsText):
        (DumpRenderTree::dump):
        (DumpRenderTree::titleChanged):
        (DumpRenderTree::dumpDatabaseQuota):
        (DumpRenderTree::dumpApplicationCacheQuota):
        (DumpRenderTree::statusBarMessage):
        (DumpRenderTree::createWindow):
        * DumpRenderTree/qt/TestRunnerQt.cpp:
        (TestRunnerQt::reset):
        * DumpRenderTree/qt/TestRunnerQt.h:
        (TestRunnerQt):

2013-03-15  Ryosuke Niwa  <rniwa@webkit.org>

        Update the link on build.webkit.org to refer to perf.webkit.org
        https://bugs.webkit.org/show_bug.cgi?id=112416

        Reviewed by Philip Rogers.

        Updated the link. Also updated the template to use HTML5 DOCTYPE.

        * BuildSlaveSupport/build.webkit.org-config/templates/root.html:

2013-03-15  Tobias Mueller  <tobiasmue@gnome.org>

        Build fix for Tools/GtkLauncher/Programs_GtkLauncher-main.o if gstreamer is not installed
        https://bugs.webkit.org/show_bug.cgi?id=112394

        Reviewed by Philippe Normand.

        * GtkLauncher/main.c:
        (main): Guard using the gstreamer function with #ifdef WTF_USE_GSTREAMER

2013-03-14  Andreas Kling  <akling@apple.com>

        REGRESSION(r145169): [Mac][WK2] http/tests/security/cross-frame-access-put.html fails.
        <http://webkit.org/b/111815>
        <rdar://problem/13380145>

        Reviewed by Anders Carlsson.

        Add PlatformWebView::didInitializeClients() and call it after setting up all the clients
        after creating a PlatformWebView. Otherwise, the initial WindowAndViewFramesChanged message
        will be sent before there's a UI client set up to adjust the frame with WTR's fake origin.

        * WebKitTestRunner/PlatformWebView.h:
        (PlatformWebView):
        * WebKitTestRunner/TestController.cpp:
        (WTR::TestController::createOtherPage):
        (WTR::TestController::createWebViewWithOptions):
        * WebKitTestRunner/mac/PlatformWebViewMac.mm:
        (WTR::PlatformWebView::didInitializeClients):

2013-03-14  Jinwoo Song  <jinwoo7.song@samsung.com>

        [EFL][MiniBrowser] Add a search field to the MiniBrowser
        https://bugs.webkit.org/show_bug.cgi?id=112122

        Reviewed by Kenneth Rohde Christiansen.

        Implement a search field to test API ewk_view_text_find() and add a shortcut 'ctrl' + f.

        * MiniBrowser/efl/main.c:
        (_Browser_Window):
        (search_box_show):
        (search_box_hide):
        (on_key_down):
        (on_url_changed):
        (on_search_field_aborted):
        (on_search_field_activated):
        (on_search_field_clicked):
        (on_search_backward_button_clicked):
        (on_search_forward_button_clicked):
        (window_create):

2013-03-14  Julie Parent  <jparent@chromium.org>

        Cleanup: Remove g_resourceLoader.
        https://bugs.webkit.org/show_bug.cgi?id=112305

        Reviewed by Dirk Pranke.
        
        Removing another global.
        
        Now, each dashboard creates its own loader, rather than having
        a general global one.
        
        Remove usage of g_resourceLoader.isLoadingComplete from 
        handleLocationChange by ensuring that handleLocationChange is
        never called before the loader is done.  It was called in two
        places before: 1 was from the callback when the loader is done,
        so that was obviously true, and the other was from onhashchange,
        where it would just return rather than running.  Instead, lets
        only register the onhashchange handler once the loader is
        setup, so the check is no longer necessary.
        
        Remove isLoadingComplete since it is now unused.
        
        Callback for loader is now initializeHistory, rather than just
        handleLocationChange which will set up the hashchange handler now.
        This will all eventually be moving to a new History object.

        * TestResultServer/static-dashboards/aggregate_results.html:
        * TestResultServer/static-dashboards/dashboard_base.js:
        (handleLocationChange):
        (intializeHistory):
        (decompressResults):
        * TestResultServer/static-dashboards/flakiness_dashboard.js:
        (generatePage):
        * TestResultServer/static-dashboards/loader.js:
        (.):
        * TestResultServer/static-dashboards/loader_unittests.js:
        * TestResultServer/static-dashboards/timeline_explorer.html:
        * TestResultServer/static-dashboards/treemap.html:

2013-03-14  Manuel Rego Casasnovas  <rego@igalia.com>

        Add selectTrailingWhitespaceEnabled setting to WebCore::Page
        https://bugs.webkit.org/show_bug.cgi?id=109404

        Reviewed by Tony Chang.

        Removes all the code related to smartInsertDeleteEnabled and
        selectTrailingWhitespaceEnabled settings as they will be managed from
        internals from now on.

        * DumpRenderTree/TestRunner.cpp:
        (TestRunner::staticFunctions):
        * DumpRenderTree/TestRunner.h:
        (TestRunner):
        * DumpRenderTree/blackberry/DumpRenderTree.cpp:
        (WebKit):
        (BlackBerry::WebKit::DumpRenderTree::resetToConsistentStateBeforeTesting):
        * DumpRenderTree/blackberry/DumpRenderTreeBlackBerry.h:
        (DumpRenderTree):
        * DumpRenderTree/blackberry/TestRunnerBlackBerry.cpp:
        * DumpRenderTree/chromium/TestRunner/public/WebTestProxy.h:
        (WebTestRunner::WebTestProxy::didStopLoading):
        * DumpRenderTree/chromium/TestRunner/src/TestRunner.cpp:
        (WebTestRunner::TestRunner::TestRunner):
        (WebTestRunner::TestRunner::reset):
        * DumpRenderTree/chromium/TestRunner/src/TestRunner.h:
        (TestRunner):
        * DumpRenderTree/chromium/TestRunner/src/WebPreferences.cpp:
        (WebTestRunner::WebPreferences::applyTo): Set default values for
        smartInsertDeleteEnabled and selectTrailingWhitespaceEnabled settings as
        Chromium DRT default values are different from Chromium browser.
        * DumpRenderTree/chromium/TestRunner/src/WebTestProxy.cpp:
        * DumpRenderTree/chromium/WebViewHost.cpp:
        * DumpRenderTree/chromium/WebViewHost.h:
        (WebViewHost):
        * DumpRenderTree/efl/DumpRenderTreeChrome.cpp:
        (DumpRenderTreeChrome::resetDefaultsToConsistentValues):
        * DumpRenderTree/efl/TestRunnerEfl.cpp:
        * DumpRenderTree/gtk/DumpRenderTree.cpp:
        (resetDefaultsToConsistentValues):
        * DumpRenderTree/gtk/TestRunnerGtk.cpp:
        * DumpRenderTree/mac/DumpRenderTree.mm:
        (resetWebViewToConsistentStateBeforeTesting):
        * DumpRenderTree/mac/TestRunnerMac.mm:
        * DumpRenderTree/qt/DumpRenderTreeQt.cpp:
        (WebCore::WebPage::resetSettings):
        * DumpRenderTree/qt/TestRunnerQt.cpp:
        * DumpRenderTree/qt/TestRunnerQt.h:
        (TestRunnerQt):
        * DumpRenderTree/win/DumpRenderTree.cpp:
        (resetWebViewToConsistentStateBeforeTesting):
        * DumpRenderTree/win/TestRunnerWin.cpp:
        * DumpRenderTree/wx/TestRunnerWx.cpp:

2013-03-14  Simon Hausmann  <simon.hausmann@digia.com>

        [Qt] Disable DRT on Windows

        Reviewed by Jocelyn Turcotte.

        We don't run and maintain DRT on Windows, so let's not try to maintain the build of it.

        * qmake/mkspecs/features/configure.prf:

2013-03-14  Jinwoo Song  <jinwoo7.song@samsung.com>

        [EFL][WK2] Add an API for adding and removing user style sheets from a page group
        https://bugs.webkit.org/show_bug.cgi?id=110728

        Reviewed by Gyuyoung Kim.

        Use the page group to create the view object.

        * MiniBrowser/efl/main.c:
        (window_create):

2013-03-14  Simon Hausmann  <simon.hausmann@digia.com>

        [Qt] Improve the handling of mock geolocation, device orientation and motion clients

        Reviewed by Tor Arne Vestbø.

        The mock versions of these web facing features should be instantiated when
        running in DumpRenderTree only. In order for them to work, no extra Qt modules
        such as QtLocation are actually needed.

        This patch decouples enabling device orientation/motion and geolocation from
        the underlying Qt modules and makes them available in developer builds
        (!production_build) and backed by mock backends when running in drt.

        So if the Qt 5 modules are available, they'll be used (unless drtRun). For
        developers the web facing features are always enabled (although requests will
        time out) and the mock backends are enabled inside DRT, allowing for the layout
        tests to run with less dependencies.

        In addition this also enables the mock device motion client, which was
        previously never instantiated.

        * qmake/mkspecs/features/features.prf:

2013-03-14  Zeno Albisser  <zeno@webkit.org>

        [Qt] Removing no-ops and simple setters/getters from TestRunnerQt
        https://bugs.webkit.org/show_bug.cgi?id=112340

        Reviewed by Simon Hausmann.

        * DumpRenderTree/qt/DumpRenderTreeQt.cpp:
        (DumpRenderTree::dump):
            Replace shouldDumpBackForwardList() with TestController:dumpBackForwardList().
        (DumpRenderTree::dumpApplicationCacheQuota):
        * DumpRenderTree/qt/TestRunnerQt.cpp:
        (TestRunnerQt::reset):
        * DumpRenderTree/qt/TestRunnerQt.h:
        (TestRunnerQt):

2013-03-14  Zeno Albisser  <zeno@webkit.org>

        [Qt] Port DRT to use TestRunner::dumpAsText()
        https://bugs.webkit.org/show_bug.cgi?id=112260

        Reviewed by Benjamin Poulain.

        * DumpRenderTree/qt/DumpRenderTreeQt.cpp:
        (WebCore::DumpRenderTree::open):
        (WebCore::methodNameStringForFailedTest):
            Change parameter from type TestRunnerQt* to TestRunner*.
        (WebCore::DumpRenderTree::dump):
            TestRunnerQt::shouldDumpPixels() always returned true in our case.
            Instead we should rely on TestRunner::generatePixelResults().
        * DumpRenderTree/qt/TestRunnerQt.cpp:
        (TestRunnerQt::reset):
        * DumpRenderTree/qt/TestRunnerQt.h:
        (TestRunnerQt):

2013-03-13  Kunihiko Sakamoto  <ksakamoto@chromium.org>

        Implement FontLoader interface
        https://bugs.webkit.org/show_bug.cgi?id=98395

        Reviewed by Eric Seidel.

        Enable FontLoadEvents runtime flag for TestShell.

        * DumpRenderTree/chromium/TestRunner/src/TestInterfaces.cpp:
        (WebTestRunner::TestInterfaces::TestInterfaces):

2013-03-13  Julie Parent  <jparent@chromium.org>

        CLeanup: remove unnecessary call to parseParameters.
        https://bugs.webkit.org/show_bug.cgi?id=112309

        Reviewed by Ojan Vafai.
        
        We call parseCrossDashboardParameters when the dashboard initially
        loads to set the state required for loadBuildersList, and then we
        call it again once we are fully done with loading, so there is no
        reason to call it in the middle of the loading process here.

        * TestResultServer/static-dashboards/loader.js:
        (.):

2013-03-13  Elliott Sprehn  <esprehn@chromium.org>

        Unreviewed. Now I'm a reviewer :)

        * Scripts/webkitpy/common/config/committers.py:

2013-03-13  Ryosuke Niwa  <rniwa@webkit.org>

        Threaded HTML Parser is missing feature define flags in all but Chromium port's build files
        https://bugs.webkit.org/show_bug.cgi?id=112277

        Reviewed by Adam Barth.

        * Scripts/webkitperl/FeatureList.pm:
        * qmake/mkspecs/features/features.pri:

2013-03-13  Adam Barth  <abarth@webkit.org>

        run-perf-tests should support content_shell
        https://bugs.webkit.org/show_bug.cgi?id=112291

        Reviewed by Eric Seidel.

        * Scripts/webkitpy/performance_tests/perftestsrunner.py:
        (PerfTestsRunner._parse_args):

2013-03-13  Oliver Hunt  <oliver@apple.com>

        Simplify Checked<> multiplication
        https://bugs.webkit.org/show_bug.cgi?id=112286

        Reviewed by James Robinson.

        Add tests for multiplication by zero and max to ensure we don't
        mess them up should we ever make changes to Checked<> in future.

        * TestWebKitAPI/Tests/WTF/CheckedArithmeticOperations.cpp:
        (TestWebKitAPI):

2013-03-13  Simon Hausmann  <simon.hausmann@digia.com>

        [Qt] Unreviewed prospective Windows build fix

        Do the usual thing, include the moc generated code in the .cpp file instead
        of compiling it standalone, to ensure that config.h is included, too, and
        NOMINMAX is defined to avoid the min/max conflict when also including qdatetime.h.

        * DumpRenderTree/qt/EventSenderQt.cpp:

2013-03-13  Simon Hausmann  <simon.hausmann@digia.com>

        [Qt] Port TestRunner::findString to shared interface
        https://bugs.webkit.org/show_bug.cgi?id=112147

        Reviewed by Jocelyn Turcotte.

        This patch also removes DumpRenderTree and some other helper classes from
        the WebCore namespace, to which they do not really belong.

        * DumpRenderTree/qt/DumpRenderTreeMain.cpp:
        (main):
        * DumpRenderTree/qt/DumpRenderTreeQt.cpp:
        (DumpRenderTree::DumpRenderTree):
        (DumpRenderTree::~DumpRenderTree):
        (DumpRenderTree::instance):
        (DumpRenderTree::setShouldTimeout):
        * DumpRenderTree/qt/DumpRenderTreeQt.h:
        (DumpRenderTree):
        * DumpRenderTree/qt/EventSenderQt.cpp:
        (EventSender::contextClick):
        (EventSender::sendEvent):
        (EventSender::postEvent):
        * DumpRenderTree/qt/EventSenderQt.h:
        (EventSender::isGraphicsBased):
        * DumpRenderTree/qt/TestRunnerQt.cpp:
        (TestRunnerQt::TestRunnerQt):
        (TestRunner::findString):
        (TestRunnerQt::setMockDeviceOrientation):
        (TestRunnerQt::setGeolocationPermission):
        (TestRunnerQt::numberOfPendingGeolocationPermissionRequests):
        (TestRunnerQt::setMockGeolocationPositionUnavailableError):
        (TestRunnerQt::setMockGeolocationPosition):
        * DumpRenderTree/qt/TestRunnerQt.h:
        (TestRunnerQt):

2013-03-13  Mikhail Naganov  <mnaganov@chromium.org>

        [Chromium] Rename android_build_type to android_webview_build in .gyp files.
        https://bugs.webkit.org/show_bug.cgi?id=112129

        Reviewed by Adam Barth.

        Following Chromium
        http://src.chromium.org/viewvc/chrome?view=rev&revision=187556
        this is being renamed to better explain what it does.

        * DumpRenderTree/DumpRenderTree.gyp/DumpRenderTree.gyp:

2013-03-13  Simon Hausmann  <simon.hausmann@digia.com>

        [Qt] Unreviewed trivial typo fix

        * DumpRenderTree/qt/DumpRenderTree.pro: It's TestRunner.h, not
        TextRunner.h. Thanks Zeno :)

2013-03-12  Simon Hausmann  <simon.hausmann@digia.com>

        [Qt] Prepare DRT for transition to shared TestRunner interface
        https://bugs.webkit.org/show_bug.cgi?id=112144

        Reviewed by Benjamin Poulain.

        Prepare Qt's DRT for a transition from the QObject based TestRunner to
        the JSC C API based one.

        This is impplemented by instantiating the QObject based testRunner in
        the global object, then instantiating the JSC C based TestRunner
        separately and placing it "behind" the QObject based testRunner through
        injection of the individual functions through proxies. (prototype
        chaining doesn't work due to the this object and Function.prototype.bind
        doesn't work due to the native function)

        This allows for porting over method by method by removing the method
        from the QObject TestRunnerQt and implementing it in the JSC C based
        TestRunner.

        In order for this to link and run dummy implementations of all the
        necessary TestRunner functions are provided.

        * DumpRenderTree/qt/DumpRenderTree.pro:
        * DumpRenderTree/qt/DumpRenderTreeMain.cpp:
        * DumpRenderTree/qt/DumpRenderTreeQt.cpp:
        (WebCore::DumpRenderTree::resetToConsistentStateBeforeTesting):
        (WebCore::DumpRenderTree::initJSObjects):
        * DumpRenderTree/qt/DumpRenderTreeQt.h:
        (DumpRenderTree):
        * DumpRenderTree/qt/TestRunnerQt.cpp:
        (TestRunner::~TestRunner):
        (TestRunner::addDisallowedURL):
        (TestRunner::queueLoad):
        (TestRunner::removeAllVisitedLinks):
        (TestRunner::setAcceptsEditing):
        (TestRunner::simulateLegacyWebNotificationClick):
        (TestRunner::setWindowIsKey):
        (TestRunner::setAlwaysAcceptCookies):
        (TestRunner::addOriginAccessWhitelistEntry):
        (TestRunner::setWebViewEditable):
        (TestRunner::clearAllApplicationCaches):
        (TestRunner::setTextDirection):
        (TestRunner::notifyDone):
        (TestRunner::numberOfPendingGeolocationPermissionRequests):
        (TestRunner::overridePreference):
        (TestRunner::pathToLocalResource):
        (TestRunner::removeAllWebNotificationPermissions):
        (TestRunner::simulateWebNotificationClick):
        (TestRunner::closeIdleLocalStorageDatabases):
        (TestRunner::focusWebView):
        (TestRunner::setBackingScaleFactor):
        (TestRunner::removeChromeInputField):
        (TestRunner::addChromeInputField):
        (TestRunner::originsWithLocalStorage):
        (TestRunner::deleteAllLocalStorage):
        (TestRunner::deleteLocalStorageForOrigin):
        (TestRunner::observeStorageTrackerNotifications):
        (TestRunner::syncLocalStorage):
        (TestRunner::windowCount):
        (TestRunner::setWaitToDump):
        (TestRunner::waitForPolicyDelegate):
        (TestRunner::webHistoryItemCount):
        (TestRunner::showWebInspector):
        (TestRunner::closeWebInspector):
        (TestRunner::evaluateInWebInspector):
        (TestRunner::setSerializeHTTPLoads):
        (TestRunner::apiTestNewWindowDataLoadBaseURL):
        (TestRunner::setCustomPolicyDelegate):
        (TestRunner::setDatabaseQuota):
        (TestRunner::setDomainRelaxationForbiddenForURLScheme):
        (TestRunner::resetPageVisibility):
        (TestRunner::keepWebHistory):
        (TestRunner::goBack):
        (TestRunner::originsWithApplicationCache):
        (TestRunner::applicationCacheDiskUsageForOrigin):
        (TestRunner::display):
        (TestRunner::dispatchPendingLoadRequests):
        (TestRunner::clearPersistentUserStyleSheet):
        (TestRunner::callShouldCloseOnWebView):
        (TestRunner::copyDecodedHostName):
        (TestRunner::clearBackForwardList):
        (TestRunner::clearAllDatabases):
        (TestRunner::clearApplicationCacheForOrigin):
        (TestRunner::apiTestGoToCurrentBackForwardItem):
        (TestRunner::authenticateSession):
        (TestRunner::abortModal):
        (TestRunner::setStorageDatabaseIdleInterval):
        (TestRunner::setAsynchronousSpellCheckingEnabled):
        (TestRunner::setXSSAuditorEnabled):
        (TestRunner::setSpatialNavigationEnabled):
        (TestRunner::setScrollbarPolicy):
        (TestRunner::setJavaScriptCanAccessClipboard):
        (TestRunner::setAutomaticLinkDetectionEnabled):
        (TestRunner::setUserStyleSheetEnabled):
        (TestRunner::setUserStyleSheetLocation):
        (TestRunner::setUseDashboardCompatibilityMode):
        (TestRunner::setTabKeyCyclesThroughElements):
        (TestRunner::setSmartInsertDeleteEnabled):
        (TestRunner::setSelectTrailingWhitespaceEnabled):
        (TestRunner::setPrivateBrowsingEnabled):
        (TestRunner::setPluginsEnabled):
        (TestRunner::setPopupBlockingEnabled):
        (TestRunner::setMockSpeechInputDumpRect):
        (TestRunner::setPersistentUserStyleSheetLocation):
        (TestRunner::setMockGeolocationPosition):
        (TestRunner::setMockGeolocationPositionUnavailableError):
        (TestRunner::setMockDeviceOrientation):
        (TestRunner::setMainFrameIsFirstResponder):
        (TestRunner::setIconDatabaseEnabled):
        (TestRunner::setGeolocationPermission):
        (TestRunner::setDefersLoading):
        (TestRunner::setCacheModel):
        (TestRunner::setAuthorAndUserStylesEnabled):
        (TestRunner::setAllowFileAccessFromFileURLs):
        (TestRunner::setAppCacheMaximumSize):
        (TestRunner::setAllowUniversalAccessFromFileURLs):
        (TestRunner::setApplicationCacheOriginQuota):
        (TestRunner::denyWebNotificationPermission):
        (TestRunner::grantWebNotificationPermission):
        (TestRunner::setValueForUser):
        (TestRunner::setViewModeMediaFeature):
        (TestRunner::setPageVisibility):
        (TestRunner::addMockSpeechInputResult):
        (TestRunner::removeOriginAccessWhitelistEntry):
        (TestRunner::addUserScript):
        (TestRunner::isCommandEnabled):
        (TestRunner::evaluateScriptInIsolatedWorld):
        (TestRunner::evaluateScriptInIsolatedWorldAndReturnValue):
        (TestRunner::copyEncodedHostName):
        (TestRunner::addUserStyleSheet):
        (TestRunner::findString):
        (TestRunner::execCommand):
        (TestRunner::localStorageDiskUsageForOrigin):

2013-03-12  Julie Parent  <jparent@chromium.org>

        Cleanup: Move flatten-trie to loader.
        https://bugs.webkit.org/show_bug.cgi?id=112196

        Reviewed by Dirk Pranke.

        flatten-trie is used only by the loader, so move it there and make it
        private, rather than global in dashbaord_base. Moved the corresponding
        unit test from flakiness_dashboard_unittests to loader_unittests.
        
        * TestResultServer/static-dashboards/dashboard_base.js:
        * TestResultServer/static-dashboards/flakiness_dashboard_unittests.js:
        * TestResultServer/static-dashboards/loader.js:
        (.):
        * TestResultServer/static-dashboards/loader_unittests.js:

2013-03-12  Oliver Hunt  <oliver@apple.com>

        Unbreak api tests

        * TestWebKitAPI/Tests/WTF/CheckedArithmeticOperations.cpp:
        (TestWebKitAPI):

2013-03-12  Tim Horton  <timothy_horton@apple.com>

        Unreviewed, disabling tests for Win EWS.

        win-ews obviously cannot keep up with running tests, it's >300 behind.
        Probably doesn't help that its (likely) running tests serially.

        * Scripts/webkitpy/tool/commands/earlywarningsystem.py:
        (WinEWS):

2013-03-12  Tim Horton  <timothy_horton@apple.com>

        Add a --build-directory argument to delete-stale-build-files
        https://bugs.webkit.org/show_bug.cgi?id=112198

        Reviewed by Ryosuke Niwa.

        * BuildSlaveSupport/delete-stale-build-files:
        (main): Add --build-directory argument.

2013-03-12  Oliver Hunt  <oliver@apple.com>

        Appease MSVC

        * TestWebKitAPI/Tests/WTF/CheckedArithmeticOperations.cpp:
        (TestWebKitAPI):

2013-03-12  Oliver Hunt  <oliver@apple.com>

        Add more Checked<> tests
        https://bugs.webkit.org/show_bug.cgi?id=112190

        Reviewed by Geoffrey Garen.

        Tests!

        * TestWebKitAPI/Tests/WTF/CheckedArithmeticOperations.cpp:
        (TestWebKitAPI):

2013-03-12  Julie Parent  <jparent@chromium.org>

        Cleanup: Move loading complete function into callback, rather than global.
        https://bugs.webkit.org/show_bug.cgi?id=112167

        Reviewed by Dirk Pranke.
        
        Stop calling global functions, pass in proper handler to Loader
        constructor. Note that the callback is optional, as tests, and
        some potential dashboards, do not need one.

        * TestResultServer/static-dashboards/dashboard_base.js:
        * TestResultServer/static-dashboards/loader.js:
        (.):
        * TestResultServer/static-dashboards/loader_unittests.js:

2013-03-12  Christophe Dumez  <ch.dumez@sisa.samsung.com>

        [EFL][WK2] Add popup menu support to MiniBrowser
        https://bugs.webkit.org/show_bug.cgi?id=108934

        Reviewed by Kenneth Rohde Christiansen.

        Implement popup menu support in MiniBrowser by handling popup_menu_show
        and popup_menu_hide smart functions on the view and using the Ewk popup
        menu API.

        * MiniBrowser/efl/main.c:
        (_Browser_Window):
        (on_popup_menu_discarded):
        (on_popup_menu_item_clicked):
        (popup_menu_populate):
        (on_popup_menu_show):
        (on_popup_menu_hide):
        (window_create): Use calloc() instead of malloc() to allocate memory for
        Browser_Window. This makes sure all the structs members are initialized
        to 0 (such as the new elm_popup_menu pointer).

2013-03-12  Zan Dobersek  <zdobersek@igalia.com>

        [GTK] Set up the libPlatformGtk.la library
        https://bugs.webkit.org/show_bug.cgi?id=111738

        Reviewed by Martin Robinson.

        * GNUmakefile.am: Reference platformgtk_cppflags variable along with webcoregtk_cppflags variable.
        Adjust the path to GtkVersioning.c, the file has moved under Source/Platform.
        * TestWebKitAPI/GNUmakefile.am: Reference platformgtk_cppflags variable along with webcoregtk_cppflags variable.

2013-03-12  Zan Dobersek  <zdobersek@igalia.com>

        [GTK] Enable Web Audio in development builds
        https://bugs.webkit.org/show_bug.cgi?id=111831

        Reviewed by Philippe Normand.

        Web Audio is already quite well supported on the GTK port but still has a few issues
        that must be addressed before it is enabled by default. Despite that it should be enabled
        in development builds just so we are up-to-date with future feature infrastructure changes.
        The Web Audio-related layout tests are not run yet due to missing support in DRT/WKTR, but
        that's an obvious goal before enabling the feature in release builds.

        * Scripts/webkitperl/FeatureList.pm:

2013-03-11  Andreas Kling  <akling@apple.com>

        [Mac][WK1] Add support for alert() in MiniBrowser.
        <http://webkit.org/b/112090>

        Reviewed by Anders Carlsson.

        * MiniBrowser/mac/WK1BrowserWindowController.m:
        (-[WK1BrowserWindowController webView:runJavaScriptAlertPanelWithMessage:initiatedByFrame:]):

2013-03-11  Julie Parent  <jparent@chromium.org>

        Dashboard cleanup: Create ui.Errors
        https://bugs.webkit.org/show_bug.cgi?id=111785

        Reviewed by Ojan Vafai.
        
        Create ui.Errors for handling errors the dashboards
        encounter. Loader now has a Error object that it can add to,
        and individual dashboards can show errors when desired.
        Currently, only flakiness_db shows errors, but this is 
        generic and there is no reason why other dbs wouldn't want to
        show errors.

        * TestResultServer/static-dashboards/dashboard_base.js:
        (resourceLoadingComplete):
        * TestResultServer/static-dashboards/flakiness_dashboard.js:
        (generatePage):
        * TestResultServer/static-dashboards/loader.js:
        (.):
        * TestResultServer/static-dashboards/ui.js:
        (.):

2013-03-08  Geoffrey Garen  <ggaren@apple.com>

        Some StringHasher tests are broken because of missing null termination
        https://bugs.webkit.org/show_bug.cgi?id=111284

        Reviewed by Darin Adler.

        * TestWebKitAPI/Tests/WTF/StringHasher.cpp:
        (TestWebKitAPI): Added null termination since C strings are null-terminated.
        (TestWebKitAPI::TEST): Removed #ifdef's that disabled this testing since
        the bug caught by it is now fixed.

2013-03-11  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r145200.
        http://trac.webkit.org/changeset/145200
        https://bugs.webkit.org/show_bug.cgi?id=112063

        Broke a couple of unit tests (Requested by zdobersek on
        #webkit).

        * Scripts/webkitperl/FeatureList.pm:

2013-03-11  Zan Dobersek  <zdobersek@igalia.com>

        [GTK] WebKit2-only build fails
        https://bugs.webkit.org/show_bug.cgi?id=112033

        Reviewed by Gustavo Noronha Silva.

        * GNUmakefile.am: Split the list of files the docs-build.stamp target depends on into the
        generic part, WebKit1-specific part and WebKit2-specific part.
        * TestWebKitAPI/GNUmakefile.am: The TestGtk executable should not link agains libwebkitgtk
        as it is not WebKit1-specific, but should rather link to libWebCore.la and libWebCoreGtk.la
        directly.

2013-03-11  Dima Gorbik  <dgorbik@apple.com>

        Adding myself to the committers list.

        Unreviewed.

        * Scripts/webkitpy/common/config/committers.py:

2013-03-11  Jeff Rogers  <jrogers@rim.com>

        [BlackBerry] Disable MathML support
        https://bugs.webkit.org/show_bug.cgi?id=111929

        Reviewed by Rob Buis.

        * Scripts/webkitperl/FeatureList.pm:

2013-03-11  Christophe Dumez  <ch.dumez@sisa.samsung.com>

        [EFL][GTK][WKTR] Regression(r145231): Undefined symbol in libTestRunnerInjectedBundle.so
        https://bugs.webkit.org/show_bug.cgi?id=111970

        Reviewed by Chris Fleizach.

        Provide dummy implementation for AccessibilityUIElement::supportedActions() in ATK
        or libTestRunnerInjectedBundle.so cannot be loaded in EFL / GTK otherwise, due to
        undefined symbol.

        * WebKitTestRunner/InjectedBundle/atk/AccessibilityUIElementAtk.cpp:
        (WTR::AccessibilityUIElement::supportedActions):
        (WTR):

2013-03-11  Chris Hopman  <cjhopman@chromium.org>

        [chromium] Android apk targets should depend directly on Java library targets
        https://bugs.webkit.org/show_bug.cgi?id=111746

        Reviewed by Eric Seidel.

        * DumpRenderTree/DumpRenderTree.gyp/DumpRenderTree.gyp:
        Make DumpRenderTree_apk depend directly on base_java and net_java.
        * TestWebKitAPI/TestWebKitAPI.gyp/TestWebKitAPI.gyp:
        Make TestWebKitAPI_apk depend directly on base_java.

2013-03-11  Jochen Eisinger  <jochen@chromium.org>

        [chromium] remove obsolete user gesture methods from WebFrame
        https://bugs.webkit.org/show_bug.cgi?id=111696

        Reviewed by Adam Barth.

        * DumpRenderTree/chromium/TestRunner/src/TestPlugin.cpp:
        (WebTestRunner::TestPlugin::handleInputEvent):
        * DumpRenderTree/chromium/TestRunner/src/WebTestProxy.cpp:

2013-03-10  Silvia Pfeiffer  <silviapf@chromium.org>

        Unreviewed, add myself to commiters.py.

        * Scripts/webkitpy/common/config/committers.py:

2013-03-08  Julie Parent  <jparent@chromium.org>

        Cleanup: Remove dead code.
        https://bugs.webkit.org/show_bug.cgi?id=111900

        Reviewed by Dirk Pranke.
        
        Treemap overrides a global function that used to be in 
        dashboard_base, but was removed months ago in
        https://bugs.webkit.org/show_bug.cgi?id=99246, so this code has
        no caller. 

        * TestResultServer/static-dashboards/treemap.html:

2013-03-08  Harald Alvestrand  <hta@chromium.org>

        Implemented new API for RTCStatsReport object.
        https://bugs.webkit.org/show_bug.cgi?id=110333

        Reviewed by Adam Barth.

        * DumpRenderTree/chromium/TestRunner/src/MockWebRTCPeerConnectionHandler.cpp:
        (WebTestRunner::MockWebRTCPeerConnectionHandler::getStats):

2013-03-08  Dirk Pranke  <dpranke@chromium.org>

        [chromium] use custom freetype on linux asan builds again
        https://bugs.webkit.org/show_bug.cgi?id=111884

        Reviewed by Tony Chang.

        We no longer need the workaround after chromium r186540.

        * DumpRenderTree/DumpRenderTree.gyp/DumpRenderTree.gyp:

2013-03-08  Ryosuke Niwa  <rniwa@webkit.org>

        Warning about the user not having edit rights on Bugzilla is confusing new contributors
        https://bugs.webkit.org/show_bug.cgi?id=111798

        Reviewed by Dirk Pranke.

        Don't scare people by the warning. Instead, tell them to ignore it if they don't have EditBugs privileges.

        * Scripts/webkitpy/common/net/bugzilla/bugzilla.py:

2013-03-08  James Robinson  <jamesr@chromium.org>

        [chromium] Remove WebLayerTreeViewClient and WebLayerTreeView::Settings
        https://bugs.webkit.org/show_bug.cgi?id=111632

        Reviewed by Adrienne Walker.

        * DumpRenderTree/chromium/WebViewHost.cpp:
        (WebViewHost::initializeLayerTreeView):
        * DumpRenderTree/chromium/WebViewHost.h:
        (WebViewHost):

2013-03-08  Benjamin Poulain  <benjamin@webkit.org>

        [Mac] Add a feature flag for 'view-mode' Media Feature, disable it on Mac
        https://bugs.webkit.org/show_bug.cgi?id=111297

        Reviewed by Kenneth Rohde Christiansen.

        * WebKitTestRunner/InjectedBundle/TestRunner.cpp:
        (WTR::TestRunner::setViewModeMediaFeature):

2013-03-08  Chris Fleizach  <cfleizach@apple.com>

        [Mac] [WK2] platform/mac/accessibility/press-action-is-first.html fails
        https://bugs.webkit.org/show_bug.cgi?id=111814

        Reviewed by Ryosuke Niwa.

        Add the needed supportedActions() attribute to WKTestRunner.

        * WebKitTestRunner/InjectedBundle/AccessibilityUIElement.cpp:
        (WTR::AccessibilityUIElement::supportedActions):
        * WebKitTestRunner/InjectedBundle/AccessibilityUIElement.h:
        (AccessibilityUIElement):
        * WebKitTestRunner/InjectedBundle/Bindings/AccessibilityUIElement.idl:
        * WebKitTestRunner/InjectedBundle/mac/AccessibilityUIElementMac.mm:
        (WTR::AccessibilityUIElement::supportedActions):

2013-03-08  Mikhail Pozdnyakov  <mikhail.pozdnyakov@intel.com>

        [EFL] Memory leak at WKViewClientWebProcessCallbacks API test
        https://bugs.webkit.org/show_bug.cgi?id=111851

        Reviewed by Kenneth Rohde Christiansen.

        * TestWebKitAPI/Tests/WebKit2/efl/WKViewClientWebProcessCallbacks.cpp:
        (TestWebKitAPI::TEST):

            Fixed WKURLRef instance leaking.

2013-03-08  Christophe Dumez  <ch.dumez@sisa.samsung.com>

        [EFL] [WK2] Some authentication tests fail in WebKit2
        https://bugs.webkit.org/show_bug.cgi?id=106407

        Reviewed by Kenneth Rohde Christiansen.

        Add patch from upstream for libsoup 2.40 to fix several authentication
        test cases.

        * efl/jhbuild.modules:
        * efl/patches/libsoup-2.40-auth-fix.patch: Added.

2013-03-08  Zan Dobersek  <zdobersek@igalia.com>

        [GTK] Enable Web Audio in development builds
        https://bugs.webkit.org/show_bug.cgi?id=111831

        Reviewed by Philippe Normand.

        Web Audio is already quite well supported on the GTK port but still has a few issues
        that must be addressed before it is enabled by default. Despite that it should be enabled
        in development builds just so we are up-to-date with future feature infrastructure changes.
        The Web Audio-related layout tests are not run yet due to missing support in DRT/WKTR, but
        that's an obvious goal before enabling the feature in release builds.

        * Scripts/webkitperl/FeatureList.pm:

2013-03-07  Jochen Eisinger  <jochen@chromium.org>

        [chromium] delay clearing the TestRunners until the main view was deleted
        https://bugs.webkit.org/show_bug.cgi?id=111823

        Reviewed by Eric Seidel.

        During WebViewHost::shutdown, we navigate the WebView to about:blank.
        This may call into the test runners which assume that the delegate is
        always non-NULL.

        * DumpRenderTree/chromium/TestShell.cpp:
        (TestShell::~TestShell):

2013-03-07  Alan Cutter  <alancutter@chromium.org>

        Sheriffbot whois command can't search by full name
        https://bugs.webkit.org/show_bug.cgi?id=111825

        Reviewed by Eric Seidel.

        Allowed multiple arguments to Sheriffbot's whois command.
        Updated test expectations.

        * Scripts/webkitpy/tool/bot/irc_command.py:
        (Whois.execute):
        * Scripts/webkitpy/tool/bot/irc_command_unittest.py:
        (IRCCommandTest.test_whois):

2013-03-07  Nils Barth  <nbarth@chromium.org>

        Add Nils Barth and Koji Hara to committers.py
        https://bugs.webkit.org/show_bug.cgi?id=111806

        Reviewed by Eric Seidel.

        * Scripts/webkitpy/common/config/committers.py:

2013-03-07  Glenn Adams  <glenn@skynav.com>

        run-pert-tests should have a --test-runner-count option
        https://bugs.webkit.org/show_bug.cgi?id=111726

        Reviewed by Ryosuke Niwa.

        Add --test-runner-count option to run-perf-tests, with default value of 4.
        This option allows command line configuration of the number of times to invoke
        the test runner (serially, not in parallel) when running a specific test in
        a test set.

        * Scripts/webkitpy/performance_tests/perftest.py:
        (PerfTest): Add DEFAULT_TEST_RUNNER_COUNT constant.
        (PerfTest.__init__): Rename process_run_count to test_runner_count (throughout).
        (PerfTest.run): Rename process_run_count to test_runner_count.
        (SingleProcessPerfTest.__init__): Add test_runner_count optional argument.
        (ChromiumStylePerfTest.__init__): Add test_runner_count optional argument.
        (ReplayPerfTest.__init__): Add test_runner_count optional argument.
        (PerfTestFactory.create_perf_test): Add test_runner_count optional argument.
        * Scripts/webkitpy/performance_tests/perftestsrunner.py:
        (PerfTestsRunner._parse_args): Add '--test-runner-count' option.
        (PerfTestsRunner._collect_tests): Use test_runner_count when creating PerfTest.
        * Scripts/webkitpy/performance_tests/perftestsrunner_integrationtest.py:
        (MainTest._test_run_with_json_output): Add optional compare_logs argument.
        (MainTest.test_run_with_repeat):
        (MainTest.test_run_with_test_runner_count): Add new test for test-runner-count option semantics.
        * Scripts/webkitpy/performance_tests/perftestsrunner_unittest.py:
        (MainTest.test_default_args): Add test for default option argument values.
        (MainTest.test_parse_args): Add test for test-runner-count option parsing.

2013-03-07  Christian Biesinger  <cbiesinger@chromium.org>

        Add myself to reviewers.py
        https://bugs.webkit.org/show_bug.cgi?id=111757

        Reviewed by Eric Seidel.

        * Scripts/webkitpy/common/config/committers.py:

2013-03-07  Glenn Adams  <glenn@skynav.com>

        run-perf-tests should have a --repeat option
        https://bugs.webkit.org/show_bug.cgi?id=100030

        Reviewed by Ryosuke Niwa.

        Add --repeat option to run-perf-tests, with default value of 1. When greater
        than 1, runs test set specified number of times. Note that multiple runs are
        not aggregated for statistical purposes.

        Incidentally fixed typo: s/suceeds/succeeds/.

        * Scripts/webkitpy/performance_tests/perftestsrunner.py:
        (PerfTestsRunner._parse_args): Add repeat option.
        (PerfTestsRunner.run): Add outer repeat loop.
        (PerfTestsRunner._generate_results): Split from original _generate_and_show_results.
        (PerfTestsRunner._upload_and_show_results): Split from original _generate_and_show_results.
        * Scripts/webkitpy/performance_tests/perftestsrunner_integrationtest.py:
        (MainTest._test_run_with_json_output): Add repeat optional argument for generating expected logs. Fix typo.
        (MainTest._test_run_with_json_output.mock_upload_json): Fix typo.
        (MainTest.test_run_with_json_output): Fix typo.
        (MainTest.test_run_with_description): Fix typo.
        (MainTest.test_run_respects_no_results): Fix typo.
        (MainTest.test_run_with_slave_config_json): Fix typo.
        (MainTest.test_run_with_multiple_repositories): Fix typo.
        (MainTest.test_run_with_upload_json): Fix typo.
        (MainTest.test_run_with_upload_json_should_generate_perf_webkit_json): Fix typo.
        (MainTest.test_run_with_repeat): Added new test for repeat count semantics.
        * Scripts/webkitpy/performance_tests/perftestsrunner_unittest.py:
        (MainTest.test_parse_args): Add test for repeat option parsing.

2013-03-07  Julie Parent  <jparent@chromium.org>

        showAllRuns checkbox no longer works on the stats dashboard
        https://bugs.webkit.org/show_bug.cgi?id=111673

        Reviewed by Ojan Vafai.

        Stats dashboard does not have any DB_SPECIFIC_INVALIDATING_PARAMETERS,
        so we were trying to index into an undefined object.
        
        * TestResultServer/static-dashboards/dashboard_base.js:
        (invalidateQueryParameters):

2013-03-07  Mark Pilgrim  <pilgrim@chromium.org>

        [Chromium] Update #include for WebStorageNamespace.h
        https://bugs.webkit.org/show_bug.cgi?id=111748

        Reviewed by Adam Barth.

        In anticipation of removing
        WK/chromium/public/WebStorageNamespace.h (once downstream
        references have been updated)

        * DumpRenderTree/chromium/WebViewHost.cpp:

2013-03-07  Dirk Pranke  <dpranke@chromium.org>

        run-perf-tests fails due to svn_revision not working on a pure git clone
        https://bugs.webkit.org/show_bug.cgi?id=110839

        Reviewed by Ryosuke Niwa.

        Previously we would call git svn find-rev to look up the commit for
        a given revision, and that'll hang in a pure git checkout.

        This patch changes the way we look up svn revisions in a git
        repository to use git log --grep 'git-svn-id', which is much faster
        than grepping ourselves. It also renames timestamp_of_latest_commit()
        to timestamp_of_revision() in order to accurately reflect what
        the method is doing. Note that this patch only changes the logic
        inside latest_revision() and svn_revision(). I'll file a separate
        bug to change git_commit_from_svn_revision().

        This patch also contains some fixes to unit tests that had bit-rotted
        or were otherwise fragile, so that test-webkitpy --all would pass
        cleanly, and a fix to outputcapture so that
        test-webkitpy -p would work correctly again.

        * Scripts/webkitpy/common/checkout/scm/git.py:
        (Git.svn_revision):
        (Git.timestamp_of_revision):
        * Scripts/webkitpy/common/checkout/scm/scm.py:
        (SCM.svn_revision):
        (SCM.timestamp_of_revision):
        * Scripts/webkitpy/common/checkout/scm/scm_mock.py:
        (MockSCM.timestamp_of_revision):
        * Scripts/webkitpy/common/checkout/scm/scm_unittest.py:
        (_shared_test_commit_with_message):
        (test_commit_without_authorization):
        (test_timestamp_of_revision):
        * Scripts/webkitpy/common/checkout/scm/svn.py:
        (SVN.timestamp_of_revision):
        * Scripts/webkitpy/common/system/outputcapture.py:
          Importing unittest2 directly may not be safe if this module is
          imported before the autoinstaller gets a chance to set things up
          properly. We don't actually need unittest2 here.
        * Scripts/webkitpy/performance_tests/perftestsrunner.py:
        (PerfTestsRunner._generate_results_dict):

2013-03-07  Christophe Dumez  <ch.dumez@sisa.samsung.com>

        [EFL] Bump libsoup dependency to 2.40.3 to fix regressions
        https://bugs.webkit.org/show_bug.cgi?id=111756

        Reviewed by Kenneth Rohde Christiansen.

        Bump libsoup to v2.40.3 to fix the regressions introduced by
        previous v2.40.0 bump.

        * efl/jhbuild.modules:

2013-03-07  Roger Fong  <roger_fong@apple.com>

        Re-enable Win EWS tests.

        * Scripts/webkitpy/tool/commands/earlywarningsystem.py:
        (WinEWS):

2013-03-07  Dirk Pranke  <dpranke@chromium.org>

        [nrwt] handle corrupt http server pid files cleanly
        https://bugs.webkit.org/show_bug.cgi?id=111628

        Reviewed by Eric Seidel.

        If the pid file from a previous http server is corrupt for some
        reason, NRWT will just raise errors and not clean it up or recover.
        This patch fixes that to at least delete the pid file and
        not throw; not that we may still have stale http servers left on
        the system, since there's no way to know which pid to kill if
        the file was corrupted.

        * Scripts/webkitpy/layout_tests/servers/http_server_base.py:
        (HttpServerBase.start):
        (HttpServerBase.stop):
        (HttpServerBase._remove_pid_file):
        * Scripts/webkitpy/layout_tests/servers/http_server_base_unittest.py: Added.
        (TestHttpServerBase):
        (TestHttpServerBase.test_corrupt_pid_file):

2013-03-07  Chris Fleizach  <cfleizach@apple.com>

        AX: Can't activate links with VoiceOver in Safari
        https://bugs.webkit.org/show_bug.cgi?id=111755

        Reviewed by Tim Horton.

        * DumpRenderTree/AccessibilityUIElement.cpp:
        (supportedActionsCallback):
        (AccessibilityUIElement::getJSClass):
        * DumpRenderTree/AccessibilityUIElement.h:
        (AccessibilityUIElement):
        * DumpRenderTree/mac/AccessibilityUIElementMac.mm:
        (AccessibilityUIElement::supportedActions):

2013-03-07  Roger Fong  <roger_fong@apple.com>

        Windows debug layout tests are crashing like crazy again.
        Disable tests on Win EWS bots temporarily.

        * Scripts/webkitpy/tool/commands/earlywarningsystem.py:
        (WinEWS):

2013-03-07  Roger Fong  <roger_fong@apple.com>

        Make EWS bots build and test in release.

        * Scripts/webkitpy/tool/commands/earlywarningsystem.py:
        (WinEWS):
        * Scripts/webkitpy/tool/steps/runtests.py:
        (RunTests.run):

2013-03-07  Jochen Eisinger  <jochen@chromium.org>

        [chromium] don't track the top loading frame if no layout test is currently running
        https://bugs.webkit.org/show_bug.cgi?id=111716

        Reviewed by Kentaro Hara.

        In DRT, we synchronously stop the test and start loading the next test
        URL. However, in content_shell, this happens asynchronously. It's
        important that the top loading frame is not changed due to stray
        navigation events before the next test starts.

        * DumpRenderTree/chromium/TestRunner/src/TestRunner.cpp:
        (WebTestRunner::TestRunner::setTopLoadingFrame):

2013-03-06  Julie Parent  <jparent@chromium.org>

        Dashboard cleanup: Move all dashboard ui related code into ui.js.
        https://bugs.webkit.org/show_bug.cgi?id=111621

        Reviewed by Ojan Vafai.
        
        Creates ui.js, a package for the common UI code the various
        dashboards use. HTML generation is now in the ui.html namespace
        and popup handling is in ui.popup.
        Also moves the event listening for popups to ui.popup.show and
        removes it on ui.popup.hid rather than having listener always
        around.

        * TestResultServer/static-dashboards/aggregate_results.html:
        * TestResultServer/static-dashboards/dashboard_base.js:
        * TestResultServer/static-dashboards/flakiness_dashboard.html:
        * TestResultServer/static-dashboards/flakiness_dashboard.js:
        (showPopupForBuild):
        (htmlForNavBar):
        (generatePageForIndividualTests.if):
        (generatePageForIndividualTests):
        * TestResultServer/static-dashboards/flakiness_dashboard_embedded_unittests.js:
        * TestResultServer/static-dashboards/flakiness_dashboard_unittests.js:
        * TestResultServer/static-dashboards/run-embedded-unittests.html:
        * TestResultServer/static-dashboards/run-unittests.html:
        * TestResultServer/static-dashboards/timeline_explorer.html:
        * TestResultServer/static-dashboards/treemap.html:
        * TestResultServer/static-dashboards/ui.js: Added.
        (.):

2013-03-06  Krzysztof Czech  <k.czech@samsung.com>

        [EFL] Missing implementation of AccessibilityControllerEfl and AccessibilityUIElementEfl files
        https://bugs.webkit.org/show_bug.cgi?id=110584

        Reviewed by Gyuyoung Kim.

        Adds missing implementation of AccessibilityControllerEfl
        and AccessibilityUIElementEfl files. Modify DumpRenderTreeChrome
        so that it can make accessibilityController as a js object.

        * DumpRenderTree/AccessibilityController.h:
        (AccessibilityController):
        * DumpRenderTree/AccessibilityUIElement.h:
        * DumpRenderTree/atk/AccessibilityControllerAtk.cpp:
        (AccessibilityController::childElementById): Moved declaration to base class.
        Implementation can be shared among other ports.
        * DumpRenderTree/efl/AccessibilityControllerEfl.cpp: Copied from Tools/DumpRenderTree/gtk/AccessibilityControllerGtk.cpp.
        (AccessibilityController::focusedElement):
        (AccessibilityController::rootElement):
        (AccessibilityController::accessibleElementById):
        * DumpRenderTree/efl/AccessibilityUIElementEfl.cpp: Copied from Tools/DumpRenderTree/atk/AccessibilityControllerAtk.cpp.
        (AccessibilityUIElement::helpText):
        * DumpRenderTree/efl/CMakeLists.txt:
        * DumpRenderTree/efl/DumpRenderTreeChrome.cpp:
        (DumpRenderTreeChrome::DumpRenderTreeChrome):
        (DumpRenderTreeChrome::resetDefaultsToConsistentValues):
        (DumpRenderTreeChrome::onWindowObjectCleared):
        (DumpRenderTreeChrome::accessibilityController):
        * DumpRenderTree/efl/DumpRenderTreeChrome.h:
        (DumpRenderTreeChrome):
        * DumpRenderTree/gtk/AccessibilityControllerGtk.cpp:

2013-03-06  Benjamin Poulain  <benjamin@webkit.org>

        WebKitTestRunner needs layoutTestController.elementDoesAutoCompleteForElementWithId
        https://bugs.webkit.org/show_bug.cgi?id=42696

        Reviewed by Andreas Kling.

        * DumpRenderTree/TestRunner.cpp:
        (TestRunner::staticFunctions):
        * DumpRenderTree/TestRunner.h:
        (TestRunner):
        * DumpRenderTree/blackberry/TestRunnerBlackBerry.cpp:
        * DumpRenderTree/chromium/TestRunner/src/TestRunner.cpp:
        (WebTestRunner::TestRunner::TestRunner):
        * DumpRenderTree/chromium/TestRunner/src/TestRunner.h:
        (TestRunner):
        * DumpRenderTree/efl/TestRunnerEfl.cpp:
        * DumpRenderTree/gtk/TestRunnerGtk.cpp:
        * DumpRenderTree/mac/TestRunnerMac.mm:
        * DumpRenderTree/qt/TestRunnerQt.cpp:
        * DumpRenderTree/qt/TestRunnerQt.h:
        (TestRunnerQt):
        * DumpRenderTree/win/TestRunnerWin.cpp:
        * DumpRenderTree/wx/TestRunnerWx.cpp:

2013-03-06  Roger Fong  <roger_fong@apple.com>

        Re-enable WinEWS test and decrease iterations before clean build back to 10.

        * EWSTools/start-queue-win.sh:
        * Scripts/webkitpy/tool/commands/earlywarningsystem.py:
        (WinEWS):

2013-03-06  Manuel Rego Casasnovas  <rego@igalia.com>

        [WK2][GTK] Fix unit test WebKit2APITests/WebKitWebView/mouse-target
        https://bugs.webkit.org/show_bug.cgi?id=82866

        Reviewed by Martin Robinson.

        * Scripts/run-gtk-tests:
        (TestRunner): Unflag WebKit2APITests/WebKitWebView/mouse-target test as
        it is passing now.

2013-03-06  Julie Parent  <jparent@chromium.org>

        Dashboard cleanup: remove dashboard time logging.
        https://bugs.webkit.org/show_bug.cgi?id=111608

        Reviewed by Dirk Pranke.

        Remove logTime.  It was never accurate, and the dev tools
        have better ways to measure this if anyone cares to look
        into dashboard perf.
        
        * TestResultServer/static-dashboards/dashboard_base.js:
        * TestResultServer/static-dashboards/flakiness_dashboard.js:
        (processTestRunsForBuilder):
        (appendHTML):

2013-03-06  Tony Chang  <tony@chromium.org>

        [chromium] making DumpRenderTree_resources a separate bundle breaks xcode
        https://bugs.webkit.org/show_bug.cgi?id=111509

        Reviewed by Dirk Pranke.

        Add DumpRenderTree.pak to DumpRenderTree.app again.

        * DumpRenderTree/DumpRenderTree.gyp/DumpRenderTree.gyp:

2013-03-06  Jochen Eisinger  <jochen@chromium.org>

        [chromium] introduce WebUserGestureIndicator
        https://bugs.webkit.org/show_bug.cgi?id=111531

        Reviewed by Adam Barth.

        * DumpRenderTree/chromium/WebViewHost.cpp:
        (WebViewHost::createView):

2013-03-06  Alan Cutter  <alancutter@chromium.org>

        sheriffbot roll-chromium-deps shouldn't create a bug with None as the new revision.
        https://bugs.webkit.org/show_bug.cgi?id=73482

        Reviewed by Ryosuke Niwa.

        Added input checking to the UpdateChromiumDEPS step.
        Removed the default use of LKGR when the revision input is invalid. "LKGR" must be explicitly given instead.

        * Scripts/webkitpy/tool/bot/irc_command.py: Updated input validation and error message handling.
        (RollChromiumDEPS):
        (RollChromiumDEPS._parse_args):
        (RollChromiumDEPS.execute):
        * Scripts/webkitpy/tool/bot/irc_command_unittest.py: Updated unit tests.
        (IRCCommandTest.test_roll_chromium_deps):
        * Scripts/webkitpy/tool/bot/ircbot_unittest.py: Updated unit tests.
        (IRCBotTest.test_roll_chromium_deps_to_lkgr):
        * Scripts/webkitpy/tool/commands/roll_unittest.py: Updated unit tests.
        * Scripts/webkitpy/tool/steps/updatechromiumdeps.py: Added input validation and added new error handling cases. Changed the logic of deciding to use LKGR to be only when the input is "LKGR".
        (UpdateChromiumDEPS._fetch_last_known_good_revision):
        (UpdateChromiumDEPS):
        (UpdateChromiumDEPS._parse_revision_number):
        (UpdateChromiumDEPS._validate_revisions):
        (UpdateChromiumDEPS.run):
        * Scripts/webkitpy/tool/steps/updatechromiumdeps_unittest.py: Added unit tests.
        (UpdateChromiumDEPSTest):
        (UpdateChromiumDEPSTest.test_parse_revision_number):
        * Scripts/webkitpy/tool/commands/roll.py: Updated help text.
        (RollChromiumDEPS):
        (PostChromiumDEPSRoll):

2013-03-06  Andras Becsi  <andras.becsi@digia.com>

        [Qt][MiniBrowser] Touch mocking broken for chained getures
        https://bugs.webkit.org/show_bug.cgi?id=111430

        Reviewed by Jocelyn Turcotte.

        Make it possible again to use touch mocking to test gesture chains
        like pan->pinch->pan->pinch without lifting the primary "finger".
        For this to work we need to track the pressed mouse buttons and
        only synthesize touch release events when the ctrl key is released
        if no mouse button is pressed. Else the pressed mouse button(s)
        should result in a stationary touch point in a touch update event.
        Since it has been fixed in Qt 5.0.1 use QGuiApplication::keyboardModifiers()
        to check for the state of the ctrl key modifier instead of getting
        it from the mouse events.

        * MiniBrowser/qt/MiniBrowserApplication.cpp:
        (MiniBrowserApplication::MiniBrowserApplication):
        (MiniBrowserApplication::notify):

2013-03-05  Dirk Pranke  <dpranke@chromium.org>

        [chromium] don't use custom freetype on linux asan for now
        https://bugs.webkit.org/show_bug.cgi?id=111516

        Unreviewed, build fix.

        Turns out the custom lib is getting picked up by other binaries
        on our bot, which is bad.

        * DumpRenderTree/DumpRenderTree.gyp/DumpRenderTree.gyp:

2013-03-05  Dirk Pranke  <dpranke@chromium.org>

        [chromium] making DumpRenderTree_resources a separate bundle breaks xcode
        https://bugs.webkit.org/show_bug.cgi?id=111509

        Unreviewed, build fix.

        Actually comment out the flag :(.

        * DumpRenderTree/DumpRenderTree.gyp/DumpRenderTree.gyp:

2013-03-05  Dirk Pranke  <dpranke@chromium.org>

        [chromium] making DumpRenderTree_resources a separate bundle breaks xcode
        https://bugs.webkit.org/show_bug.cgi?id=111509

        Unreviewed, build fix.

        r144863 appears to have broken the xcode build; I'm temporarily
        trying this instead, and if this doesn't work, I'll revert the
        other changes.

        * DumpRenderTree/DumpRenderTree.gyp/DumpRenderTree.gyp:

2013-03-05  Dirk Pranke  <dpranke@chromium.org>

        [chromium] build a DumpRenderTree.pak even on windows
        https://bugs.webkit.org/show_bug.cgi?id=111504

        Reviewed by Tony Chang.

        The Chromium Aura build uses the default theme to draw
        controls, and that theme requires the ui ResourceBundle
        to be initialized. On every other platform, we build
        a DumpRenderTree.pak that works for this, but on Windows we
        still compile the resources directly into DRT. As a first step,
        let's build the pak file. I will then need to land a patch
        in Chromium to actually load it. Then I can go back and move
        the resources over to just use the .pak file and no longer need
        the .rc's.

        * DumpRenderTree/DumpRenderTree.gyp/DumpRenderTree.gyp:

2013-03-05  Julie Parent  <jparent@chromium.org>
        Dashboard cleanup: move string utilities into their own namespace.
        
        https://bugs.webkit.org/show_bug.cgi?id=111485

        Reviewed by Ojan Vafai.
        
        One of many pieces to clean up dashboard_base.
        
        Moves string utility functions into separate file (string.js) and into their own namespace rather than cluttering up the global scope.

        * TestResultServer/static-dashboards/aggregate_results.html:
        * TestResultServer/static-dashboards/dashboard_base.js:
        (isTreeMap):
        (isFlakinessDashboard):
        * TestResultServer/static-dashboards/flakiness_dashboard.html:
        * TestResultServer/static-dashboards/flakiness_dashboard.js:
        (determineWKPlatform):
        (chromiumPlatform):
        (platformAndBuildType):
        (substringList):
        (individualTestsForSubstringList):
        (filterBugs):
        (populateExpectationsData):
        (processMissingTestsWithExpectations):
        (processMissingAndExtraExpectations):
        (htmlForSingleTestRow):
        (.dummyNode.onload):
        (expectationsTitle):
        * TestResultServer/static-dashboards/run-embedded-unittests.html:
        * TestResultServer/static-dashboards/run-unittests.html:
        * TestResultServer/static-dashboards/string.js: Added.
        * TestResultServer/static-dashboards/timeline_explorer.html:
        * TestResultServer/static-dashboards/treemap.html:

2013-03-05  Ryuan Choi  <ryuan.choi@samsung.com>

        [EFL] Build break with latest EFL libraries
        https://bugs.webkit.org/show_bug.cgi?id=111028

        Reviewed by Dirk Pranke.

        * MiniBrowser/efl/CMakeLists.txt: Added ECORE_XXX_INCLUDE_DIRS.
        * TestWebKitAPI/PlatformEfl.cmake: Ditto.
        * WebKitTestRunner/PlatformEfl.cmake: Ditto.

2013-03-05  Roger Fong  <roger_fong@apple.com>

        Increase number of WinEWS iterations to 20.
        Don't reboot after each iteration set.
        Make EWS bots just build temporarily so that the queue catches up again.

        * EWSTools/start-queue-win.sh:
        * Scripts/webkitpy/tool/commands/earlywarningsystem.py:
        (WinEWS):

2013-03-04  James Robinson  <jamesr@chromium.org>

        [chromium] Move check for threaded compositing from WebCompositorSupport to Platform
        https://bugs.webkit.org/show_bug.cgi?id=111386

        Reviewed by Adrienne Walker.

        * DumpRenderTree/chromium/TestShell.cpp:
        (TestShell::initialize):

2013-03-05  Min Qin  <qinmin@chromium.org>

        Copy dictionary to the external storage before running layout test on android
        https://bugs.webkit.org/show_bug.cgi?id=111480

        Reviewed by Adam Barth.

        TestWebKitPlatformSupport now needs to read an external dictionary file.
        This file does not exist on the device. We need to copy it before running layout tests.

        * Scripts/webkitpy/layout_tests/port/chromium_android.py:
        (ChromiumAndroidDriver._setup_md5sum_and_push_data_if_needed):
        (ChromiumAndroidDriver._push_platform_resources):

2013-03-05  Dirk Pranke  <dpranke@chromium.org>

        [chromium] DRT crashes in an Aura/Win build
        https://bugs.webkit.org/show_bug.cgi?id=111394

        Reviewed by Tony Chang.

        When building (and running) with use_aura=1, we assume that
        we're using the default theme engine, but DRT creates the
        DRTWin theme engine and overwrites the default, leading to crashes
        in basically every test from the mismatch.

        This fix gets us down to at least "lots of crashes" :).

        * DumpRenderTree/chromium/TestShellWin.cpp:
        (platformInit):

2013-03-05  Eric Seidel  <eric@webkit.org>

        Add html-parser-threaded perf test now that the threaded parser is enabled by default
        https://bugs.webkit.org/show_bug.cgi?id=111200

        Reviewed by Ryosuke Niwa.

        Had to teach run-perf-tests to ignore one more warning.

        * Scripts/webkitpy/performance_tests/perftest.py:
        (PerfTest):

2013-03-05  Jochen Eisinger  <jochen@chromium.org>

        Update list of builders for test results server
        https://bugs.webkit.org/show_bug.cgi?id=111166

        Reviewed by Ojan Vafai.

        * TestResultServer/static-dashboards/builders.jsonp:

2013-03-05  Martin Robinson  <mrobinson@igalia.com> and Tomas Popela  <tpopela@redhat.com>

        [GTK] Move basic dependency installation to a script
        https://bugs.webkit.org/show_bug.cgi?id=110692

        Reviewed by Gustavo Noronha Silva.

        * gtk/install-dependencies: Added. A Script which installs all dependencies
        necessary for building for Debian-based distributions and Fedora.

2013-03-05  James Robinson  <jamesr@chromium.org>

        Chromium DumpRenderTree dumps a core every time it's run (Linux/Debug)
        https://bugs.webkit.org/show_bug.cgi?id=111440

        Reviewed by Adrienne Walker.

        Remove unnecessary WebCompositorSupport::shutdown call

        * DumpRenderTree/chromium/DumpRenderTree.cpp:
        (main):

2013-03-05  Gustavo Noronha Silva  <gns@gnome.org>

        Unreviewed build fix.

        * GNUmakefile.am: add generate-feature-defines-files scripts to EXTRA_DIST.

2013-03-05  Andras Becsi  <andras.becsi@digia.com>

        [Qt][MiniBrowser] Improve the update of touch indicators
        https://bugs.webkit.org/show_bug.cgi?id=111429

        Reviewed by Jocelyn Turcotte.

        MiniBrowserApplication::sendTouchEvent sends an empty list
        to BrowserWindow::updateVisualMockTouchPoints if the control
        button is released, in which case the touch indicators should
        be hidden so that we never end up with a leftover indicator
        sticking on the screen.
        This patch also simplifies the lookup of the indicator items by
        replacing the findChild search in the item tree with a QHash
        that stores the touch ID's and the pointers to the corresponding
        indicator items.

        * MiniBrowser/qt/BrowserWindow.cpp:
        (BrowserWindow::updateVisualMockTouchPoints):
        * MiniBrowser/qt/BrowserWindow.h:
        (BrowserWindow):

2013-03-05  Tim Horton  <timothy_horton@apple.com>, Grzegorz Czajkowski  <g.czajkowski@samsung.com>

        [WK2] WTR needs an implementation of setAsynchronousSpellCheckingEnabled
        https://bugs.webkit.org/show_bug.cgi?id=81042

        Reviewed by Enrica Casucci.

        Add setAsynchronousSpellCheckingEnabled implementation for
        WebKitTestRunner to have the possibility to test asynchronous
        spell checking implementation from bug 109577.

        * WebKitTestRunner/InjectedBundle/Bindings/TestRunner.idl:
        * WebKitTestRunner/InjectedBundle/TestRunner.cpp:
        (WTR::TestRunner::setAsynchronousSpellCheckingEnabled):
        * WebKitTestRunner/InjectedBundle/TestRunner.h:
        * WebKitTestRunner/TestController.cpp:
        (WTR::TestController::resetStateToConsistentValues):

2013-03-05  Tommy Widenflycht  <tommyw@google.com>

        MediaStream API: Add the getStreamById method on RTCPeerConnection
        https://bugs.webkit.org/show_bug.cgi?id=111311

        Reviewed by Adam Barth.

        Changing mocks to be more realistic.

        * DumpRenderTree/chromium/TestRunner/src/MockWebRTCPeerConnectionHandler.cpp:
        (WebTestRunner::MockWebRTCPeerConnectionHandler::addStream):
        (WebTestRunner::MockWebRTCPeerConnectionHandler::removeStream):
        * DumpRenderTree/chromium/TestRunner/src/WebUserMediaClientMock.cpp:
        (WebTestRunner::WebUserMediaClientMock::requestUserMedia):

2013-03-05  Jochen Eisinger  <jochen@chromium.org>

        Add content shell bots to garden-o-matic for general failurse
        https://bugs.webkit.org/show_bug.cgi?id=111168

        Reviewed by Adam Barth.

        All but the WebKit (Content Shell) Android bot is stable enough. While
        they're not green yet, there must not be any non-layout test failures on
        them.

        * BuildSlaveSupport/build.webkit.org-config/public_html/TestFailures/scripts/config.js:
        (.):

2013-03-04  Jochen Eisinger  <jochen@chromium.org>

        [chromium] remove deprecated WebTestRunner::setFocus API
        https://bugs.webkit.org/show_bug.cgi?id=111354

        Reviewed by James Robinson.

        * DumpRenderTree/chromium/TestRunner/public/WebTestDelegate.h:
        (WebTestDelegate):

2013-03-04  Jochen Eisinger  <jochen@chromium.org>

        Run the bindings generation tests on EWS and CQ bots
        https://bugs.webkit.org/show_bug.cgi?id=111358

        Reviewed by Adam Barth.

        The tests are super fast and not flaky.

        * Scripts/webkitpy/common/config/ports.py:
        (DeprecatedPort.run_bindings_tests_command):
        * Scripts/webkitpy/common/config/ports_mock.py:
        (MockPort.run_webkit_tests_command):
        (MockPort):
        (MockPort.run_bindings_tests_command):
        * Scripts/webkitpy/tool/commands/download_unittest.py:
        * Scripts/webkitpy/tool/steps/runtests.py:
        (RunTests.run):
        * Scripts/webkitpy/tool/steps/runtests_unittest.py:
        (RunTestsTest.test_webkit_run_unit_tests):
        * Scripts/webkitpy/tool/steps/steps_unittest.py:

2013-03-04  Eric Seidel  <eric@webkit.org>

        run-webkit-tests should support --profile and --profiler= just like run-perf-tests does
        https://bugs.webkit.org/show_bug.cgi?id=111384

        Reviewed by Ryosuke Niwa.

        Sometimes I want to know why various LayoutTests are slow
        without having to convert them into PerformanceTests in order
        to use our fancy profiling.  The Driver already knows how to
        do the right thing, we just need to expose the options to the user.

        Handling of these options is already unittested in the perftests_unittest.

        * Scripts/webkitpy/layout_tests/run_webkit_tests.py:
        (parse_args):

2013-03-04  Alan Cutter  <alancutter@chromium.org>

        check-webkit-style says "Have to enable auto props in the subversion config file"
        https://bugs.webkit.org/show_bug.cgi?id=107724

        Reviewed by Tony Chang.

        Added a standard svn config file for WebKit developers to use.
        Updated the style and commit queue bot build scripts to load this file.

        * EWSTools/GoogleComputeEngine/build-commit-queue.sh:
        * EWSTools/GoogleComputeEngine/build-feeder-style-sheriffbot.sh:
        * EWSTools/configure-svn-config.sh: Copied from Tools/EWSTools/GoogleComputeEngine/build-commit-queue.sh.
        * svn-config: Added.

2013-03-04  James Robinson  <jamesr@chromium.org>

        [chromium] Switch to new webkit_support::CreateLayerTreeView interface
        https://bugs.webkit.org/show_bug.cgi?id=111285

        Reviewed by Adrienne Walker.

        This removes the need for WebCompositorSupport::initialize and exposes
        slightly fewer entry points across the repository boundary.

        * DumpRenderTree/chromium/TestShell.cpp:
        (TestShell::initialize):
        * DumpRenderTree/chromium/TestShell.h:
        (TestShell::webCompositorThread):
        (TestShell):
        * DumpRenderTree/chromium/WebViewHost.cpp:
        (WebViewHost::initializeLayerTreeView):

2013-03-04  Roger Fong  <roger_fong@apple.com>

        Unreviewed. Get rid of some AppleWin VS2010 build warnings.

        * DumpRenderTree/DumpRenderTree.vcxproj/TestNetscapePlugin/TestNetscapePluginCommon.props:

2013-03-04  David Kilzer  <ddkilzer@apple.com>

        BUILD FIX (r144657): Fix DumpRenderTree build failure on iOS

            Tools/DumpRenderTree/ios/AccessibilityControllerIOS.mm:95:29: error: class method '+stringWithJSStringRef:' not found (return type defaults to 'id') [-Werror,-Wobjc-method-access]
                NSString *idAttribute = [NSString stringWithJSStringRef:idAttributeRef];
                                        ^         ~~~~~~~~~~~~~~~~~~~~~
            1 error generated.

        * DumpRenderTree/ios/AccessibilityControllerIOS.mm: Import
        AccessibilityCommonMac.h.

2013-03-04  Mikhail Pozdnyakov  <mikhail.pozdnyakov@intel.com>

        [WK2][EFL] Add callbacks to the WKViewClient to handle Web Process crash and relaunch
        https://bugs.webkit.org/show_bug.cgi?id=109828

        Reviewed by Kenneth Rohde Christiansen.

        Added API test for newly added Web Process crash and Web Process relaunch WKViewClient
        callbacks.

        * TestWebKitAPI/CMakeLists.txt:

            Tests located in 'TestWebKitAPI/Tests/WebKit2' subdirectories are also
            considered.

        * TestWebKitAPI/PlatformEfl.cmake:
        * TestWebKitAPI/Tests/WebKit2/efl/WKViewClientWebProcessCallbacks.cpp: Added.
        (TestWebKitAPI):
        (TestWebKitAPI::didFinishLoadForFrame):
        (TestWebKitAPI::setPageLoaderClient):
        (TestWebKitAPI::webProcessCrashed):
        (TestWebKitAPI::webProcessDidRelaunch):
        (TestWebKitAPI::setViewClient):
        (TestWebKitAPI::TEST):

2013-03-04  Chris Fleizach  <cfleizach@apple.com>

        AX: Upstream iOS Accessibility DumpRenderTree changes
        https://bugs.webkit.org/show_bug.cgi?id=111220

        Reviewed by David Kilzer.

        Upstream the iOS changes for accessibility in DumpRenderTree.

        * DumpRenderTree/AccessibilityUIElement.cpp:
        (headerElementAtIndexCallback):
        (linkedElementCallback):
        (elementsForRangeCallback):
        (increaseTextSelectionCallback):
        (decreaseTextSelectionCallback):
        (assistiveTechnologySimulatedFocusCallback):
        (stringForSelectionCallback):
        (getIPhoneLabelCallback):
        (getIPhoneHintCallback):
        (getIPhoneValueCallback):
        (getIPhoneIdentifierCallback):
        (getIPhoneTraitsCallback):
        (getIPhoneIsElementCallback):
        (getIPhoneElementTextPositionCallback):
        (getIPhoneElementTextLengthCallback):
        (AccessibilityUIElement::getJSClass):
        * DumpRenderTree/AccessibilityUIElement.h:
        (AccessibilityUIElement):
        * DumpRenderTree/DumpRenderTree.xcodeproj/project.pbxproj:
        * DumpRenderTree/ios: Added.
        * DumpRenderTree/ios/AccessibilityControllerIOS.mm: Added.
        (AccessibilityController::AccessibilityController):
        (AccessibilityController::~AccessibilityController):
        (AccessibilityController::elementAtPoint):
        (AccessibilityController::focusedElement):
        (AccessibilityController::rootElement):
        (findAccessibleObjectById):
        (AccessibilityController::accessibleElementById):
        (AccessibilityController::setLogFocusEvents):
        (AccessibilityController::setLogScrollingStartEvents):
        (AccessibilityController::setLogValueChangeEvents):
        (AccessibilityController::setLogAccessibilityEvents):
        (AccessibilityController::addNotificationListener):
        (AccessibilityController::removeNotificationListener):
        * DumpRenderTree/ios/AccessibilityUIElementIOS.mm: Added.
        (AccessibilityUIElement::AccessibilityUIElement):
        (AccessibilityUIElement::~AccessibilityUIElement):
        (concatenateAttributeAndValue):
        (AccessibilityUIElement::iphoneLabel):
        (AccessibilityUIElement::iphoneHint):
        (AccessibilityUIElement::iphoneValue):
        (AccessibilityUIElement::iphoneIdentifier):
        (AccessibilityUIElement::iphoneTraits):
        (AccessibilityUIElement::iphoneIsElement):
        (AccessibilityUIElement::iphoneElementTextPosition):
        (AccessibilityUIElement::iphoneElementTextLength):
        (AccessibilityUIElement::url):
        (AccessibilityUIElement::x):
        (AccessibilityUIElement::y):
        (AccessibilityUIElement::width):
        (AccessibilityUIElement::height):
        (AccessibilityUIElement::clickPointX):
        (AccessibilityUIElement::clickPointY):
        (AccessibilityUIElement::getChildren):
        (AccessibilityUIElement::getChildrenWithRange):
        (AccessibilityUIElement::childrenCount):
        (AccessibilityUIElement::elementAtPoint):
        (AccessibilityUIElement::indexOfChild):
        (AccessibilityUIElement::getChildAtIndex):
        (AccessibilityUIElement::headerElementAtIndex):
        (AccessibilityUIElement::linkedElement):
        (AccessibilityUIElement::linkedUIElementAtIndex):
        (AccessibilityUIElement::ariaOwnsElementAtIndex):
        (AccessibilityUIElement::ariaFlowToElementAtIndex):
        (AccessibilityUIElement::disclosedRowAtIndex):
        (AccessibilityUIElement::selectedRowAtIndex):
        (AccessibilityUIElement::rowAtIndex):
        (AccessibilityUIElement::titleUIElement):
        (AccessibilityUIElement::parentElement):
        (AccessibilityUIElement::disclosedByRow):
        (AccessibilityUIElement::increaseTextSelection):
        (AccessibilityUIElement::decreaseTextSelection):
        (AccessibilityUIElement::stringForSelection):
        (AccessibilityUIElement::stringForRange):
        (AccessibilityUIElement::attributedStringForRange):
        (AccessibilityUIElement::attributedStringRangeIsMisspelled):
        (AccessibilityUIElement::elementsForRange):
        (AccessibilityUIElement::getLinkedUIElements):
        (AccessibilityUIElement::getDocumentLinks):
        (AccessibilityUIElement::attributesOfLinkedUIElements):
        (AccessibilityUIElement::attributesOfDocumentLinks):
        (AccessibilityUIElement::attributesOfChildren):
        (AccessibilityUIElement::allAttributes):
        (AccessibilityUIElement::stringAttributeValue):
        (AccessibilityUIElement::isPressActionSupported):
        (AccessibilityUIElement::isIncrementActionSupported):
        (AccessibilityUIElement::isDecrementActionSupported):
        (AccessibilityUIElement::boolAttributeValue):
        (AccessibilityUIElement::isAttributeSettable):
        (AccessibilityUIElement::isAttributeSupported):
        (AccessibilityUIElement::parameterizedAttributeNames):
        (AccessibilityUIElement::role):
        (AccessibilityUIElement::subrole):
        (AccessibilityUIElement::roleDescription):
        (AccessibilityUIElement::title):
        (AccessibilityUIElement::description):
        (AccessibilityUIElement::orientation):
        (AccessibilityUIElement::stringValue):
        (AccessibilityUIElement::language):
        (AccessibilityUIElement::helpText):
        (AccessibilityUIElement::intValue):
        (AccessibilityUIElement::minValue):
        (AccessibilityUIElement::maxValue):
        (AccessibilityUIElement::valueDescription):
        (AccessibilityUIElement::insertionPointLineNumber):
        (AccessibilityUIElement::isEnabled):
        (AccessibilityUIElement::isRequired):
        (AccessibilityUIElement::isFocused):
        (AccessibilityUIElement::isSelected):
        (AccessibilityUIElement::isExpanded):
        (AccessibilityUIElement::isChecked):
        (AccessibilityUIElement::hierarchicalLevel):
        (AccessibilityUIElement::ariaIsGrabbed):
        (AccessibilityUIElement::ariaDropEffects):
        (AccessibilityUIElement::lineForIndex):
        (AccessibilityUIElement::boundsForRange):
        (AccessibilityUIElement::attributesOfColumnHeaders):
        (AccessibilityUIElement::attributesOfRowHeaders):
        (AccessibilityUIElement::attributesOfColumns):
        (AccessibilityUIElement::attributesOfRows):
        (AccessibilityUIElement::attributesOfVisibleCells):
        (AccessibilityUIElement::attributesOfHeader):
        (AccessibilityUIElement::rowCount):
        (AccessibilityUIElement::columnCount):
        (AccessibilityUIElement::indexInTable):
        (AccessibilityUIElement::rowIndexRange):
        (AccessibilityUIElement::columnIndexRange):
        (AccessibilityUIElement::cellForColumnAndRow):
        (AccessibilityUIElement::selectedTextRange):
        (AccessibilityUIElement::assistiveTechnologySimulatedFocus):
        (AccessibilityUIElement::setSelectedTextRange):
        (AccessibilityUIElement::increment):
        (AccessibilityUIElement::decrement):
        (AccessibilityUIElement::showMenu):
        (AccessibilityUIElement::press):
        (AccessibilityUIElement::accessibilityValue):
        (AccessibilityUIElement::documentEncoding):
        (AccessibilityUIElement::documentURI):
        (_accessibilityNotificationCallback):
        (AccessibilityUIElement::addNotificationListener):
        (AccessibilityUIElement::removeNotificationListener):
        (AccessibilityUIElement::isFocusable):
        (AccessibilityUIElement::isSelectable):
        (AccessibilityUIElement::isMultiSelectable):
        (AccessibilityUIElement::isSelectedOptionActive):
        (AccessibilityUIElement::isVisible):
        (AccessibilityUIElement::isOffScreen):
        (AccessibilityUIElement::isCollapsed):
        (AccessibilityUIElement::isIgnored):
        (AccessibilityUIElement::hasPopup):
        (AccessibilityUIElement::takeFocus):
        (AccessibilityUIElement::takeSelection):
        (AccessibilityUIElement::addSelection):
        (AccessibilityUIElement::removeSelection):
        (AccessibilityUIElement::uiElementForSearchPredicate):
        (AccessibilityUIElement::numberAttributeValue):

2013-03-04  Jochen Eisinger  <jochen@chromium.org>

        [chromium] pass all focus handling methods through the WebTestDelegate
        https://bugs.webkit.org/show_bug.cgi?id=111328

        Reviewed by Nico Weber.

        In content_shell, the focus handling is asynchronous. To allow for
        switching the focus synchronously between WebViews, we need to intercept
        didFocus and didBlur and forward it to the WebTestDelegate.

        * DumpRenderTree/chromium/TestRunner/public/WebTestDelegate.h:
        (WebTestDelegate):
        (WebTestRunner::WebTestDelegate::setFocus):
        * DumpRenderTree/chromium/TestRunner/public/WebTestProxy.h:
        (WebTestRunner::WebTestProxy::didFocus):
        (WebTestRunner::WebTestProxy::didBlur):
        * DumpRenderTree/chromium/TestRunner/src/TestRunner.cpp:
        (WebTestRunner::TestRunner::setWindowIsKey):
        * DumpRenderTree/chromium/TestRunner/src/WebTestProxy.cpp:
        (WebTestRunner::WebTestProxyBase::didFocus):
        (WebTestRunner):
        (WebTestRunner::WebTestProxyBase::didBlur):
        * DumpRenderTree/chromium/WebViewHost.cpp:
        (WebViewHost::didFocus):
        (WebViewHost::didBlur):
        (WebViewHost::setFocus):
        * DumpRenderTree/chromium/WebViewHost.h:
        (WebViewHost):

2013-03-04  Claudio Saavedra  <csaavedra@igalia.com>

        [GTK] No need to manually add system paths to jhbuildrc
        https://bugs.webkit.org/show_bug.cgi?id=110850

        Reviewed by Gustavo Noronha Silva.

        * gtk/jhbuildrc: Remove calls to addpath() for items that jhbuild
        already takes care of.

2013-03-04  Kinuko Yasuda  <kinuko@chromium.org>

        [chromium] TestWebKitAPI WTF.StringHasher_addCharacters is broken on Chromium Android
        https://bugs.webkit.org/show_bug.cgi?id=111284

        Disabling the failing two tests on Android.

        Reviewed by Jochen Eisinger.

        * TestWebKitAPI/Tests/WTF/StringHasher.cpp:
        (TestWebKitAPI):
        (TestWebKitAPI::TEST):

2013-03-04  Kunihiko Sakamoto  <ksakamoto@chromium.org>

        Add build flag for FontLoader
        https://bugs.webkit.org/show_bug.cgi?id=111289

        Reviewed by Benjamin Poulain.

        Add ENABLE_FONT_LOAD_EVENTS build flag (disabled by default).

        * Scripts/webkitperl/FeatureList.pm:
        * qmake/mkspecs/features/features.pri:

2013-03-03  Benjamin Poulain  <benjamin@webkit.org>

        [Mac] Get rid of a useless method from DOMHTMLInputElement
        https://bugs.webkit.org/show_bug.cgi?id=111279

        Reviewed by Sam Weinig.

        * DumpRenderTree/mac/TestRunnerMac.mm:
        (TestRunner::setValueForUser):
        The method _setValueForUser: was added for testing. This feature is already
        exposed by DOMHTMLInputElement as a private API and it is how this code is exercised
        in real use cases. Get rid of the method created for testing, use the real thing
        instead.

2013-03-03  Ryosuke Niwa  <rniwa@webkit.org>

        Some perf. tests have variances that differ greatly between runs
        https://bugs.webkit.org/show_bug.cgi?id=97510

        Reviewed by Benjamin Poulain.

        Use multiple instances of DumpRenderTree or WebKitTestRunner to amortize the effect of the runtime
        environment on test results (we run each instance after one another, not in parallel).

        We use 4 instances of the test runner, each executing 5 in-process iterations, for the total of 20
        iterations as it was done previously in single process. These values are hard-coded in perftest.py
        and runner.js but they are to be configurable in the future.

        Set of 5 iterations obtained by the same test runner is treated as an "iteration group" and each
        metric now reports an array of the length 4 with each element containing an array of 5 iteration
        values obtained by each test runner instance as opposed to a flattened array of 20 iteration values.

        Unfortunately, we can use the same trick on Dromaeo because we're already doing only 5 iterations
        and repeating the entire Dromaeo 4 times will take too long. We need to disable more Dromaeo tests
        as needed. To this end, added SingleProcessPerfTest to preserve the old behavior.

        * Scripts/webkitpy/performance_tests/perftest.py:
        (PerfTestMetric.append_group): Renamed from append.
        (PerfTestMetric.grouped_iteration_values): Added.
        (PerfTestMetric.flattened_iteration_values): Renamed from iteration_values.

        (PerfTest.__init__): Takes the number of processes (drivers) to run tests with.
        This parameter is only used by SingleProcessPerfTest.

        (PerfTest.run): Repeat tests using different driver processes.
        (PerfTest._run_with_driver): Returns a boolean instead of a list of measured metrics
        since metrics are shared between multiple drivers (i.e. multiple calls to _run_with_driver).
        We instead use _ensure_metrics to obtain the matched metrics and store the data there.
        (PerfTest._ensure_metrics): Added.

        (SingleProcessPerfTest): Added. Used to run Dromaeo tests where running it on 4 different
        instances of DumpRenderTree/WebKitTestRunner takes too long.
        (SingleProcessPerfTest.__init__):

        (ReplayPerfTest._run_with_driver): Updated to use _ensure_metrics.

        (PerfTestFactory): Use SingleProcessPerfTest to run Dromaeo tests.

        * Scripts/webkitpy/performance_tests/perftest_unittest.py: Updated various tests that expect
        _run_with_driver to return a list of metrics. Now it returns a boolean indicating whether
        the test succeeded or not. Obtain the dictionary of metrics via test._metrics instead.

        (TestPerfTestMetric.test_append): Updated per name and added some test cases for
        grouped_iteration_values.

        (TestPerfTest._assert_results_are_correct):

        (TestSingleProcessPerfTest): Added.
        (TestSingleProcessPerfTest.test_use_only_one_process):
        (TestSingleProcessPerfTest.test_use_only_one_process.run_single):

        (TestReplayPerfTest.test_run_with_driver_accumulates_results):
        (TestReplayPerfTest.test_run_with_driver_accumulates_memory_results):

        * Scripts/webkitpy/performance_tests/perftestsrunner_integrationtest.py: Updated values of
        sample standard deviations since we're now running tests 4 times.
        (MainTest._test_run_with_json_output.mock_upload_json):
        (MainTest.test_run_with_upload_json_should_generate_perf_webkit_json):

2013-03-03  Alexandre Elias  <aelias@chromium.org>

        [chromium] Remove WebLayerTreeView::setViewportSize call
        https://bugs.webkit.org/show_bug.cgi?id=110727

        Reviewed by James Robinson.

        After https://codereview.chromium.org/12328080 lands,
        setViewportSize is called from the Chromium side. The multiplication
        by deviceScaleFactor here was prone to off-by-one errors.
        The layoutSize() function was only used here so delete it as well.

        DumpRenderTree WebViewHost must now call this method as well.

        * DumpRenderTree/chromium/WebViewHost.cpp:
        (WebViewHost::initializeLayerTreeView):
        (WebViewHost::setWindowRect):
        (WebViewHost::setDeviceScaleFactor):
        (WebViewHost::updateViewportSize):
        * DumpRenderTree/chromium/WebViewHost.h:
        (WebViewHost):

2013-02-27  Darin Adler  <darin@apple.com>

        StringHasher functions require alignment that call sites do not all guarantee
        https://bugs.webkit.org/show_bug.cgi?id=110171

        Reviewed by Benjamin Poulain.

        * TestWebKitAPI/CMakeLists.txt:
        * TestWebKitAPI/GNUmakefile.am:
        * TestWebKitAPI/TestWebKitAPI.gypi:
        * TestWebKitAPI/TestWebKitAPI.vcxproj/TestWebKitAPI.vcxproj:
        * TestWebKitAPI/TestWebKitAPI.vcxproj/TestWebKitAPI.vcxproj.filters:
        * TestWebKitAPI/TestWebKitAPI.xcodeproj/project.pbxproj:
        * TestWebKitAPI/Tests/WTF/WTF.pro:
        * TestWebKitAPI/win/TestWebKitAPI.vcproj:
        Added the StringHasher.cpp file.

        * TestWebKitAPI/Tests/WTF/StringHasher.cpp: Added. Contains a bunch of tests
        for the functions in the StringHasher class.

2013-03-02  Benjamin Poulain  <bpoulain@apple.com>

        Move computedStyleIncludingVisitedInfo from TestRunner to Internals
        https://bugs.webkit.org/show_bug.cgi?id=109772

        Reviewed by Andreas Kling.

        * DumpRenderTree/TestRunner.cpp:
        (TestRunner::staticFunctions):
        * DumpRenderTree/TestRunner.h:
        (TestRunner):
        * DumpRenderTree/blackberry/TestRunnerBlackBerry.cpp:
        * DumpRenderTree/efl/TestRunnerEfl.cpp:
        * DumpRenderTree/gtk/TestRunnerGtk.cpp:
        * DumpRenderTree/mac/TestRunnerMac.mm:
        * DumpRenderTree/qt/TestRunnerQt.cpp:
        * DumpRenderTree/qt/TestRunnerQt.h:
        (TestRunner):
        * DumpRenderTree/win/TestRunnerWin.cpp:
        * DumpRenderTree/wx/TestRunnerWx.cpp:
        * WebKitTestRunner/InjectedBundle/Bindings/TestRunner.idl:
        * WebKitTestRunner/InjectedBundle/TestRunner.cpp:
        * WebKitTestRunner/InjectedBundle/TestRunner.h:
        (TestRunner):

2013-03-01  Ilya Tikhonovsky  <loislo@chromium.org>

        Web Inspector: Native Memory Instrumentation: do not visit raw pointers by default.
        https://bugs.webkit.org/show_bug.cgi?id=110943

        Reviewed by Yury Semikhatsky.

        Unfortunately in many cases raw pointer may point to an object that has been deleted.
        There is no working solution to solve this problem in general.
        It could be solved only on case by case basis.

        * TestWebKitAPI/Tests/WTF/MemoryInstrumentationTest.cpp:
        * TestWebKitAPI/Tests/WebCore/HeapGraphSerializerTest.cpp:
        (TestWebKitAPI::TEST):

2013-03-01  Jason Anderssen  <janderssen@gmail.com>

        Move markerTextForListItem from TestRunner to Internals
        https://bugs.webkit.org/show_bug.cgi?id=110939

        Reviewed by Benjamin Poulain.

        * DumpRenderTree/TestRunner.cpp:
        (TestRunner::staticFunctions):
        * DumpRenderTree/TestRunner.h:
        (TestRunner):
        * DumpRenderTree/blackberry/TestRunnerBlackBerry.cpp:
        * DumpRenderTree/chromium/TestRunner/src/TestRunner.cpp:
        (WebTestRunner::TestRunner::TestRunner):
        * DumpRenderTree/chromium/TestRunner/src/TestRunner.h:
        (TestRunner):
        * DumpRenderTree/efl/TestRunnerEfl.cpp:
        * DumpRenderTree/gtk/TestRunnerGtk.cpp:
        * DumpRenderTree/mac/TestRunnerMac.mm:
        * DumpRenderTree/qt/TestRunnerQt.cpp:
        * DumpRenderTree/qt/TestRunnerQt.h:
        (TestRunnerQt):
        * DumpRenderTree/win/TestRunnerWin.cpp:
        * DumpRenderTree/wx/TestRunnerWx.cpp:
        * WebKitTestRunner/InjectedBundle/Bindings/TestRunner.idl:
        * WebKitTestRunner/InjectedBundle/TestRunner.cpp:
        * WebKitTestRunner/InjectedBundle/TestRunner.h:
        (TestRunner):

2013-03-01  Ryosuke Niwa  <rniwa@webkit.org>

        Don't use legacy test names when returning results from PerfTest.run
        https://bugs.webkit.org/show_bug.cgi?id=111148

        Reviewed by Dirk Pranke.

        * Scripts/webkitpy/performance_tests/perftest.py:
        (PerfTestMetric.name): Renamed from metric.
        (PerfTest.test_name_without_file_extension): Extracted from legacy_chromium_bot_compatible_test_name.
        (PerfTest.run): Use metric name instead of the legacy name to store iteration values.
        (ChromiumStylePerfTest.parse_and_log_output): Use the metric name to store results as done in PerfTest.run.

        * Scripts/webkitpy/performance_tests/perftest_unittest.py:
        (TestPerfTestMetric.test_init_set_time_metric):
        (TestPerfTestMetric.legacy_chromium_bot_compatible_test_name): Removed. The integration tests test this.
        (TestReplayPerfTest.test_run_with_driver_accumulates_results):
        (TestReplayPerfTest.test_run_with_driver_accumulates_memory_results):

        * Scripts/webkitpy/performance_tests/perftestsrunner.py:
        (PerfTestsRunner.__init__):
        (PerfTestsRunner._generate_results_dict): Updated to iterate over (test, metrics) pair. Use view_source_url
        to obtain the trac URL instead of hard coding it.
        (PerfTestsRunner._run_tests_set):

2013-03-01  Roger Fong  <roger_fong@apple.com>

        Unreviewed. Add an extra project that assembles all project build logs on Windows into a single file.
        https://bugs.webkit.org/show_bug.cgi?id=111202

        This is useful for running VCExpress builds from command line because there is
        no unified solution output, only per project build logs.
        The project will be run as the last project in the solution.

        * win/AssembleBuildLogs: Added.
        * win/AssembleBuildLogs/AssembleBuildLogs.vcxproj: Added.
        * win/AssembleBuildLogs/AssembleBuildLogs.vcxproj.filters: Added.
        * win/AssembleBuildLogs/AssembleLogs.cmd: Added.
        * win/AssembleBuildLogs/README: Added.

2013-03-01  Roger Fong  <roger_fong@apple.com>

        Unreviewed. Increase number of patches processed before clean building on WinEWS bots.

        * EWSTools/start-queue-win.sh:

2013-03-01  Ryosuke Niwa  <rniwa@webkit.org>

        Don't return statistics in PerfTest.run
        https://bugs.webkit.org/show_bug.cgi?id=111145

        Reviewed by Dirk Pranke.

        Simply return a list of values obtained in each iteration from PerfTest.run.
        Also simplify various methods as needed.

        * Scripts/webkitpy/performance_tests/perftest.py:
        (PerfTestMetric.__init__): Moved the code to convert 'Time' metric to 'FrameRate' and 'Runs'
        as needed from PerfTestsRunner._generate_results_dict.

        (PerfTestMetric.legacy_chromium_bot_compatible_test_name): Always append the metric name now
        that we don't have to worry about the backward compatibility here.

        (PerfTestMetric.iteration_values): Added.
        (PerfTestMetric.unit): Added.
        (PerfTestMetric.metric_to_unit):
        (PerfTestMetric.time_unit_to_metric): Extracted from PerfTestsRunner._generate_results_dict.

        (PerfTest.run):
        (PerfTest.log_statistics): Merged compute_statistics and self.output_statistics.

        * Scripts/webkitpy/performance_tests/perftest_unittest.py:
        (TestPerfTestMetric.test_init_set_missing_unit):
        (TestPerfTestMetric.test_init_set_time_metric): Added.
        (TestPerfTestMetric.test_legacy_chromium_bot_compatible_test_name):
        (TestPerfTestMetric.test_append):
        (TestPerfTestMetric.test_compute_statistics): Removed. Integration tests check some of these
        test cases and it's not critical to keep math right as they're not used in output JSON anymore.
        (TestPerfTest._assert_results_are_correct):
        (TestReplayPerfTest.test_run_with_driver_accumulates_results):
        (TestReplayPerfTest.test_run_with_driver_accumulates_memory_results):

        * Scripts/webkitpy/performance_tests/perftestsrunner.py:
        (PerfTestsRunner._generate_results_dict):

        * Scripts/webkitpy/performance_tests/perftestsrunner_integrationtest.py:
        (EventTargetWrapperTestData): The metric name shows up at the end of the test name as expected.
        (SomeParserTestData): Ditto.
        (MemoryTestData): Ditto.

2013-03-01  Allan Sandfeld Jensen  <allan.jensen@digia.com>

        [Qt] Enable LINK_PREFETCH
        https://bugs.webkit.org/show_bug.cgi?id=111158

        Reviewed by Simon Hausmann.

        * qmake/mkspecs/features/features.pri:

2013-03-01  Allan Sandfeld Jensen  <allan.jensen@digia.com>

        [Qt] Update features.pri with new features
        https://bugs.webkit.org/show_bug.cgi?id=111157

        Reviewed by Jocelyn Turcotte.

        * qmake/mkspecs/features/features.pri:

2013-03-01  Jochen Eisinger  <jochen@chromium.org>

        [chromium] put WebTestProxy::scheduleComposite back in place
        https://bugs.webkit.org/show_bug.cgi?id=111146

        Reviewed by Nico Weber.

        The call was removed in http://trac.webkit.org/changeset/144398 because
        DRT doesn't need it. However, content shell depends on this call.

        * DumpRenderTree/chromium/TestRunner/public/WebTestProxy.h:
        (WebTestRunner::WebTestProxy::scheduleComposite):

2013-02-28  Ryosuke Niwa  <rniwa@webkit.org>

        Merge PerfTestRunner._run_single_test into PerfTestRunner._run_tests_set
        https://bugs.webkit.org/show_bug.cgi?id=111142

        Reviewed by Adam Barth.

        Merged _run_single_test into _run_tests_set. The code looks much cleaner now.

        Also removed _print_status since it's never used anywhere.

        * Scripts/webkitpy/performance_tests/perftestsrunner.py:
        (PerfTestsRunner.run):
        (PerfTestsRunner._run_tests_set):
        * Scripts/webkitpy/performance_tests/perftestsrunner_integrationtest.py:
        (MainTest.run_test):
        (MainTest.test_run_test_set):
        (MainTest.test_run_test_set_kills_drt_per_run):
        (MainTest.test_run_test_set_for_parser_tests):

2013-02-28  Kiran Muppala  <cmuppala@apple.com>

        Disable window occlusion detection for WebKitTestRunner Web View on Mac
        https://bugs.webkit.org/show_bug.cgi?id=111116

        Reviewed by Simon Fraser.

        Window occlusion notifications were causing WebKitTestRunner's Web View
        to be detected as occluded and causing a few JavaScript timer layout
        tests to fail.  https://bugs.webkit.org/show_bug.cgi?id=111025, fixed this
        by initializing the page visibility to "visible" after creating the view.
        But a better solution is to disable window occlusion detection, so that
        not only the page but also the view is treated as visible.

        * WebKitTestRunner/TestController.cpp:
        (WTR::TestController::createWebViewWithOptions): Remove call to
        setVisibilityState, since it is no longer necessary.
        * WebKitTestRunner/mac/PlatformWebViewMac.mm:
        (WTR::PlatformWebView::PlatformWebView): Disable window occlusion
        detection for the created WKView.

2013-02-28  Li Yin  <li.yin@intel.com>

        [chromium] Events can't be triggered on MediaStreamTrack
        https://bugs.webkit.org/show_bug.cgi?id=110930

        Reviewed by Kentaro Hara.

        Related code was moved to MediaStreamCenterChromium::didStopLocalMediaStream

        * DumpRenderTree/chromium/TestRunner/src/MockWebMediaStreamCenter.cpp:
        (WebTestRunner::MockWebMediaStreamCenter::didStopLocalMediaStream):

2013-02-27  James Robinson  <jamesr@chromium.org>

        [chromium] Use DumpRenderTree-specific interface for DRT's compositor embedding
        https://bugs.webkit.org/show_bug.cgi?id=111017

        Reviewed by Adam Barth.

        This decouples DumpRenderTree from WebLayerTreeViewClient.

        * DumpRenderTree/chromium/WebViewHost.cpp:
        (WebViewHostDRTLayerTreeViewClient):
        (WebViewHostDRTLayerTreeViewClient::WebViewHostDRTLayerTreeViewClient):
        (WebViewHostDRTLayerTreeViewClient::~WebViewHostDRTLayerTreeViewClient):
        (WebViewHostDRTLayerTreeViewClient::Layout):
        (WebViewHostDRTLayerTreeViewClient::ScheduleComposite):
        (WebViewHost::initializeLayerTreeView):
        * DumpRenderTree/chromium/WebViewHost.h:
        (webkit_support):
        (WebViewHost):

2013-02-28  Ryuan Choi  <ryuan.choi@samsung.com>

        Unreviewed, add my secondary email address to the list.

        * Scripts/webkitpy/common/config/committers.py:

2013-02-28  Philip Rogers  <pdr@google.com>

        Add Philip Rogers as a reviewer.

        Unreviewed update of committers.py.

        * Scripts/webkitpy/common/config/committers.py:

2013-02-28  Ryosuke Niwa  <rniwa@webkit.org>

        Merge more methods on PerfTest
        https://bugs.webkit.org/show_bug.cgi?id=111030

        Reviewed by Dirk Pranke.

        Merged parse_output into _run_with_driver as it was the only caller. Also merged _should_ignore_line_in_stderr
        and _should_ignore_line_in_parser_test_result into _filter_output since it was their only caller.

        This makes the control flow a lot more comprehensible.

        * Scripts/webkitpy/performance_tests/perftest.py:
        (PerfTest._run_with_driver):
        (PerfTest._should_ignore_line):
        (PerfTest._filter_output):

        * Scripts/webkitpy/performance_tests/perftest_unittest.py:
        (TestPerfTest._assert_results_are_correct):
        (test_ignored_stderr_lines):

2013-02-28  Robert Hogan  <robert@webkit.org>

        Update my IRC nick

        Unreviewed.

        * Scripts/webkitpy/common/config/committers.py:

2013-02-28  Andras Becsi  <andras.becsi@digia.com>

        [Qt] Enable thin archives before parsing the project files

        Rubber-stamped by Simon Hausmann.

        The targetSubDir() function can be called before default_post.prf has been
        parsed therefore the gnu_thin_archives option has to be set in default_pre.prf
        which is parsed before the main project file.
        This issue was revealed by r144299 and fixes the clean build.

        * qmake/mkspecs/features/default_post.prf:
        * qmake/mkspecs/features/default_pre.prf:

2013-02-28  Allan Sandfeld Jensen  <allan.jensen@digia.com>

        [Qt] Enable CANVAS_PATH flag
        https://bugs.webkit.org/show_bug.cgi?id=108508

        Reviewed by Simon Hausmann.

        Also enable CANVAS_PATH flag for Qt.

        * qmake/mkspecs/features/features.pri:

2013-02-28  Andras Becsi  <andras.becsi@digia.com>

        [Qt][TestWebKitAPI] The activeBuildConfig() function has been replaced with targetSubDir()

        Rubber-stamped by Csaba Osztrogonác.

        Besides suppressing a warning about the non-existing function this
        fixes the build if there is a subdirectory (eg. debug-and-release).

        * TestWebKitAPI/InjectedBundle.pri:
        * TestWebKitAPI/TestWebKitAPI.pri:

2013-02-28  Mikhail Pozdnyakov  <mikhail.pozdnyakov@intel.com>

        [EFL][WTR] WTR cannot load injected bundle
        https://bugs.webkit.org/show_bug.cgi?id=111063

        Reviewed by Csaba Osztrogonác.

        WTR was not able to load injected bundle because of undefined 
        symbols for AccessibilityUIElement::scrollToMakeVisible(). 
        Adding empty implementation of this function to AccessibilityUIElementAtk.cpp
        solves the problem.

        * WebKitTestRunner/InjectedBundle/atk/AccessibilityUIElementAtk.cpp:
        (WTR::AccessibilityUIElement::scrollToMakeVisible):

2013-02-28  Alberto Garcia  <albgarcia@rim.com>

        [BlackBerry] TestRunnerBlackBerry: remove layerTreeAsText, it's gone from upstream
        https://bugs.webkit.org/show_bug.cgi?id=110464

        Reviewed by Rob Buis.

        * DumpRenderTree/blackberry/TestRunnerBlackBerry.cpp:

2013-02-28  Xan Lopez  <xlopez@rim.com>

        [BlackBerry] DumpRenderTreeSupport: update the set position methods
        https://bugs.webkit.org/show_bug.cgi?id=110578

        Reviewed by Rob Buis.

        TestRunner::setMockGeolocationPosition() changed in r130416:
        http://trac.webkit.org/changeset/130416/trunk/Tools/DumpRenderTree/TestRunner.h

        DumpRenderTreeSupport::setMockGeolocationError() was renamed to
        setMockGeolocationPositionUnavailableError() in r129444:
        http://trac.webkit.org/changeset/129444/trunk/Source/WebKit/blackberry/WebKitSupport/DumpRenderTreeSupport.h

        * DumpRenderTree/blackberry/TestRunnerBlackBerry.cpp:
        (TestRunner::setMockGeolocationPosition):
        (TestRunner::setMockGeolocationPositionUnavailableError):

2013-02-28  Xan Lopez  <xlopez@rim.com>

        [BlackBerry] WorkQueueItemBlackBerry: use the new FrameLoader API
        https://bugs.webkit.org/show_bug.cgi?id=110465

        Reviewed by Rob Buis.

        * DumpRenderTree/blackberry/WorkQueueItemBlackBerry.cpp:
        (LoadItem::invoke):

2013-02-27  Ryosuke Niwa  <rniwa@webkit.org>

        PerfTestRunner doesn't need _needs_http and _has_http_lock
        https://bugs.webkit.org/show_bug.cgi?id=111037

        Reviewed by Adam Barth.

        Delete these variables in favor of using a local variable.

        Member variables are like global variables. They introduce implicit dependencies
        between member functions.

        * Scripts/webkitpy/performance_tests/perftestsrunner.py:
        (PerfTestsRunner.__init__):
        (PerfTestsRunner._start_http_servers):
        (PerfTestsRunner):
        (PerfTestsRunner._stop_http_servers):
        (PerfTestsRunner.run):

2013-02-27  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r144224.
        http://trac.webkit.org/changeset/144224
        https://bugs.webkit.org/show_bug.cgi?id=111045

        Caused plugins/pass-different-npp-struct.html to time out
        (Requested by abarth on #webkit).

        * DumpRenderTree/TestNetscapePlugIn/Tests/PassDifferentNPPStruct.cpp:
        (PassDifferentNPPStruct::NPP_SetWindow):
